2011-04-14  Rik  <octave@nomad.inbox5.com>

	* NEWS: Add colstyle to list of new functions for 3.4

2011-04-08  Rik  <octave@nomad.inbox5.com>

	* NEWS: Deprecate studentize(), add new function zscore().

2011-04-04  Rik  <octave@nomad.inbox5.com>

	* NEWS: Add perror, strerror to list of functions deprecated in 3.4

2011-03-31  Rik  <octave@nomad.inbox5.com>

	* NEWS: Add cquad to list of functions deprecated in 3.4

2011-03-24  Jarno Rajahalme  <jarno.rajahalme@gmail.com>

	* configure.ac: Try again with "-ff2c" if fortran compiler is
	found incompatible. On OSX, try again with
	libcruft/misc/blaswrap.c, if "-ff2c" also fails.

2011-03-17  Iain Murray  <iain@iainmurray.net>

	* bootstrap.conf (gnulib_modules): Include nproc in the list.

2011-03-08  Rik  <octave@nomad.inbox5.com>

	* mk-opts.pl: Recode using more modern Perl syntax.
	Use my, not local, for lexically-scoped variables.
	Use ALL_CAPITALS for global variable names.
	Change code to remove any warnings from Perl lint (-w).
	Inline small subroutines for better readability.
	Use here documents and qq operator to avoid excessive backlashing of ".
	Add more informative usage() information.

2011-03-03  Rik  <octave@nomad.inbox5.com>

	* NEWS: Deprecate is_duplicate_entry.

2011-03-01  Ben Abbott  <bpabbott@mac.com>

	* README.MacOS: Add Fink packages needed to support print output.

2011-02-28  Rik  <octave@nomad.inbox5.com>

	* NEWS: Mention new functions isrow, iscolumn.

2011-02-23  Jordi Gutiérrez Hermoso  <jordigh@gmail.com>

	* .hgignore: Cleanup and more files to be ignore that get added
	to the source during build time.

2011-02-22  Rik  <octave@nomad.inbox5.com>

	* Makefile.am: New explicit 'make check' target.

2011-02-21  John W. Eaton  <jwe@octave.org>

	* NEWS: Note that PCRE is now required to build Octave.
	* configure.ac: Improve check for PCRE, which is now required.
	Don't check for -lregex.

2011-02-19  Rik  <octave@nomad.inbox5.com>

	* README.MacOS: Keep line length below 80, use 2 spaces to start
	sentences.

2011-02-16  Richard Campbell  <rlcamp.pdx@gmail.com>

	* README.MacOS: Updated Readme.MacOS section 2.2.1 with results of test
	compilation on vanilla machine.

2011-02-15  Benjamin Lindner  <lindnerb@users.sourceforge.net>

	* configure.ac: Use AC_COMPILE_IFELSE to check for OpenGL
	support in FLTK.

2011-02-09  John W. Eaton  <jwe@octave.org>

	* NEWS: Update.

2011-02-09  Ben Abbott  <bpabbott@mac.com>

	* README.MacOS: Spelling corrections.

2011-02-08  Ben Abbott  <bpabbott@mac.com>

	* README.MacOS: Fix FFTW CCFLAGS.

2011-02-08  Rik  <octave@nomad.inbox5.com>

	* NEWS: Use indentation of 2 spaces rather than 3 in code examples.

2011-02-08  John W. Eaton  <jwe@octave.org>

	* NEWS: New section for 3.6.  List deprecated functions that
	have been removed for 3.6.

2011-02-08  Ben Abbott  <bpabbott@mac.com>

	* README.MacOS: Add detail.

2011-02-08  John W. Eaton  <jwe@octave.org>

	* NEWS: Add note about subfunctions.

2011-02-06  John W. Eaton  <jwe@octave.org>

	* PROJECTS, README.devel: Use maintainers@octave.org instead of
	octave-maintainers@octave.org.

2011-02-05  Rik  <octave@nomad.inbox5.com>

	* PROJECTS: Point to maintained list on Octave Wiki.

2011-02-05  Rik  <octave@nomad.inbox5.com>

	* mkoctfile.in, octave-config.in: Update usage strings.

2011-02-04  Rik  <octave@nomad.inbox5.com>

	* configure.ac: Add new doc/icons/Makefile to list of Makefiles to build
	* examples/Makefile.am: Move building of .desktop files and distribution
	of icons to doc/icons directory.

2011-01-30  Rik  <octave@nomad.inbox5.com>

	* NEWS: Deprecate glpkmex function.

2011-01-30  John W. Eaton  <jwe@octave.org>

	* acinclude.m4 (OCTAVE_PROG_GHOSTSCRIPT): Update warning message.

2011-01-30  John W. Eaton  <jwe@octave.org>

	* configure.ac: Remove code to print warning for missing ARPACK.
	* README.MacOS: Remove arpack from list of prerequisite software.

2011-01-29  Rik  <octave@nomad.inbox5.com>

	* NEWS: Deprecate saveimage function.

2011-01-28  Ben Abbott  <bpabbott@mac.com>

	* README.MacOS: Spelling corrections.
	* README.MacOS: Additional modifications for building Octave manually.
	* README.MacOS: Modify instructions for building Octave manually.

2011-01-28  John W. Eaton  <jwe@octave.org>

	* configure.ac: Don't check for ARPACK.
	* common.mk (ARPACK_CPPFLAGS, ARPACK_LDFLAGS, ARPACK_LIBS):
	Delete variables.
	(do_subst_config_vals): Don't substitute them.

2011-01-27  Ben Abbott  <bpabbott@mac.com>

	* README.MacOS: Modify instructions for MacPorts to "deactivate"
	rather than "uninstall" octave.

2011-01-26  John W. Eaton  <jwe@octave.org>

	* mk-opts.pl, mkoctfile.cc.in, mkoctfile.in: Untabify.

	* mkf77def.in, mk-opts.pl, mkoctfile.cc.in, structdemo.cc,
	unwinddemo.cc, fortdemo.cc, paramdemo.cc,
	celldemo.cc,stringdemo.cc, hello.cc, embedded.cc, helloworld.cc:
	Strip trailing whitespace.

2011-01-26  Ben Abbott  <bpabbott@mac.com>

	* README.MacOS: Modify organization, and update for MacPorts.

2011-01-26  John W. Eaton  <jwe@octave.org>

	* bootstrap: Update from gnulib sources.

2011-01-26  John W. Eaton  <jwe@octave.org>

	* configure.ac (INSTALL_SCRIPT): Update commend about UGLY_DEFS.

2011-01-26  John W. Eaton  <jwe@octave.org>

	* acinclude.m4 (OPENGL_LIBS): Don't add -L/usr/X11R6/LIB to
	LDFLAGS in test.  Bug #32160.

2011-01-25  Rik  <octave@nomad.inbox5.com>

	* Makefile.am: Directly run makefile rules in doc/interpreter directory
	for AUTHORS, BUGS, INSTALL.OCTAVE files.

2011-01-25  John W. Eaton  <jwe@octave.org>

	* autogen.sh (AUTOMAKE): Add --foreign to the automake command.
	Check for required GNU files here instead of having automake do it.
	Export AUTOMAKE so our options are actually used.

2011-01-25  John W. Eaton  <jwe@octave.org>

	* Makefile.am (EXTRA_DIST): Remove ROADMAP from the list.

2011-01-24  Rik  <octave@nomad.inbox5.com>

	* AUTHORS: Remove.  File now auto-generated from contributors.texi.
	* Makefile.am: Add rule for AUTHORS file.

2011-01-24  John W. Eaton  <jwe@octave.org>

	* NEWS: Note change in audio/mu2lin.

2011-01-22  Tatsuro MATSUOKA  <tmacchant@yahoo.co.jp>

	* README.MinGW: Small corrections to documentation.

2011-01-22  Rik  <octave@nomad.inbox5.com>

	* README.devel: Update for 3.4 release.

2011-01-22  Rik  <octave@nomad.inbox5.com>

	* HACKING: Revise and incorporate all of file ROADMAP.
	* ROADMAP: Deleted.

2011-01-22  Rik  <octave@nomad.inbox5.com>

	* README.Windows: Reference README.MinGW
	* README.MinGW: Replace placeholder with actual instructions

2011-01-22  John W. Eaton  <jwe@octave.org>

	* configure.ac (AC_INIT): Version is now 3.5.0+.
	(OCTAVE_API_VERSION_NUMBER): Now 44.
	(OCTAVE_RELEASE_DATE): Now 2011-01-22.
	(OCTAVE_COPYRIGHT): Update year.

2011-01-20  Rik  <octave@nomad.inbox5.com>

	* README.Cygwin, README.MacOS, README.Windows, README.ftp: Update
	documentation files for 3.4 release.

	* README.MinGW: Create placeholder for new README file.

2011-01-20  John W. Eaton  <jwe@octave.org>

	* bootstrap: Update from gnulib sources.

2011-01-20  John W. Eaton  <jwe@octave.org>

	* configure.ac, NEWS: Update for backend -> graphics_toolkit change.

2011-01-17  Rik  <octave@nomad.inbox5.com>

	* NEWS: Add quadcc to list of new functions added.

2011-01-17  John W. Eaton  <jwe@octave.org>

	* mkoctfile.cc.in (main): Add + missing from previous change.

2011-01-15  John W. Eaton  <jwe@octave.org>

	* configure.ac (AC_INIT): Version is now 3.3.54.
	(OCTAVE_API_VERSION_NUMBER): Now 42.
	(OCTAVE_RELEASE_DATE): Now 2010-11-19.

2011-01-15  John W. Eaton  <jwe@octave.org>

	* NEWS: Add krylovb to deprecated function list.

2011-01-14  Rik  <octave@nomad.inbox5.com>

	* NEWS: Add replot to deprecated function list.

2011-01-14  John W. Eaton  <jwe@octave.org>

	* bootstrap.conf (gnulib_modules): Include filemode in the list.

2011-01-14  John W. Eaton  <jwe@octave.org>

	* Update copyright notices for 2011.

2011-01-14  John W. Eaton  <jwe@octave.org>

	* bootstrap (gnulib_path): Set default gnulib path with ${x:=y},
	not ${x=y}.

2011-01-14  John W. Eaton  <jwe@octave.org>

	* bootstrap, bootstrap.conf: Update from gnulib sources.

2011-01-13  John W. Eaton  <jwe@octave.org>

	* bootstrap.conf (gnulib_modules): Include mkstemp in the list.

2011-01-13  John W. Eaton  <jwe@octave.org>

	* configure.ac (AC_ARG_ENABLE(extra-warning-flags)):
	Eliminate some code duplication.

2011-01-13  John W. Eaton  <jwe@octave.org>

	* configure.ac (AC_ARG_ENABLE(extra-warning-flags)): Check for
	-Wcast-qual and -Wcast-align and add them to WARN_CFLAGS and
	WARN_CXXFLAGS.

2011-01-13  John W. Eaton  <jwe@octave.org>

	* configure.ac (AC_ARG_ENABLE(extra-warning-flags)): Check for
	-Wpointer-arith, -Wmissing-prototypes, -Wstrict-prototypes, and
	-Wwrite-strings and add them to WARN_CFLAGS.  Check for
	-Wpointer-arith and add them to WARN_CXXFLAGS.

2011-01-12  John W. Eaton  <jwe@octave.org>

	* mk-opts.pl: Generate initialization lists and in-line code for
	copying.

2011-01-11  Rik  <octave@nomad.inbox5.com>

	* ROADMAP: Update guide to Octave directory structure.

2011-01-11  Rik  <octave@nomad.inbox5.com>

	* README.mirrors: Update ftp links.

2011-01-06  Rik  <octave@nomad.inbox5.com>

	* README: Update links and disk space requirements.

2011-01-06  Jordi Gutiérrez Hermoso  <jordigh@gmail.com>

	* run-octave.in: Add a -gud option so that gdb can be called from
	Emacs's GUD mode and similar.

2011-01-06  John W. Eaton  <jwe@octave.org>

	* mkoctfile.in, mkoctfile.cc.in: Substitute and use LAPACK_LIBS.
	Bug #32009.

2011-01-04  Rik  <octave@nomad.inbox5.com>

	* README.MacOS: Update CFLAGS recommendation to use -O2.

2011-01-04  Rik  <octave@nomad.inbox5.com>

	* README.gnuplot: Update recommendation to version 4.4.

2011-01-04  Marco Atzeri  <marco_atzeri@yahoo.it>

	* README.Cygmin: Update build instructions before 3.4 release.

2010-12-31  Kai Habel  <kai.habel@gmx.de>

	* NEWS: Add curl and divergence to new functions list.

2010-12-20  Ben Abbott  <bpabbott@mac.com>

	* README.MacOS, Makefile.am: Update build insructions for MacOS and
	distribute file in tarball.

2010-12-20  Rik  <octave@nomad.inbox5.com>

	* README.Cray, SENDING-PATCHES, Makefile.am: Remove obsolete files.

2010-12-18  Rik  <octave@nomad.inbox5.com>

	* NEWS: Deprecate sphcat and spvcat functions.

2010-12-17  Rik  <octave@nomad.inbox5.com>

	* README.MacOS: New file documenting build instructions for Mac OSX.

2010-12-09  Kai Habel  <kai.habel@gmx.de>

	* NEWS: Add pie3 to new functions list.

2010-12-09  Marco Atzeri  <marcox_atzeri@yahoo.it>

	* configure.ac: Don't add -lwsock32 to LIBS on cygwin systems.

2010-11-21  Kai Habel  <kai.habel@gmx.de>

	* NEWS: Add uigetdir, uigetfile, uiputfile.

2010-11-19  John W. Eaton  <jwe@octave.org>

	* Makefile.am (bin_SCRIPTS): Remove run-octave from the list.

2010-10-19  John W. Eaton  <jwe@octave.org>

	* configure.ac (AC_INIT): Version is now 3.3.54+.

2010-10-19  John W. Eaton  <jwe@octave.org>

	* configure.ac (AC_INIT): Version is now 3.3.54.
	(OCTAVE_API_VERSION_NUMBER): Now 42.
	(OCTAVE_RELEASE_DATE): Now 2010-11-19.

2010-11-15  Kai Habel  <kai.habel@gmx.de>

	* NEWS: Add saveas. Fix uimenu.

2010-11-14  Michael Goffioul  <michael.goffioul@gmail.com>

	* mkoctfile.cc.in: replace %OCTAVE_CONF_F77_INTEGER8_FLAG% with
	%OCTAVE_CONF_F77_INTEGER_8_FLAG%.

2010-11-10  John W. Eaton  <jwe@octave.org>

	* configure.ac: Don't check for nan.h.

2010-11-10  John W. Eaton  <jwe@octave.org>

	* configure.ac (AH_BOTTOM): Eliminate special case for __DECCXX: 

2010-11-10  John W. Eaton  <jwe@octave.org>

	* configure.ac: Eliminate special cases for nextstep.

2010-11-10  John W. Eaton  <jwe@octave.org>

	* configure.ac: Eliminate special checks for SCO systems.

2010-11-10  John W. Eaton  <jwe@octave.org>

	* NEWS: Update deprecated function list with dispatch.

2010-11-09  Rik  <octave@nomad.inbox5.com>

	* configure.ac: Fix typo where variable name was missing '$'

2010-11-09  Rik  <octave@nomad.inbox5.com>

	* configure.ac: Properly m4 quote AS_HELP_STRING.

2010-11-09  Rik  <octave@nomad.inbox5.com>

	* configure.ac: Remove redundant warning message when '--without-opengl'
	option used.

2010-11-09  John W. Eaton  <jwe@octave.org>

	* configure.ac: Don't check for trunc, copysign, or _copysign.

2010-11-08  John W. Eaton  <jwe@octave.org>

	* configure.ac (--without-opengl): New configure option.

2010-11-03  John W. Eaton  <jwe@octave.org>

	* bootstrap.conf (gnulib_modules): Include copysign in the list.

2010-10-28  Rik  <octave@nomad.inbox5.com>

	* NEWS: Update deprecated function list with autocov and autocor.

2010-10-25  Kai Habel  <kai.habel@gmx.de>

	* NEWS: Add uimenu.

2010-10-24  Rik  <octave@nomad.inbox5.com>

	* NEWS: Update deprecated function list for version 3.4.

2010-10-22  John W. Eaton  <jwe@octave.org>

	* Makefile.am (EXTRA_DIST): Include bootstrap and bootstrap.conf
	in the list.

2010-10-19  John W. Eaton  <jwe@octave.org>

	* configure.ac (AC_INIT): Version is now 3.3.53+.

2010-10-19  John W. Eaton  <jwe@octave.org>

	* configure.ac (AC_INIT): Version is now 3.3.53.
	(OCTAVE_API_VERSION_NUMBER): Now 41.
	(OCTAVE_RELEASE_DATE): Now 2010-10-19.

2010-09-29  John W. Eaton  <jwe@octave.org>

	* examples/make_int.cc (Fmake_int): Don't pass arg to mlock.

2010-09-29  John W. Eaton  <jwe@octave.org>

	* examples/structdemo.cc (Fstructdemo): Use octave_scalar_map
	instead of Octave_map.

2010-09-29  John W. Eaton  <jwe@octave.org>

	* configure.ac: Style fixes.

2010-09-29  John P. Swensen  <jpswensen@gmail.com>

	* configure.ac: Allow selection of GraphicsMagick or ImageMagick
	at configure time using "--with-magick=" option.

2010-09-24  Jaroslav Hajek  <highegg@gmail.com>

	* m4/ax_blas.m4: Update.

2010-09-23  John W. Eaton  <jwe@octave.org>

	* octave-bug.in, octave-bug.cc.in: Delete
	* Makefile.am (EXTRA_DIST): Remove them from the list.
	(bin_PROGRAMS): Remove octave-bug from the list.
	(octave_bug_SOURCES, nodist_octave_bug_SOURCES): Delete variables.
	(BUILT_SOURCES): Remove octave-bug.cc from the list.
	(bin_SCRIPTS): Remove octave-bug from the list.
	(octave-bug.cc, octave-bug): Delete rules.

2010-09-20  John W. Eaton  <jwe@octave.org>

	* bootstrap.conf (gnulib_modules): Include mktime in the list.

2010-09-18  John W. Eaton  <jwe@octave.org>

	* Makefile.am (BUILT_SOURCES): Include run-octave in the list.

2010-09-16  John W. Eaton  <jwe@octave.org>

	* configure.ac (SCRIPTS_EXE_SUFFIX) Delete variable and all uses.
	(BUILD_COMPILED_AUX_PROGRAMS): New variable.
	(AMCOND_BUILD_COMPILED_AUX_PROGRAMS): New Automake conditional.
	* Makefile.am (SCRIPTS_EXE_SUFFIX, BUILT_SHELL_FILES): Delete
	variables and all uses.
	(bin_SCRIPTS, bin_PROGRAMS, mkoctfile_SOURCES,
	nodist_mkoctfile_SOURCES, octave_config_SOURCES,
	nodist_octave_config_SOURCES, octave_bug_SOURCES,
	nodist_octave_bug_SOURCES, BUILT_SOURCES): Define conditionally
	based on AMCOND_BUILD_COMPILED_AUX_PROGRAMS.
	(noinst_SCRIPTS): New variable.
	(CLEANFILES): Include $(bin_PROGRAMS) $(bin_SCRIPTS)
	$(BUILT_SOURCES) in the list.
	(all-local): Also depend on $(bin_PROGRAMS) and $(noinst_SCRIPTS).
	(octave-bug.cc, octave-config.cc, mkoctfile.cc, octave-bug)
	(octave-config, mkoctfile): Make rules conditional on
	AMCOND_BUILD_COMPILED_AUX_PROGRAMS.
	(make-version-links, remove-version-links): Define different
	rules conditional on AMCOND_BUILD_COMPILED_AUX_PROGRAMS.

2010-09-13  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2010-09-10  Jaroslav Hajek  <highegg@gmail.com>

	* m4/ax_blas_f77_func.m4: Update.

2010-09-07  Ben Abbott  <bpabbott@mac.com>

	* acinclude.m4, configure.ac, m4/module.mk: Update acx_*.m4
	macros to the newer ax_*.m4 versions.
	* ax_blas.m4, ax_lapack.m4, ax_blas_f77_func.m4,
	ax_pthread.m4: Add files.
	* acx_blas.m4, acx_lapack.m4, acx_blas_f77_func.m4,
	acx_pthread.m4: Remove files.

2010-09-01  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2010-08-21  Rik  <octave@nomad.inbox5.com>

	* NEWS: Add randi to list of new functions

2010-08-09  John Swensen  <jpswensen@gmail.com>

	* mkoctfile.in: Add ability to pass -pthread through to linker.

2010-08-13  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2010-08-09  Rik  <octave@nomad.inbox5.com>

	* examples/Makefile.am: Don't echo 'echo' command when building
	octave.desktop.

2010-08-09  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2010-08-05  Rik  <octave@nomad.inbox5.com>

	* configure.ac: Change warning messages about freetype and fontconfig
	to reflect their requirement for native graphics.  Bug #30594.

2010-08-05  Rik  <octave@nomad.inbox5.com>

	* Makefile.am: Remove distribution of emacs directory

	* emacs/info-emacs-info, emacs/info-emacs-octave-help, emacs/module.mk,
	emacs/NEWS, emacs/octave-hlp.el, emacs/octave-inf.el,
	emacs/octave-mod.el, emacs/octave-tags, emacs/octave-tags.1,
	emacs/README, emacs/TODO: Remove from further hg checkouts.

2010-08-05  Rik  <octave@nomad.inbox5.com>

	* ChangeLog: Correct date in version upgrade 3.3.52+ comment.

2010-08-01  John W. Eaton  <jwe@octave.org>

	* configure.ac (AC_INIT): Version is now 3.3.52+.

2010-08-01  John W. Eaton  <jwe@octave.org>

	* configure.ac (AC_INIT): Version is now 3.3.52.
	(OCTAVE_API_VERSION_NUMBER): Now 40.
	(OCTAVE_RELEASE_DATE): Now 2010-08-01.

2010-07-30  Rik  <octave@nomad.inbox5.com>

	* Makefile.am: add .gdbinit to the DISTCLEANFILES list

2010-07-29  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Include list of new functions.

2010-07-08  Rik  <octave@nomad.inbox5.com>

	* NEWS: Update with addition of engineering format.

2010-07-08  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2010-06-23  Jaroslav Hajek  <highegg@gmail.com>

	* mkoctfile.in: F77_INTEGER_8_FLAG -> OCTAVE_CONF_F77_INTEGER_8_FLAG.

2010-06-23  Jaroslav Hajek  <highegg@gmail.com>

	* configure.ac: Temporarily include F77_INTEGER_8_FLAG in FFLAGS for
	BLAS checking.
	* mkoctfile.in: Include F77_INTEGER_8_FLAG in ALL_FFLAGS.
	* mkoctfile.cc.in: Ditto.

2010-05-18  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2010-05-11  Rik  <octave@nomad.inbox5.com>

	* configure.ac: Capitalize ARPACK in messages.

2010-05-04  John W. Eaton  <jwe@octave.org>

	* ROADMAP: Delete entry for villad.

2010-04-26  Rik  <octave@nomad.inbox5.com>

	* configure.ac: fix bug with shell HERE document introduced in
        previous change.

2010-04-26  Shai Ayal  <shaiay@users.sourceforge.net>

	* configure.ac: make all graphics related tests inter-dependent

2010-04-20  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2010-04-16  David Bateman  <dbateman@free.fr>

	* PROJECTS: Update for new sparse functionality.

2010-04-14  Shai Ayal  <shaiay@users.sourceforge.net>

	* NEWS: Update.

2010-04-08  Marco Atzeri  <marco_atzeri@yahoo.it>

	* Makefile.am (make-version-links, remove-version-links):
	Use SCRIPTS_EXE_SUFFIX for scripts, not EXEEXT.

2010-04-07  John W. Eaton  <jwe@octave.org>

	* README.ftp, README.devel:
	Update from Judd Storrs <jstorrs@gmail.com>.

2010-03-27  David Bateman  <dbateman@free.fr>

	* acinclude.m4 (OCTAVE_CHECK_OPENMP): Macro to check for OpenMP support
	* configure.ac: Use it here. Disable OpenMP support by default

2010-03-25  John W. Eaton  <jwe@octave.org>

	* bootstrap.conf (gnulib_modules): Sort the list.

2010-03-25  Jaroslav Hajek  <highegg@gmail.com>

	* bootstrap.conf: Include roundf, trunc, truncf.

2010-03-24  John W. Eaton  <jwe@octave.org>

	* configure.ac (AC_INIT): Version is now 3.3.51+.

2010-03-24  John W. Eaton  <jwe@octave.org>

	* configure.ac (AC_INIT): Version is now 3.3.51.
	(OCTAVE_API_VERSION_NUMBER): Now 39.
	(OCTAVE_RELEASE_DATE): Now 2010-03-24.

2010-03-24  John W. Eaton  <jwe@octave.org>

	* NEWS: Style fixes.

2010-03-23  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2010-03-15  John W. Eaton  <jwe@octave.org>

	* configure.ac (AH_BOTTOM): Define GNULIB_NAMESPACE.

2010-03-09  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2010-03-01  John W. Eaton  <jwe@octave.org>

	* acinclude.m4 (OCTAVE_CXX_COMPLEX_REFERENCE_ACCESSORS,
	OCTAVE_CXX_COMPLEX_SETTERS): New macros.
	* configure.ac: Use them.

2010-02-25  John W. Eaton  <jwe@octave.org>

	* gdbinit: New file.
	* Makefile.am (EXTRA_DIST): Add it to the list.
	(all-local): Depend on .gdbinit.
	(.gdbinit): New rule.

2010-02-22  John W. Eaton  <jwe@octave.org>

	* boostrap: Update from gnulib/build-aux/bootstrap.

2010-02-21  Michael Goffioul  <michael.goffioul@gmail.com>

	* configure.ac: Define NOMINMAX under MSVC.

	* configure.ac: Add pcre_config --cflags to XTRA_CXXFLAGS instead of
	CPPFLAGS.

2010-02-17  John W. Eaton  <jwe@octave.org>

	* configure.ac: Add $COLAMD_LDFLAGS $COLAMD_LIBS $AMD_LDFLAGS,
	and $AMD_LIBS to LIBS when checking for cholmod library.

2010-02-17  John W. Eaton  <jwe@octave.org>

	* acinclude.m4 (OCTAVE_CHECK_FORTRAN_INTEGER_SIZE): Save and
	restore FFLAGS.  Temporarily add F77_INTEGER_8_FLAG to FFLAGS.
	* common.mk (F77_INTEGER_8_FLAG): New variable.
	(do_subst_config_vals): Substitute it.
	* configeure.ac: Don't add -fdefault-integer-8 to FFLAGS.
	Substitute F77_INTEGER_8_FLAG.  Improve --enable-64 warning.

2010-02-15  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2010-02-10  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2010-02-08  John W. Eaton  <jwe@octave.org>

	* bootstrap.conf (gnulib_modules): Include progname in the list.

2010-02-08  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2010-02-04  John W. Eaton  <jwe@octave.org>

	* configure.ac: Don't check for gethostname.
	* bootstrap.conf (gnulib_modules): Include gethostname in the list.

2010-02-03  John W. Eaton  <jwe@octave.org>

	* configure.ac: Don't check for fcntl.h or fcntl.
	* bootstrap.conf (gnulib_modules): Include fcntl in the list.

2010-02-03  John W. Eaton  <jwe@octave.org>

	* acinclude.m4 (OCTAVE_HAVE_C99_VSNPRINTF): Delete.
	* configure.ac: Don't call OCTAVE_HAVE_C99_VSNPRINTF.
	Don't check for snprintf, vfprintf, vsprintf, vsnprintf, or _snprintf.
	* bootstrap.conf (gnulib_modules): Include vsprintf in the list.

2010-02-03  John W. Eaton  <jwe@octave.org>

	* configure.ac: Don't check for strerror.

2010-02-03  John W. Eaton  <jwe@octave.org>

	* configure.ac: Don't check for raise or strdup.

2010-02-03  John W. Eaton  <jwe@octave.org>

	* configure.ac: Don't check for poll or usleep.
	* bootstrap.conf (gnulib_modules): Include nanosleep and sleep
	in the list.

2010-02-03  John W. Eaton  <jwe@octave.org>

	* configure.ac: Don't check for sigaction, sigpending,
	sigprocmask, or sigsuspend.

2010-02-03  John W. Eaton  <jwe@octave.org>

	* configure.ac: Don't check for getcwd.
	* bootstrap.conf (gnulib_modules): Include getcwd in the list.

2010-02-02  John W. Eaton  <jwe@octave.org>

	* configure.ac: Assume signal.h provides sigset_t and sig_atomic_t.

2010-02-02  John W. Eaton  <jwe@octave.org>

	* configure.ac: Don't call OCTAVE_SIGNAL_CHECK,
	OCTAVE_REINSTALL_SIGHANDLERS, AC_C_CONST, AC_HEADER_STDC, or
	AC_STRUCT_TM, AC_TYPE_SIGNAL.
	Don't define RETSIGTYPE_IS_VOID.
	* acinclude.m4 (OCTAVE_SIGNAL_CHECK, OCTAVE_REINSTALL_SIGHANDLERS):
	Don't call AC_TYPE_SIGNAL.  Assume sighandler return type is void.
	(OCTAVE_SIGNAL_CHECK, OCTAVE_REINSTALL_SIGHANDLERS): Delete macros.
	* bootstrap.conf (gnulib_modules): Include sigaction, signal,
	and sigprocmask in the list.

2010-02-02  John W. Eaton  <jwe@octave.org>

	* configure.ac: Don't check for stdint.h.
	(AH_BOTTOM): Unconditionally include stdint.h.
	Delete fallback integer type definitions.
	* bootstrap.conf (gnulib_modules): Include stdint in the list.

2010-02-02  John W. Eaton  <jwe@octave.org>

	* configure.ac: Don't check for atexit or on_exit.

2010-02-02  John W. Eaton  <jwe@octave.org>

	* configure.ac: Don't check for bcopy, bzero, or memmove.

2010-02-02  John W. Eaton  <jwe@octave.org>

	* bootstrap.conf (gnulib_modules): Include sys_time, sys_times,
	and time in the list.
	* configure.ac: Don't check for sys/time.h, sys/times.h,
	sys/stat.h, sys/utimes, or utimes.h.
	Don't call AC_HEADER_TIME.

2010-02-02  John W. Eaton  <jwe@octave.org>

	* acinclue.m4 (OCTAVE_STRPTIME_BROKEN): Delete.
	* configure.ac: Don't call it.

2010-02-01  John W. Eaton  <jwe@octave.org>

	* acinclude.m4 (OCTAVE_PROG_MAKEINFO): Delete macro.
	* configure.ac: Don't call it.  Don't issue warning about
	makeinfo in summary.

2010-01-31  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2010-01-27  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2010-01-21  John W. Eaton  <jwe@octave.org>

	* configure.ac: Don't check for standard C headers (by now, I
	think we can safely assume they exist).  Don't check for
	varargs.h.

2010-01-21  John W. Eaton  <jwe@octave.org>

	* bootstrap.conf (gnulib_modules): Include sys_stat in the list.
	* configure.ac: Don't check for sys/types.h or unistd.h.

2010-01-21  John W. Eaton  <jwe@octave.org>

	* bootstrap.conf (gnulib_modules): Include unistd in the list.
	Keep list sorted.

2010-01-21  John W. Eaton  <jwe@octave.org>

	* configure.ac: Delete checks for rename, link, readlink, rmdir,
	strcasecmp, stricmp, strncasecmp, strnicmp, strptime, symlink,
	and unlink.

2010-01-21  John W. Eaton  <jwe@octave.org>

	* bootstrap.conf (gnulib_modules): Include pathmax and readlink
	in the list.

2010-01-21  John W. Eaton  <jwe@octave.org>

	* bootstrap.conf (gnulib_modules): Include symlink in the list.

2010-01-21  John W. Eaton  <jwe@octave.org>

	* bootstrap.conf (gnulib_modules): Include link in the list.

2010-01-21  John W. Eaton  <jwe@octave.org>

	* bootstrap.conf (gnulib_modules): Include unlink in the list.

2010-01-21  John W. Eaton  <jwe@octave.org>

	* bootstrap.conf (gnulib_modules): Include strptime in the list.

2010-01-21  John W. Eaton  <jwe@octave.org>

	* bootstrap.conf (gnulib_modules): Include rename in the list.

2010-01-21  John W. Eaton  <jwe@octave.org>

	* bootstrap.conf (gnulib_modules): Include rmdir in the list.

2010-01-21  John W. Eaton  <jwe@octave.org>

	* bootstrap.conf (gnulib_modules): Include c-strcase in the list.

2010-01-21  John W. Eaton  <jwe@octave.org>

	* bootstrap.conf (gnulib_modules): Include getopt-gnu in the list.

2010-01-17  Michael Goffioul  <michael.goffioul@gmail.com>

	* bootstrap.conf: Add round module.
	* configure.ac: Allow to use MSVC with *mingw* build host. Check for
	opendir in -ldirent. Add -ladvapi32 to LIBS.

2010-01-15  John W. Eaton  <jwe@octave.org>

	* NEWS: Edit.

2010-01-15  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2010-01-14  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2010-01-13  John W. Eaton  <jwe@octave.org>

	* configure.ac: Handle --enable-docs.  Print warning in summary
	if building documentation is disabled.
	* Makefile.am (SUBDIRS): Use @DOCDIR@ instead of doc.
	(dist-hook): New target, conditional on AMCOND_BUILD_DOCS.

2010-01-09  John W. Eaton  <jwe@octave.org>

	* configure.ac: Don't check for nlink_t.
	(AH_BOTTOM): Don't define nlink_t here.

2010-01-07  John W. Eaton  <jwe@octave.org>

	* configure.ac: Don't check for times.
	* bootstrap.conf (gnulib_modules): Include times in the list.

2010-01-07  John W. Eaton  <jwe@octave.org>

	* configure.ac: Don't check for gettimeofday, or whether
	gettimeofday accepts one or two arguments.
	* bootstrap.conf (gnulib_modules): Include gettimeofday in the list.

2010-01-05  John W. Eaton  <jwe@octave.org>

	* bootstrap.conf (gnulib_modules): Include mkfifo in the list.

2010-01-05  John W. Eaton  <jwe@octave.org>

	* bootstrap.conf (gnulib_modules): Remove nonexistent fstat module.

2009-12-22  Rik  <octave@nomad.inbox5.com>

	* WWW/: remove web directory no longer used

2010-01-04  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2009-12-27  John W. Eaton  <jwe@octave.org>

	* configure.ac: Use libtool cache variables to simplify checks
	for dynamic linking api.

2009-12-26  John W. Eaton  <jwe@octave.org>

	* bootstrap.conf (gnulib_modules): Include fstat, lstat, and
	stat in the list.
	* configure.ac: Don't check for fstat, lstat, or stat.

2009-12-25  John W. Eaton  <jwe@octave.org>

	* bootstrap.conf (gnulib_modules): Include mkdir in the list.
	* configure.ac: Don't check for mkdir.
	Don't call OCTAVE_MKDIR_TAKES_ONE_ARG.
	* acinclude.m4 (OCTAVE_MKDIR_TAKES_ONE_ARG): Delete.

2009-12-25  John W. Eaton  <jwe@octave.org>

	* bootstrap.conf (gnulib_modules): Include crypto/md5 in the list.

2009-12-22  Rik  <octave@nomad.inbox5.com>

	* configure.ac: Remove second redundant test for nlink_t

2009-12-21  Rik  <octave@nomad.inbox5.com>

	* dlfcn directory: Remove dlfcn directory with leftover code from 1996

2009-12-20  Rik  <octave@nomad.inbox5.com>

	* acinclude.m4: use M4 quoting for arguments to autoconf macros

2009-12-20  Rik  <octave@nomad.inbox5.com>

	* configure.ac, acinclude.m4: Better warnings when gnuplot is not
	installed but native graphics are available

2009-12-19  Rik  <octave@nomad.inbox5.com>

	* emacs/module.mk, examples/Makefile.am, info-emacs-info,
	info-emacs-octave-help: Distribute emacs specific files from emacs
	directory rather than examples directory

2009-12-19  Rik  <octave@nomad.inbox5.com>

	* m4/module.mk, Makefile.am: Redo previous patch with distribution
	triggered by m4/module.mk.

2009-12-19  Rik  <octave@nomad.inbox5.com>

	* Makefile.am: Distribute m4/gnulib-cache.m4 per recommendation

2009-12-19  Rik  <octave@nomad.inbox5.com>

	* Makefile.am, examples/Makefile.am, common.mk, configure.ac: Eliminate
	TOPDIR variable in favor of built-in automake variables of top_builddir
	and top_srcdir.

2009-12-19  Rik  <octave@nomad.inbox5.com>

	* Makefile.am: Use M4 quoting for arguments to autoconf macros containing
	variables

2009-12-19  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (Fsize_equal): Allow calling with zero arguments.
	variables

2009-12-15  John W. Eaton  <jwe@octave.org>

	* README.MSVC: Delete section about obtaining glob library.
	* bootstrap.conf (gnulib_modules): Add fnmatch and glob to the list.
	* common.mk (LIBGLOB): Delete variable.
	(do_subst_config_vals): Don't substitute it.
	* octave-bug.in, octave-bug.cc.in: Eliminate LIBGLOB variable.
	* configure.ac: Don't check for glob.h or the glob and fnmatch
	functions.  Eliminate LIBGLOB variable.

2009-12-11  Rik  <octave@nomad.inbox5.com>

	* HACKING: Elaborate which DIRNAME to use for --gnulib-srcdir option.

2009-12-11  John W. Eaton  <jwe@octave.org>

	* configure.ac: Add $PTHREAD_LIBS to $LIBS and $PTHREAD_CFLAGS
	to $CFLAGS for subsequent tests.

2009-12-11  Rik  <octave@nomad.inbox5.com>

	* Makefile.am: remove install-extras target and use automake syntax to
	distribute NEWS file.
	* examples/Makefile.am: remove install-images target and use automake
	syntax to distribute image data.

2009-12-11  John W. Eaton  <jwe@octave.org>

	* .dir-locals.el: Correctly set indent-tabs-mode for ChangeLogs,
	and Makefiles.

	* common.mk (cp_update_rule): New macro.

2009-12-10  John W. Eaton  <jwe@octave.org>

	* mkoctfile.in, mkoctfile.cc.in: If output file is specified and
	it does not end in output_ext, append output_ext.

2009-12-10  John W. Eaton  <jwe@octave.org>

	* mkoctfile.in, mkoctfile.cc.in: When compiling files in
	subdirectories, place object files in current directory by
	default.

2009-12-10  John W. Eaton  <jwe@octave.org>

	* mkoctfile.cc.in: Accept long options with single -.

2009-12-10  John W. Eaton  <jwe@octave.org>

	* mkoctfile.in: Accept long options with single -.

2009-12-09  John W. Eaton  <jwe@octave.org>

	* HACKING: Clarify gnulib checkout and use.

2009-12-09  John W. Eaton  <jwe@octave.org>

	* configure.ac: Remove URL argument from AC_INIT.
	Use AC_CONFIG_AUX_DIR.  Move AM_INIT_AUTOMAKE after other
	AC_CONFIG setup macros.  Use gl_EARLY and gl_INIT for gnulib.
	Add libgnu/Makefile to the list of AC_CONFIG_FILES.  Eliminate
	special case check for for strftime.
	* bootstrap: New file, from gnulib.
	* bootstrap.conf: New file, from gnulib.  Override bootstrap
	defaults for checkout_only_file, gnulib_tool_option_extras,
	gnulib_name, and source_base.
	(gnulib_modules): Add strftime to the list.
	* autogen.sh: Simply generate makefile fragments and call
	bootstrap to do the rest of the initial setup.
	* Makefile.am (SUBDIRS): Add libgnu to the list.
	* libgnu/Makefile.am: New directory and file.
	* INSTALL: Remove our copy so version from gnulib will be
	distributed.
	* HACKING: New file.

2009-12-08  Rik  <octave@nomad.inbox5.com>

	* Makefile.am: add BUGS and OCTAVE.INSTALL to DISTCLEANFILES

2009-12-08  John W. Eaton  <jwe@octave.org>

	* configure.ac: Update gnuplot status message.
	* acinclude.m4 (OCTAVE_PROG_GNUPLOT): Likewise.

2009-12-07  John W. Eaton  <jwe@octave.org>

	* examples/make_int.cc: Delete Emacs local variables.

	* .dir-locals.el: New file.

2009-12-07  John W. Eaton  <jwe@octave.org>

	* examples/firstmexdemo.c, examples/fortdemo.cc,
	examples/funcdemo.cc, examples/hello.cc, examples/make_int.cc,
	examples/mycell.c, examples/myfeval.c, examples/myfunc.c,
	examples/mypow2.c, examples/mysparse.c, examples/mystring.c,
	examples/mystruct.c, examples/paramdemo.cc,
	examples/stringdemo.cc, examples/structdemo.cc,
	examples/unwinddemo.cc, examples/embedded.cc: Untabify.

2009-12-04  John W. Eaton  <jwe@octave.org>

	* configure.ac (OCTAVE_API_VERSION_NUMBER): New variable.
	(OCTAVE_API_VERSION): Define using OCTAVE_API_VERSION_NUMBER.
	* common.mk (OCTAVE_API_VERSION_NUMBER): New variable.

2009-12-04  John W. Eaton  <jwe@octave.org>

	* configure.ac: Check $have_x = yes, not just $have_x.
	From Carmine Paolino <earcar@gmail.com>.

2009-12-04  John W. Eaton  <jwe@octave.org>

	* configure.ac: Require auotconf 2.62.

2009-12-03  John W. Eaton  <jwe@octave.org>

	* common.mk (OCTAVE_VERSION, OCTAVE_API_VERSION)
	(OCTAVE_RELEASE_DATE, OCTAVE_COPYRIGHT, OCTAVE_IDX_TYPE):
	New substituted variables.
	(version): Define from $(OCTAVE_VERSION).
	(api_version): Define from $(OCTAVE_API_VERSION).
	(do_subst_texinfo_vals): Delete macro.

	* configure.ac (AC_CONFIG_HEADER): Quote arg.
	(AC_CONFIG_FILES): Remove mxarray.h and version.h from the list.

	* examples/Makefile.am (CLEANFILES): New variable.

2009-11-30  Kacper Kowalik  <xarthisius.kk@gmail.com>

	* acinclude.m4 (OCTAVE_HDF5_HAS_ENFORCED_16_API): New macro that
	tests whether the HDF5 library has an enforced v1.6 API and detects
	v1.8 APIs.
	* configure.m4: Adapt test for HDF5 libraries to support v1.8
	HDF5 libraries.

2009-11-29  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2009-11-27  David Bateman  <dbateman@free.fr>

	* configure.ac (HAVE_H5GGET_NUM_OBJS) Remove define.

2009-11-27  David Bateman  <dbateman@free.fr>

	* NEWS: Document ftp objects.
	* configure.ac: Document that curl libraries impact ftp objects.

2009-11-26  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2009-11-25  Tatsuro MATSUOKA  <tmacchant@yahoo.co.jp>

	* acinclude.m4 (OCTAVE_PROG_GNUPLOT): Don't check for pgnuplot or
	pipe-gnuplot on Windows systems.  Set default to gnuplot for all
	systems.
	(OCTAVE_PROG_GHOSTSCRIPT): Check for gswin32c first on Windows
	systems, then gs.

2009-11-25  Rik  <octave@nomad.inbox5.com>

	* Makefile.am examples/Makefile.am liboctave/Makefile.am
	scripts/Makefile.am src/Makefile.am test/Makefile.am:
	Remove unnecessary .PHONY targets for common targets which
	Automake supplies already.  Examples are local-all, install-local-data

2009-11-21  John W. Eaton  <jwe@octave.org>

	* configure.ac (AC_MSG_NOTICE): Report graphics (fltk) CFLAGS.
	Report fontconfig CFLAGS and LIBS.
	Report freetype2 CFLAGS and LIBS.

2009-11-21  John W. Eaton  <jwe@octave.org>

	* common.mk: Substitute FT2_CFLAGS.
	* configure.ac: Remove spurious lines in check for freetype.  Add
	$FT2_CFLAGS to $XTRA_CXXFLAGS.

2009-11-18  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2009-11-18  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2009-11-16  John W. Eaton  <jwe@octave.org>

	* common.mk (AM_CXXFLAGS): Don't include DLL_CXXDEFS in the list.
	(CONFIGURE_CFLAGS): New variable.
	(AM_CFLAGS): Define similar to AM_CXXFLAGS.

2009-11-12  John W. Eaton  <jwe@octave.org>

	* configure.ac (AC_CONFIG_FILES): Also generate libcruft/mkf77def.

2009-11-11  John W. Eaton  <jwe@octave.org>

	* acinclude.m4 (OCTAVE_IEEE754_DATA_FORMAT): Fail if IEEE 754
	format is not detected.

2009-11-11  Shai Ayal  <shaiay@users.sourceforge.net>

	* configure.ac: Remove tests for ftgl.

2009-11-11  Benjamin Lindner  <lindnerb@users.sourceforge.net>

	* configure.ac: Remove -mwindows from FLTK_LDFLAGS.

2009-11-11  John W. Eaton  <jwe@octave.org>

	* configure.ac: Fail if LT_INIT it is not defined.

2009-11-10  John W. Eaton  <jwe@octave.org>

	* NEWS: Update.

	* configure.ac: Exit with error if BLAS or LAPACK libraries are
	not found or if the BLAS library is found to be incompatible with
	the Fortran compiler.  Eliminate warn_blas_f77_incompatible
	variable.

2009-11-10  John W. Eaton  <jwe@octave.org>

	* configure.ac: Set octincludedir to
	$(includedir)/octave-$(version)/octave, not
	$(includedir)/octave-$(version).
	* mkoctfile.in: Set DEFAULT_INCFLAGS to -I$octincludedir/.. and
	-I$octincludedir instead of -I$octincludedir and
	-I$octincludedir/octave.

	* configure.ac: Pass args to AC_INIT.  Invoke AM_INIT_AUTOMAKE and
	AC_PROG_LIBTOOL.  Don't call AC_PROG_RANLIB.  Set version info here.
	Call AC_CONFIG_MACRO_DIR.  Give same warning for gcc 1.x and 2.x.
	Use AM_CONDITIONALS for FFTW, BLAS, and LAPACK.  Don't set
	variables with calls to ACX_BLAS_WITH_F77_FUNC or ACX_LAPACK.
	Don't substitute BLAS_DIR or LAPACK_DIR.  Use LT_INIT.  Eliminate
	--enable-shared and --enable-static options (now provided by
	LT_INIT).  Set SHARED_LIBS and STATIC_LIBS variables based on
	LT_INIT variables.  Handle dlopen libraries with info from
	LT_INIT.  Substitute NO_UNDEFINED_FLAG (only set on Windows
	sytems).  Include $LAPACK_LIBS in $LIBS when checking for qrupdate
	and cholmod.  Handle --enable-dl consistently with other --enable
	options.  Don't copy $srcdir/Makefile in AH_BOTTOM commands.
	Substitute LEX_OUTPUT_ROOT.  Use AM_CONDITONAL for
	ENABLE_DYNAMIC_LINKING.  Reindent configure summary.
	(AC_CONFIG_FILES): Don't list Makefiles in libcruft
	subdirectories.  Generate Makefile and src/version.h.  Don't
	generate Makeconf, octMakefile, m4/Makefile, emacs/Makefile,
	examples/@polynomial/Makefile, or examples/@FIRfilter/Makefile.

	* run-octave.in Call libtool to execute src/octave.
	(ldpreloadsep, liboctinterp, liboctave, libcruft): Delete variables.
	(INFOFILE): Find it in $top_srcdir, not $builddir.

	* acinclude.m4: Rename from aclocal.m4.
	(OCTAVE_PROG_FLEX): Don't include -t in LFLAGS.

	* autogen.sh: Exit immediately on error.  Use libtoolize, aclocal,
	and automake.  Only run autoconf and autoheader in top-level and
	scripts directories.
	Run liboctave/config-ops.sh, doc/interpreter/config-images.sh, and
	src/DLD-FUNCTIONS/config-module.sh, to generate source lists for
	subdirectories.

	* AUTHORS, Makefile.am, common.mk, m4/module.mk, emacs/module.mk,
	examples/@FIRfilter/module.mk, examples/@polynomial/module.mk,
	examples/Makefile.am: New files.
	* Makeconf.in, Makefile, octMakefile.in, m4/Makefile.in,
	emacs/Makefile.in, install-sh, examples/Makefile.in,
	examples/@FIRfilter/Makefile.in, examples/@polynomial/Makefile.in:
	Delete.

2009-11-09  David Grundberg  <davidg@cs.umu.se>

	* configure.ac: Use AMD_CPPFLAGS while checking for UMFPACK.

2009-10-29  Thomas Treichl  <Thomas.Treichl@gmx.net>

	* configure.in: Add support for dlopen on Mac systems.

2009-10-20  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2009-10-13  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2009-10-08  Jaroslav Hajek  <highegg@gmail.com>

	* configure.ac: Define HAVE_QRUPDATE_LUU if qrupdate supports LU updates.

2009-10-08  Jaroslav Hajek  <highegg@gmail.com>

	* configure.ac: Use the LANG argument to OCTAVE_CHECK_LIBRARY to avoid
	ugly names.

2009-09-23  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2009-09-18  John W. Eaton  <jwe@octave.org>

	* aclocal.m4: Consistently quote first arg to AC_DEFUN.

2009-09-17  John W. Eaton  <jwe@octave.org>

	* configure.ac: Also AC_DEFINE OCTAAVE_IDX_TYPE.
	(AH_BOTTOM): Include contents of libcruft/misc/oct-dlldefs.h and
	liboctave/oct-types.h here.  Use C-style comments.
	(AC_CONFIG_FILES): Remove liboctave/oct-types.h from the list.

2009-09-15  John W. Eaton  <jwe@octave.org>

	* configure.ac: Rename from configure.in.
	(AC_CONFIG_FILES): Add m4/Makefile to the list.
	* acx_blas.m4, acx_lapack.m4, acx_blas_f77_func.m4,
	acx_pthread.m4: Move to m4 subdirectory.
	* m4/Makefile.in: New file.
	* octMakefile.in (M4_FILES): Adjust for new m4 subdirectory.
	Rename all instances of configure.in to configure.ac.
	(CONF_DISTSUBDIRS, DISTSUBDIRS): Add m4 to the lists.

	* configure.in: Substitute ac_config_headers.
	* octMakefile.in (CONFIG_FILES): Include @ac_config_headers@ in
	the list.  From Thorsten Meyer <thorsten.meyier@gmx.de>.

2009-09-04  John W. Eaton  <jwe@octave.org>

	* Makeconf.in (SPARSE_CPPFLAGS, SPARSE_LDFLAGS, FFTW_CPPFLAGS,
	FFTW_LDFLAGS): Don't sort lists.

2009-09-02  Marco Atzeri  <marco_atzeri@yahoo.it>

	* Makeconf.in: Order SPARSE_LIBS so linking succeeds on Cygwin.

2009-09-04  Marco Atzeri  <marco_atzeri@yahoo.it>

	*  README.Cygwin: Update version info.

2009-09-04  John W. Eaton  <jwe@octave.org>

	* configure.in (ldpreloadsep): New variable.  Set to ':' for Cygwin.
	* Makeconf.in (do-subst-script-vals): Substitute it.
	* run-octave.in: Use it to seprate elements in the LD_PRELOAD variable.

2009-09-03  John W. Eaton  <jwe@octave.org>

	* configure.in (AH_BOTTOM): If HAVE_Z is defined, define HAVE_ZLIB.

2009-09-03  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2009-09-02  Jaroslav Hajek  <highegg@gmail.com>

	* configure.in (FLOAT_TRUNCATE): New config macro.

2009-09-02  Jaroslav Hajek  <highegg@gmail.com>

	* acx_blas_f77_func.m4 (ACX_BLAS_F77_FUNC): Check for correct INTEGER
	size.

2009-09-01  John W. Eaton  <jwe@octave.org>

	* aclocal.m4 (OCTAVE_REQUIRE_64_BIT_FORTRAN_INTEGERS): New macro.
	* configure.in: Use it, if building with --enable-64.
	Move checks for Fortran compiler ahead of checks for libraries.

2009-09-01  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2009-08-30  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2009-08-27  John W. Eaton  <jwe@octave.org>

	* configure.in: Properly save and restore CPPFLAGS and LIBS when
	checking for GraphicsMagick++.  Don't temporarily change LDFLAGS.

2009-08-27  Jaroslav Hajek  <highegg@gmail.com>

	* aclocal.m4 (m4_ifblank, m4_ifnblank): State FSF copyright and markup
	as FIXME.

2009-08-26  John W. Eaton  <jwe@octave.org>

	* configure.in: Restore LIBS after checking for ARPACK.

2009-08-26  John W. Eaton  <jwe@octave.org>

	* configure.in: Use OCTAVE_CHECK_LIBRARY to check for UMFPACK.
	* octave-bug.in, octave-bug.cc.in: Substitute UMFPACK_CPPFLAGS and
	UMFPACK_LDFLAGS.
	* Makeconf.in (UMFPACK_CPPFLAGS, UMFPACK_LDFLAGS): New variables.
	(do-subst-config-vals): Substitute them.

2009-08-26  John W. Eaton  <jwe@octave.org>

	* configure.in: Use OCTAVE_CHECK_LIBRARY to check for qrupdate.
	* octave-bug.in, octave-bug.cc.in: Substitute QRUPDATE_CPPFLAGS and
	QRUPDATE_LDFLAGS.
	* Makeconf.in (QRUPDATE_CPPFLAGS, QRUPDATE_LDFLAGS): New variables.
	(do-subst-config-vals): Substitute them.

2009-08-26  John W. Eaton  <jwe@octave.org>

	* octave-bug.in: Correct substitutions.

2009-08-26  John W. Eaton  <jwe@octave.org>

	* aclocal.m4 (OCTAVE_CHECK_LIBRARY): Allow empty list of header files.
	* configure.in: Use OCTAVE_CHECK_LIBRARY to check for arpack.
	* octave-bug.in, octave-bug.cc.in: Substitute ARPACK_CPPFLAGS and
	ARPACK_LDFLAGS.
	* Makeconf.in (ARPACK_CPPFLAGS, ARPACK_LDFLAGS): New variables.
	(do-subst-config-vals): Substitute them.

2009-08-26  Benjamin Lindner  <lindnerb@users.sourceforge.net>

	* mkoctfile.cc.in: Fix typo.
	* octave-bug.cc.in: Correct substututions.

2009-08-25  David Grundberg  <individ@acc.umu.se>

	* configure.in: Run PKG_PROG_PKG_CONFIG earlier. Use pkg-config
	instead of GraphicsMagick++-config. Determine only -I, -L and -l
	flags and put them in MAGICK_CPPFLAGS, MAGICK_LDFLAGS and
	MAGICK_LIBS respectively. Substitute these variables.
	Remove variables MAGICK_CONFIG and MAGICK_INCFLAGS.
	Test linking against GraphicsMagick++.
	* Makeconf.in: Don't run $(MAGICK_CONFIG) here. Use substituted
	valued from MAGICK_CPPFLAGS, MAGICK_LDFLAGS and MAGICK_LIBS.
	Remove variables MAGICK_CONFIG and MAGICK_INCFLAGS.

2009-08-24  Jaroslav Hajek  <highegg@gmail.com>

	* acx_blas_f77_func.m4: Fix typo.

2009-08-19  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2009-08-18  John W. Eaton  <jwe@octave.org>

	* aclocal.m4 (OCTAVE_HDF5_HAS_REQUIRED_API): If test fails, set
	octave_hdf5_ok to no instead of setting HAVE_HDF5 to false.
	* configure.in: Check octave_hdf5_ok instead of HAVE_HDF5.
	Set TEXINFO_HDF5 if HDF5 library is found.

2009-08-18  John W. Eaton  <jwe@octave.org>

	* Makeconf.in (ALL_CPPFLAGS): Add HDF5_CPPFLAGS to the list.
	* aclocal.m4 (OCTAVE_HDF5_HAS_REQUIRED_API):
	Set HAVE_HDF5 to false, not WITH_HDF5.
	* configure.in: Use OCTAVE_CHECK_LIBRARY to check for HDF5
	library.  Print HDF5_CPPFLAGS and HDF5_LDFLAGS in the summary.
	* octave-bug.in, octave-bug.cc.in, Makeconf.in: Substitute
	HDF5_CPPFLAGS and HDF5_LDFLAGS.

2009-08-18  John W. Eaton  <jwe@octave.org>

	* acx_blas_f77_func.m4 (ACX_BLAS_F77_FUNC): Save and restore LIBS.

2009-08-18  John W. Eaton  <jwe@octave.org>

	* aclocal.m4 (OCTAVE_CHECK_LIBRARY): Use variables named
	octave_check_library_save_XXX instead of save_XXX.
	* configure.in: Add Z_LDFLAGS and Z_LIBS to LIBS, and Z_CPPFLAGS
	to CPPFLAGS in checks for curl and glpk libraries.

2009-08-18  David Grundberg  <individ@acc.umu.se>

	* aclocal.m4 (OCTAVE_CHECK_LIBRARY): Clear QHULL_LIBS etc on
	errors. Interpret --without-qhull etc correctly.

2009-08-17  John W. Eaton  <jwe@octave.org>

	* mkoctfile.in, mkoctfile.cc.in (FFTW3_LDFLAGS, FFTW3_LIBS,
	FFTW3F_LDFLAGS, FFTW3F_LIBS): Substitute instead of FFTW_LIBS.
	(FFTW_LIBS): Define from FFTW3_LDFLAGS, FFTW3_LIBS,
	FFTW3F_LDFLAGS, and FFTW3F_LIBS variables.

	* octave-bug.cc.in, octave-bug.in (Z_CPPFLAGS, Z_LDFLAGS):
	Substitute and display them.
	(Z_LIBS): Rename from ZLIB_LIBS.
	* configure.in: Use OCTAVE_CHECK_LIBRARY to check for ZLIB.
	Print Z_CPPFLAGS and Z_LDFLAGS in the summary.
	* Makeconf.in (Z_CPPFLAGS, Z_LDFLAGS): New variables.
	(Z_LIBS): Rename from ZLIB_LIBS.
	(do-subst-config-vals): Substitute them.

	(ALL_CPPFLAGS): New variable.
	(%.o : %.c, %.o : %.cc, pic/%.o : %.c, pic/%.o : %.cc):
	Use $(ALL_CPPFLAGS) instead of $(CPPFLAGS) in command.

2009-08-17  John W. Eaton  <jwe@octave.org>

	* octave-bug.in, octave-bug.cc.in: Include AMD_CPPFLAGS,
	AMD_LDFLAGS, AMD_LIBS, ARPACK_LIBS, BLAS_LIBS, CAMD_CPPFLAGS,
	CAMD_LDFLAGS, CAMD_LIBS, CARBON_LIBS, CCOLAMD_CPPFLAGS,
	CCOLAMD_LDFLAGS, CCOLAMD_LIBS, CHOLMOD_CPPFLAGS, CHOLMOD_LDFLAGS,
	CHOLMOD_LIBS, COLAMD_CPPFLAGS, COLAMD_LDFLAGS, COLAMD_LIBS,
	CURL_CPPFLAGS, CURL_LDFLAGS, CURL_LIBS, CXSPARSE_CPPFLAGS,
	CXSPARSE_LDFLAGS, CXSPARSE_LIBS, DL_LIBS, FFTW3_CPPFLAGS,
	FFTW3_LDFLAGS, FFTW3_LIBS, FFTW3F_CPPFLAGS, FFTW3F_LDFLAGS,
	FFTW3F_LIBS, GRAPHICS_LIBS, GLPK_CPPFLAGS, GLPK_LDFLAGS,
	GLPK_LIBS, HDF5_LIBS, OPENGL_LIBS, PTHREAD_CFLAGS, PTHREAD_LIBS,
	QHULL_CPPFLAGS, QHULL_LDFLAGS, QHULL_LIBS, QRUPDATE_LIBS,
	READLINE_LIBS, REGEX_LIBS, TERM_LIBS, UMFPACK_LIBS, X11_INCFLAGS,
	X11_LIBS, and ZLIB_LIBS in the summary of varibles.

	* configure.in: Include LEXLIB and LIBGLOB in the summary.

2009-08-17  Michael Goffioul  <michael.goffioul@gmail.com>

	* aclocal.m4 (OCTAVE_HDF5_DLL): Include HDF5_LIBS in LIBS before
	attempting link.

2009-08-15  Jaroslav Hajek  <highegg@gmail.com>

	* aclocal.m4: Define the autoconf 2.64+ m4sugar macros `m4_ifblank'
	and `m4_ifnblank' if on earlier autoconfs.

2009-08-13  John W. Eaton  <jwe@octave.org>

	* Makeconf.in (GLPK_CPPFLAGS, GLPK_LDFLAGS,
	AMD_CPPFLAGS, AMD_LDFLAGS, CAMD_CPPFLAGS, CAMD_LDFLAGS,
	CCOLAMD_CPPFLAGS, CCOLAMD_LDFLAGS, CHOLMOD_CPPFLAGS,
	CHOLMOD_LDFLAGS, COLAMD_CPPFLAGS, COLAMD_LDFLAGS,
	CXSPARSE_CPPFLAGS, CXSPARSE_LDFLAGS): New variables.
	(do-subst-config-vals): Substitute Them.
	(SPARSE_CPPFLAGS, SPARSE_LDFLAGS, SPARSE_LIBS, FFTW_CPPFLAGS,
	FFTW_LDFLAGS, FFTW_LIBS): New variables.

	* configure.in: Use OCTAVE_CHECK_LIBRARY to check for GLPK, AMD,
	CAMD, CCOLAMD, CHOLMOD, COLAMD, CXSPARSE, FFTW3, and FFTW3F
	libraries.  Print GLPK_CPPFLAGS, GLPK_LDFLAGS, AMD_CPPFLAGS,
	AMD_LDFLAGS, CAMD_CPPFLAGS, CAMD_LDFLAGS, CCOLAMD_CPPFLAGS,
	CCOLAMD_LDFLAGS, CHOLMOD_CPPFLAGS, CHOLMOD_LDFLAGS,
	COLAMD_CPPFLAGS, COLAMD_LDFLAGS, CXSPARSE_CPPFLAGS,
	CXSPARSE_LDFLAGS, FFTW3_CPPFLAGS, FFTW3_LDFLAGS, FFTW3_LIBS,
	FFTW3F_CPPFLAGS, FFTW3F_LDFLAGS, and FFTW3F_LIBS in the summary.
	(AH_BOTTOM): Define HAVE_FFTW if HAVE_FFTW3 and HAVE_FFTW3F are
	both defined.

	* aclocal.m4 (OCTAVE_CHECK_LIBRARY): New optional arguments for
	language and doc string.

2009-08-13  Jaroslav Hajek  <highegg@gmail.com>

	* aclocal.m4 (OCTAVE_CHECK_LIBRARY): Prepend to LIBS rather than
	replacing.

2009-08-13  John W. Eaton  <jwe@octave.org>

	* Makeconf.in (QHULL_CPPFLAGS, QHULL_LDFLAGS, CURL_CPPFLAGS,
	CURL_LDFLAGS): New variables.
	(do-subst-config-vals): Substitute QHULL_CPPFLAGS, QHULL_LDFLAGS,
	CURL_CPPFLAGS, and CURL_LDFLAGS
	* configure.in: Use OCTAVE_CHECK_LIBRARY to check for qhull and
	curl libraries.  Print QHULL_CPPFLAGS, QHULL_LDFLAGS,
	CURL_CPPFLAGS, and CURL_LDFLAGS in the summary.  Print glpk
	library warning at time of check.  Use AC_MSG_WARN, not
	AC_MSG_RESULT, to print fftw warning.
	* aclocal.m4 (OCTAVE_CHECK_LIBRARY): New macro.
	(AC_CHECK_QHULL_VERSION, AC_CHECK_QHULL_OK):
	Implement with modern autoconf macros.

2009-08-11  John W. Eaton  <jwe@octave.org>

	* configure.in: Define and substitute TERM_LIBS instead of
	TERMLIBS.  Don't add TERM_LIBS to LIBS.  Define DL_LIBS instead of
	adding them to LIBS.  Display TERM_LIBS and DL_LIBS in summary
	reporrt.
	* aclocal.m4 (OCTAVE_ENABLE_READLINE): Define and substitute
	READLINE_LIBS instead of LIBREADLINE.  Don't add readline library
	to LIBS.  Display READLINE_LIBS in summary report.  Temporarily
	add TERM_LIBS to LIBS when checking for readline library.
	* Makeconf.in, mkoctfile.cc.in, mkoctfile.in:
	Use READLINE_LIBS instead of LIBREADLINE and TERM_LIBS instead of
	TERMLIBS.  Substitute DL_LIBS.
	(do-subst-config-vals): Substitute TERM_LIBS and DL_LIBS.

2009-08-11  John W. Eaton  <jwe@octave.org>

	* configure.in: Generate separate variables for HDF5_LIBS and
	ZLIB_LIBS.  Don't add them to LIBS.  Add separate entries for them
	in the summary report.
	* Makeconf.in (HDF5_LIBS, ZLIB_LIBS): New variables.
	(do-subst-config-vals): Substitute AMD_LIBS, ARPACK_LIBS,
	CAMD_LIBS, CCOLAMD_LIBS, CHOLMOD_LIBS, COLAMD_LIBS, CXSPARSE_LIBS,
	FT2_LIBS, GRAPHICS_LIBS, HDF5_LIBS, OPENGL_LIBS, PTHREAD_CFLAGS,
	PTHREAD_LIBS, QHULL_LIBS, QRUPDATE_LIBS, REGEX_LIBS, UMFPACK_LIBS,
	ZLIB_LIBS.

2009-08-05  John W. Eaton  <jwe@octave.org>

	* acx_pthread.m4: New file.
	* configure.in: Include it and invoke ACX_PTHREAD macro.  Print
	ptrhead flags and libraries in summary output.
	* Makeconf.in (PTHREAD_CFLAGS, PTHREAD_LIBS): Substitute values.
	(ALL_CFLAGS, ALL_CXXFLAGS): Include $(PTHREAD_CFLAGS).

2009-08-03  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2009-07-27  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2009-07-22  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2009-07-16  John W. Eaton  <jwe@octave.org>

	* Makeconf.in (MAGICK_LIBS): Don't pass --ldflags to $(MAGICK_CONFIG).

2009-07-09  John W. Eaton  <jwe@octave.org>

	* configure.in: Don't use system strftime on MinGW systems.

2009-06-29  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Correct info.
	* NEWS: Update.

2009-06-26  Michael Goffioul  <michael.goffioul@gmail.com>

	* aclocal.m4: Add pkg.m4 macros.
	* configure.in (HAVE_FREETYPE): New defined variable.
	* configure.in: Add configure tests for Fontconfig detection.

2009-06-23  Robert T. Short  <octave@phaselockedsystems.com>

	* run-octave.in: Exclude @-files from path.  Remove CVS exclusions.

2009-06-19  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2009-06-15  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Update.

2009-06-02  Jaroslav Hajek  <highegg@gmail.com>

	* examples/@polynomial/subsref.m: Handle ':' correctly.
	* examples/@polynomial/subsasgn.m: Ditto.

2009-06-11  Jaroslav Hajek  <highegg@gmail.com>

	* example/@polynomial/numel.m: New method.
	* example/@polynomial/Makefile.in: Include it.

2009-05-22 Benjamin Lindner  <lindnerb@users.sourceforge.net>

	* mkoctfile.cc.in: mask MSVC specific linker flags for mex output

2009-06-02  Robert T. Short  <octave@phaselockedsystems.com>

	* examples/@polynomial: Fix end method for zero based indexing.

2009-06-02  Jaroslav Hajek  <highegg@gmail.com>

	* examples/@polynomial/subsref.m: Allow chained subscripts,
	fix behavior according to docs.
	* examples/@polynomial/subsasgn.m: Allow chained subscripts,
	fix behavior according to docs.

2009-06-02  Robert T. Short  <octave@phaselockedsystems.com>

	* examples/@polynomial: Remove tabs from all functions so
	documentation looks right.  Fix a bunch of methods
	that didn't work.  Add a method referred to in the docs
	that didn't exist.

2009-05-26  John W. Eaton  <jwe@octave.org>

	* src/dirfns.cc (Fpathsep): Allow path separator to be set.

2009-03-17  Thomas Weber  <thomas.weber.mail at gmail.com>

	* configure.in: fix typo with regards to termios.h

2009-05-25  Jaroslav Hajek  <highegg@gmail.com>

	* examples/@FIRfilter/Makefile.in: New file.
	* examples/Makefile.in: Include it.
	* configure.in: Ditto.

2009-05-24  Benjamin Lindner  <lindnerb@users.sourceforge.net>

	* configure.in: (SCRIPTS_EXE_SUFFIX) Define to ".exe" for
	mingw32 compilation (similar to msvc)

2009-05-24  Robert T. Short  <octave@phaselockedsystems.com>

	* examples/@FIRfilter: added FIRfilter class example.

2009-05-22  Marco Atzeri  <marco_atzeri@yahoo.it>

	* src/sysdep.cc: Removed CYGWIN_init

2009-05-21  Marco Atzeri  <marco_atzeri@yahoo.it>
	* configure.in: Correct my mistake in cygwin SHLBINPRE SHLBIN

2008-05-21  Michael Goffioul  <michael.goffioul@gmail.com>

	* aclocal.m4 (AC_CHECK_QHULL_OK): Do not use -lm under
	Windows systems.
	* configure.in: Add -luser32 to LIBS under Windows.

	* configure.in (SCRIPTS_EXE_SUFFIX): New substituted
	variable. Define to ".exe" for MSVC compilation.
	* octMakefile.in (SCRIPTS_EXE_SUFFIX): New variable.
	(DISTFILES): Add mkoctfile.cc.in, octave-config.cc.in and
	octave-bug.cc.in.
	(SHELL_SCRIPTS): Use SCRIPTS_EXE_SUFFIX.
	(mkoctfile.cc, mkoctfile$(EXEEXT)): New build rules.
	(octave-config.cc, octave-config$(EXEEXT)): Likewise.
	(octave-bug.cc, octave-bug$(EXEEXT)): Likewise.
	(install, install-strip, uninstall): Use SCRIPTS_EXE_SUFFIX.
	(maintainer-clean, distclean): Remove mkoctfile.[cc|o|exe],
	octave-config.[cc|o|exe] and octave-bug.[cc|o|exe].
	(clean): Remove mkoctfile$(EXEEXT), octave-config$(EXEEXT),
	octave-bug$(EXEEXT) and the corresponding object files.

2009-05-07  Rik  <rdrider0-list@yahoo.com>

	* README.mirrors: Remove invalid mirror sites which no longer exist.

2009-05-07  John W. Eaton  <jwe@octave.org>

	* configure.in, mkoctfile.in, mkoctfile.cc.in, octave-bug.in,
	octave-bug.cc.in: Eliminate last remnants of f2c goop.

2009-05-07  Marco Atzeri  <marco_atzeri@yahoo.it>

	* configure.in, Makeconf.in: (SHLPRE): Rename from SHLLIBPRE.

2009-05-05  Jaroslav Hajek  <highegg@gmail.com>

	* configure.in: Include the whole 3.x g++ series as problematic.
	* Makefile: Don't mention that g++-3.x might work.

2009-05-04  John W. Eaton  <jwe@octave.org>

	* configure.in: Put -lftgl ahead of $FT2_LIBS, and $FT2_LIBS ahead
	of $OPENGL_LIBS.

2009-05-04  Peter O'Gorman  <pogma@thewrittenword.com>

	* aclocal.m4 (OCTAVE_HAVE_C99_VSNPRINTF): New macro.
	* configure.in: Use it.

	* configure.in (rs6000-ibm-aix* | powerpc-ibm-aix*): Set
	library_path_var to LIBPATH.
	(hppa*-hp-hpux*): Set library_path_var to SHLIB_PATH.
	(ia64*-hp-hpux*): New case for shared library variables.

	* configure.in: Provide decls for exp2, round, and tgamma if they
	are missing.

2009-04-11  David Bateman  <dbateman@free.fr>

	* NEWS: Add new graphics functions.

2009-04-05  John W. Eaton  <jwe@octave.org>

	* configure.in: Use AC_USE_SYSTEM_EXTENSIONS instead of
	AC_GNU_SOURCE, AC_AIX, AC_MINIX, and AC_ISC_POSIX.
	Require Autoconf 2.60.

	* configure.in: Add -Wformat to extra warning flags.  Add
	-Wconversion to strict warning flags.

2009-04-02  John W. Eaton  <jwe@octave.org>

	* Makeconf.in (do-script-install): Use $(INSTALL_DATA) instead of
	mv to install PKG_ADD file.

2009-04-02  Marco Atzeri  <marco_atzeri@yahoo.it>

	* Makeconf.in (do-subst-script-vals): Use SHLLIBPRE instead of
	LIBPRE for names for shared libraries.

2009-03-28  Marco Atzeri  <marco_atzeri@yahoo.it>

	* configure.in: For cygwin, set LIBPRE=lib and clear CPICFLAG,
	CXXPICFLAG, and FPICFLAG.

2009-03-27  Jaroslav Hajek  <highegg@gmail.com>

	* aclocal.m4 (OCTAVE_CMATH_FUNC): Add missing AC_LANG_POP.
	* configure.in: Enclose string in quotes.

2009-03-23  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: More updates.

2009-03-20  Jaroslav Hajek  <highegg@gmail.com>

	* aclocal.m4 (OCTAVE_CMATH_FUNC): New macro.
	* configure.in: Use it.

2009-03-09  John W. Eaton  <jwe@octave.org>

	* run-octave.in: Use doc-cache instead of DOC for doc cache file.
	* configure.in: Likewise.

	* configure.in (--enable-extra-warning-flags): New option to
	control extra compiler warning flags.
	(--enable-strict-warning-flags): Rename from --enable-picky-flags.
	(GXX_STRICT_FLAGS): Remove -Wenum-clash from the list.

2009-03-08  Søren Hauberg  <hauberg@gmail.com>

	* NEWS: Mention 'histc'.

2009-03-07  John W. Eaton  <jwe@octave.org>

	* config.guess, config.sub: Update from FSF sources.

2009-02-25  John W. Eaton  <jwe@octave.org>

	* configure.in (doc_cache_file): New default variable
	* Makeconf.in (@doc_cache_file, do-subst-default-vals): Substitute it.

2009-02-24  John W. Eaton  <jwe@octave.org>

	* run-octave.in (DOCFILE): New variable.  Pass --doc-cache-file
	option to Octave.

	* configure.in: Copy Makefile to build directory if not building
	in srcdir.

2009-02-24  Thorsten Meyer  <thorsten@hexe>

	* configure.in: AC_SUBST ac_config_files.
	* Makeconf.in (config_opts): Define CONFIG_SUBDIRS variable.
	* Makefile: Add make target for configuration files.
	* octMakefile.in: Add make targets for configuration files,
	config.status and configure.

	* Makefile.in: Rename to Makefile.
	* configure.in: Remove Makefile from list of autogenerated
	configuration files.
	* octMakefile.in: Remove references to Makefile.in, add Makefile
	to list of CONF_DISTFILES.
	* octMakefile.in (maintainer-clean distclean): Don't delete Makefile.

2009-02-17  Benjamin Lindner  <lindnerb@users.sourceforge.net>

	* configure.in: Check for mkstemps on MinGW platform
	(HAVE_MKSTEMPS): Define if mkstsmps is avilable in libiberty.

2009-02-17  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Mention cummin and cummax

2009-02-17  John W. Eaton  <jwe@octave.org>

	* aclocal.m4 (OCTAVE_PROG_GPERF): Don't run gperf.

	* Makeconf.in (do-subst-config-vals): Substitute CARBON_LIBS,
	X11_INCFLAGS, and X11_LIBS.

2009-02-17  Thomas Treichl  <Thomas.Treichl@gmx.net>

	* Makeconf.in: Substitute CARBON_LIBS.
	* configure.in: Use CARBON_LIBS instead of LIBS for framework Carbon.

	* configure.in: Fix test for X11 if "--without-x" is given.

2009-02-16  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Yet more updates.

2009-02-16  John W. Eaton  <jwe@octave.org>

	* NEWS: Mention command-style parsing changes.  More updates.

2009-02-13  John W. Eaton  <jwe@octave.org>

	* NEWS: Update for release.

2009-02-11 Thomas Treichl  <Thomas.Treichl@gmx.net>

	* aclocal.m4 (OCTAVE_GLUTESSCALLBACK_THREEDOTS): New macro.
	(OCTAVE_OPENGL): Use it in OpenGL check.

2009-02-11 Ben Abbott  <bpabbott@mac.com>

	* configure.in: Include FTGLTextureFont.h when FTGL_UPPER_CASE is
	not defined.

2009-02-11  John W. Eaton  <jwe@octave.org>

	* configure.in (octetcdir): New default value.
	* Makeconf.in (octetcdir): New variable.
	(do-subst-default-vals): Substitute octetcdir.
	* octMakefile.in (install, uninstall): Use $(octetcdir) for NEWS.
	(DIRS_TO_MAKE): Add $(octetcdir) to the list.

2009-02-10  Rafael Laboissiere  <rafael@debian.org>

	* examples/Makefile.in: Run some clean targets on sub-directory
	@polynomial.

2009-02-09  John W. Eaton  <jwe@octave.org>

	* examples/Makefile.in (dist): Create subdirs of examples, not scripts.

	* examples/@polynomial/Makefile.in (do-mkpkgadd):
	Provide special definition for this directory.

	* examples/Makefile.in (EXAMPLE_SOURCES): Delete unused variable.
	(SUBDIRS, DISTSUBDIRS): Don't reset to empty.

2009-02-08  John W. Eaton  <jwe@octave.org>

	* install-octave.in: Delete.
	* configure.in: Delete AC_CONFIG_COMMANDS macro that was used to
	make install-octave executable.

2009-02-07  John W. Eaton  <jwe@octave.org>

	* octMakefile.in (all): Display $(prefix) in summary message.

2009-02-05  John W. Eaton  <jwe@octave.org>

	* aclocal.m4 (OCTAVE_HDF5_HAS_REQUIRED_API): New macro.
	* configure.in: Use it in HDF5 check.

2009-02-04  Benjamin Lindner  <lindnerben@gmx.net>

	* configure.in: Use separate cases for *-*-mingw* and *-*-cygwin*
	to set variables related to creating shared libraries.

2009-02-03  Jaroslav Hajek  <highegg@gmail.com>

	* aclocal.m4 (AC_CHECK_QHULL_OK): New macro, based on suggestion by
	Petr Mikulik <mikulik@physics.muni.cz>.
	* configure.in: Call it.

2009-02-01  Thorsten Meyer  <thorsten.meyier@gmx.de>

	* autogen.sh: Remove printing of cvs motd.

2009-01-30  Marco Atzeri  <marco_atzeri@yahoo.it>

	* configure.in (SHLLIBPRE, SHLBINPRE): Fix definitions for Cygwin.
	(SHLEXT, SHLLIB, SHLBIN, SONAME_FLAGS): Fix definitions for Cygwin
	and MinGW.

2009-01-30  Benjamin Lindner  <lindnerb@users.sourceforge.net>

	* configure.in: Add -lgdi32 to LIBS on *-*-msdosmsvc* and
	*-*-mingw* systems.

2009-01-29  Thomas Treichl  <Thomas.Treichl@gmx.net>

	* aclocal.m4 (OCTAVE_HAVE_FRAMEWORK): Add support for
	--with-framework-<name> and replace "$ac_safe" by "$1".
	* configure.in: Change "have_carbon" with
	"have_framework_carbon".

2009-01-28  John W. Eaton  <jwe@octave.org>

	* configure.in: Check to see that pcre library has pcre_compile
	function.

 	* configure.in (SHLLIBPRE, SHLBINPRE): New variables.  AC_SUBST them.
 	(*-*-cygwin*): Set LIBPRE and SHLBINPRE to cyg and SHLLIBPRE to lib.
	Use SHLLIBPRE and SHLLIB in definition of SONAME_FLAGS.
	(*-*-msdosmsvc): Make SHLBINPRE and SHLLIBPRE empty.
 	Adjust definition of SONAME_FLAGS for SHLLIBPRE.

	* Makeconf.in (SHLLIBPRE, SHLBINPRE): Substitute new variables here.
	From Marco Atzeri <marco_atzeri@yahoo.it>.

2009-01-27  Benjamin Lindner  <lindnerb@users.sourceforge.net>

	* configure.in: Add of -lregex to REGEX_LIBS.

2009-01-26  Thomas Treichl  <Thomas.Treichl@gmx.net>

	* aclocal.m4 (OCTAVE_HAVE_FRAMEWORK): New macro.
	* configure.in: Use it.

2009-01-22  John W. Eaton  <jwe@octave.org>

	* configure.in (AH_BOTTOM): Define OCTAVE_USE_OS_X_API if
	__APPLE__ and __MACH__ are defined.

2009-01-22  Jaroslav Hajek  <highegg@gmail.com>

	* configure.in: Fix qrupdate warning message.

2009-01-21  John W. Eaton  <jwe@octave.org>

	* Makeconf.in: Substitute X11_INCFLAGS and X11_LIBS.
	* configure.in: Use AC_PATH_X to check for X11 header files and
	libraries.

	* THANKS, Announce: Remove obsolete files.
	* octMakefile.in (DISTFILES): Remove THANKS from the list.

2009-01-20  John W. Eaton  <jwe@octave.org>

	* configure.in: Check for fstat.

2008-12-23  David Bateman  <dbateman@free.fr>

	* configure.in: Add configuration test for ARPACK.
	* Makeconf.in (ARPACK_LIBS): Add variable with location of ARPACK
	library.
	* NEWS: Document that eigs and svds were moved to Octaave.

2008-10-29  Jaroslav Hajek  <highegg@gmail.com>

	* configure.in: Remove the OCTAVE_LOCAL_BUFFER stuff (moved to
	liboctave).

2008-12-04  Jaroslav Hajek  <highegg@gmail.com>

	* NEWS: Document more new features.

2008-12-03  John W. Eaton  <jwe@octave.org>

	* config.guess, config.sub: Update from FSF sources.

2008-11-18  John W. Eaton  <jwe@octave.org>

	* mkoctfile.cc.in, octave-bug.cc.in: Style fixes.

2008-11-13  Ben Abbott  <bpabbott@mac.com>

	* src/graphics.h.in: Add props screensize & screenpixelsperinch.

2008-11-08  Thorsten Meyer  <thorsten.meyier@gmx.de>

	* Makeconf.in: export PERL variable for use in scripts/mkdoc

2008-10-30  David Bateman  <dbateman@free.fr>

	* NEWS: Minor update to document improved indexing code.

2008-10-23  Jason Riedy  <jason@acm.org>

	* configure.in: Take care to use FT2_CFLAGS when checking
	for FTGL headers.

2008-10-22  David Bateman  <dbateman@free.fr>

	* examples/@polynomial: Move examples/polynomial here.
	* examples/@polynomial/Makefile.in: Update for new location.
	* examples/Makefile.in: Ditto.
	* configure.in: Change locate of examples/@polynomial makefile
	in AC_CONFIG_FILES.

2008-10-16  David Bateman  <dbateman@free.fr>

	* NEWS: Minor update.

2008-10-15  David Bateman  <dbateman@free.fr>

	* examples/polynomial/display.m, examples/polynomial/double.m,
	examples/polynomial/end.m, examples/polynomial/get.m,
	examples/polynomial/mtimes.m, examples/polynomial/plot.m,
	examples/polynomial/polynomial.m,
	examples/polynomial/polynomial_superiorto.m,
	examples/polynomial/polyval.m, examples/polynomial/set.m,
	examples/polynomial/subsasgn.m, examples/polynomial/subsref.m:
	New example files for a sample OOP class.
	* examples/polynomial/Makefile.in: Add a makefile for this new
	directory
	* examples/Makefile.in: Reference the new subdirectory here.
	* configure.in: Add the new makefile to AC_CONFIG_FILES.

2008-10-01  Jaroslav Hajek  <highegg@gmail.com>

	* configure.in: Check for sizeof (long double) and randl.

2008-09-30  Jaroslav Hajek  <highegg@gmail.com>

	* aclocal.m4 (OCTAVE_FAST_INT_OPS): New macro.
	* configure.in: Call OCTAVE_FAST_INT_OPS

2008-09-08  John W. Eaton  <jwe@octave.org>

	* mkoctfile.cc.in, octave-bug.cc.in, octave-config.cc.in: Style fixes.

2008-09-08  Michael Goffioul  <michael.goffioul@gmail.com>

	* mkoctfile.cc.in, octave-bug.cc.in, octave-config.cc.in: New files.

2008-08-28  David Bateman  <dbateman@free.fr>

	* NEWS: Update for some of the graphics changes

2008-08-11  Jaroslav Hajek  <highegg@gmail.com>

	* acx_blas_f77_func.m4, acx_lapack.m4: Update macros from
	<http://autoconf-archive.cryp.to/>.

2008-08-07  John W. Eaton  <jwe@octave.org>

	* aclocal.m4 (OCTAVE_STRING_NPOS): Delete.
	* configure.in (OCTAVE_STRING_NPOS): Delete use.

2008-08-04  John W. Eaton  <jwe@octave.org>

	* Makeconf.in (do-subst-script-vals): Also substitute SED.
	* run-octave.in: Use sed to append : to path elements
	instead of using the find expression "-exec echo '{}':".
	Substitute SED here.

	* aclocal.m4: Fail if no usable version of sed is found.

	* Makefile.in (header-msg): Mention GNU Make requirement.
	Update GCC version info.

2008-07-31  John W. Eaton  <jwe@octave.org>

	* octMakefile.in (DISTFILES): Add "missing" to the list.

2008-07-30  John W. Eaton  <jwe@octave.org>

	* aclocal.m4 (CXX_ABI, OCTAVE_CXX_PREPENDS_UNDERSCORE,
	OCTAVE_PROG_NM): Delete macros.
	* configure.in: Delete uses.

2008-07-29  Tatsuro MATSUOKA  <tmacchant@yahoo.co.jp>

	* aclocal.m4 (OCTAVE_OPENGL): Handle MinGW the same as MSVC.

2008-07-29  David Bateman  <dbateman@free.fr>

	* NEWS.3: Copy from NEWS.
	* NEWS: Initial update in preparation for a 3.2 release.

2008-07-21  John W. Eaton  <jwe@octave.org>

	* configure.in: If FTGL.h is found, then also include
	FTGLTextureFont.h in test code.

2008-07-21  Michael Goffioul  <michael.goffioul@gmail.com>

	* configure.in: Remove GRAPHICS_OPENGL variable.

2008-07-21  John W. Eaton  <jwe@octave.org>

	* aclocal.m4 (OCTAVE_OPENGL): Fix shell syntax problems.
	Handle HAVE_GL_GL_H and HAVE_OPENGL_GL_H in link test.

	* configure.in: Don't define and substitute FLTK_BACKEND_SRC or
	GL_RENDER_SRC.
	(HAVE_FLTK): AC_DEFINE if FLTK is available.
	(HAVE_OPENGL): AC_DEFINE if OpenGL is available.

2008-07-21  Jaroslav Hajek  <highegg@gmail.com>

	* configure.in: Extend FTGL test to test for both ftgl.h and FTGL.h.
	Use HAVE_FTGL_UPPERCASE to indicate the latter (version <= 2.1.2).

2008-07-19 Rafael Laboissiere  <rafael@debia8n.org>

	* octMakefile.in (CONF_DISTFILES): Include acx_blas_f77_func.m4 in
	the list.

2008-07-18 Carlo de Falco  <carlo.defalco@gmail.com>

	* aclocal.m4: Search for gl.h and glu.h in OpenGL/ as well as in GL/.

2008-07-18  John W. Eaton  <jwe@octave.org>

	* configure.in: Fix FTGL test to handle either FTGL/ftgl.h or ftgl.h.
	(warn_freetype, warn_ftgl, warn_fltk_config, warn_fltk_opengl):
	New variables.  Use these instead of overloading warn_graphics.

2008-07-17  David Bateman  <dbateman@free.fr>

	* configure.in (HAVE_MAGICK): New define for presence of
	GraphicsMagick.

2008-07-16  Michael Goffioul  <michael.goffioul@gmail.com>

	* configure.in: Add check for pthread.h.

2008-07-14  John W. Eaton  <jwe@octave.org>

	* Makeconf.in (MAGICK_CONFIG): Substitute here.
	(MAGICK_INCFLAGS, MAGICK_LIBS): Define using GraphicsMagick++
	config script.
	(do-subst-config-vals): Include MAGICK_LIBS and MAGICK_INCFLAGS in
	list of substitutions.
	* configure.in: Check for GraphicsMagick++ config script.

2008-07-10  John W. Eaton  <jwe@octave.org>

	* octMakefile.in (DIRS_TO_MAKE): Delete $(localfcnfilepath) and
	$(localoctfilepath) from the list.  Include $(datadir)
	$(localfcnfiledir) $(localapifcnfiledir) $(localverfcnfiledir)
	$(localoctfiledir) $(localapioctfiledir) $(localveroctfiledir)
	$(imagedir) and $(localapiarchlibdir) in the list.

	* configure.in: Look for FTGL/ftgl.h instead of FTGL/FTGL.h.  Also
	look for ftgl.h.

2008-07-10  Michael Goffioul  <michael.goffioul@gmail.com>

	* configure.in: new substituted variables GL_RENDER_SRC and
	FLTK_BACKEND_SRC.

2008-06-20  Michael Goffioul  <michael.goffioul@gmail.com>

	* Makeconf.in: Add GRAPHICS_CFLAGS substitution.
	* configure.in: Add checks for hypotf and _hypotf.

2008-06-12  Jaroslav Hajek  <highegg@gmail.com>

	* configure.in: Move LIBS and CXXFLAGS restoration into
	the proper block.

2008-06-05  John W. Eaton  <jwe@octave.org>

	* configure.in: Add FT2_CFLAGS to XTRA_CXXFLAGS, not CXXFLAGS.
	Don't add FT2_LIBS to LIBS.
	Don't generate src/graphics/Makefile, src/graphics/Makerules,
	src/graphics/opengl/Makefile, or src/graphics/fltk_backend/Makefile.

	* Makeconf.in (FT2_LIBS, GRAPHICS_LIBS): Substitute here.

2008-06-04  Shai Ayal  <shaiay@users.sourceforge.net>

	* configure.in: Use AC_TRY_LINK in FTGL test.
	Include FT_CFLAGS in CXXFLAGS.

	* aclocal.m4 (OCTAVE_OPENGL): Note FIXME for apple.

	* configure.in: Check for FTGL library.

	* configure.in: Remove check for Fl/glu.h header.

	* aclocal.m4 (AC_CHECK_FT2): New macro to check for freetype2.

	* configure.in: Check for FLTK and corresponding compiler flags.

2008-06-04  Michael Goffioul  <michael.goffioul@gmail.com>

	* configure.in: Double-quote warn_graphics variable.

	* aclocal.m4 (OCTAVE_OPENGL): New function to detect OpenGL
	headers and libraries.
	* configure.in (OCTAVE_OPENGL): Use it.
	(OCTGRAPHICS_DLL_DEFS): New define to build
	graphics-related DLL.
	(AC_CONFIG_FILES): Generate additional files for graphics
	related libraries.
	* Makeconf.in (OPENGL_LIBS): New variable.

	* .hgignore: Also ignore build-.*, configure, and autom4te.cache.

2008-05-22  Jaroslav Hajek  <highegg@gmail.com>

	* mk-opts.pl (emit_print_function, emit_set_function,
	emit_show_function): Support float type.

2008-05-20  David Bateman  <dbateman@free.fr>

	* configure.in (AC_CHECK_FUNCS): Add expm1, lgammaf, lgammaf_r,
	log1pf and tgammaf. Also check for libfftw3f.

2008-04-09  Rafael Laboissiere  <rafael@debian.org>

	* example/octave.desktop.in: Drop the Encoding key, which is
	deprecated by the FreeDesktop standard.

2008-04-04  John W. Eaton  <jwe@octave.org>

	* Makeconf.in (do-check-m-sources): New macro.

2008-04-03  Tatsuro MATSUOKA  <tmacchant@yahoo.co.jp>

	* README.Cygwin: Update.

2008-04-02  Jaroslav Hajek  <highegg@gmail.com>

	* acx_blas_f77_func.m4: New file.
	* configure.in: Call ACX_BLAS_WITH_F77_FUNC instead of ACX_BLAS.
	Supply a warning for incompatible Fortran/BLAS configuration.

2008-03-25  Jaroslav Hajek  <highegg@gmail.com>

	* configure.in: Check for expm1 and log1p functions.

2008-03-25  John W. Eaton  <jwe@octave.org>

	* configure.in: Check for trunc.

2008-03-21  David Bateman  <dbateman@free.fr>

	* configure.in (HAVE_AMD): Complete test for presence of amd.

2008-03-18  David Bateman  <dbateman@free.fr>

	* configure.in (AC_CHECK_FUNCS): Also check lgamma_r.

2008-03-11  David Bateman  <dbateman@free.fr>

	* run-octave.in: Fix typo.

2008-02-21  John W. Eaton  <jwe@octave.org>

	* examples/Makefile.in (install install-strip): Ignore errors
	installing octave.desktop file.

2008-02-15  John W. Eaton  <jwe@octave.org>

	* configure.in (*-*-freebsd*, *-*-openbsd*): Don't set SH_LD.

2008-02-14  John W. Eaton  <jwe@octave.org>

	* examples/fortdemo.cc: Don't check f77_exception_encountered.

2008-02-06  John W. Eaton  <jwe@octave.org>

	* examples/Makefile.in (octave.desktop):
	Use mv instead of move-if-change.

2008-02-05  John W. Eaton  <jwe@octave.org>

	* dlfcn/Makefile.in: Unconditionally include $(MAKEDEPS).
	Mark $(MAKEDEPS) as .PHONY targets if omit_deps is true.

2008-01-12  John W. Eaton  <jwe@octave.org>

	* aclocal.m4: Call AC_SUBST instead of AC_DEFINE_UNQOTED for
	GNUPLOT_BINARY.
	* aclocal.m4, configure.in: Use GNUPLOT instead of GNUPLOT_BINARY
	as variable name.
	* Makeconf.in (GNUPLOT): Substitute.
	(do-subst-config-vals): Substitute GNUPLOT.

2007-12-21  John W. Eaton  <jwe@octave.org>

	Version 3.0.0 released.

2007-12-13  John W. Eaton  <jwe@octave.org>

	* octMakefile.in (octave-bug, octave-config, mkoctfile):
	Also depend on $(top_srcdir)/src/version.h.

2007-12-10  John W. Eaton  <jwe@octave.org>

	* acx_blas.m4: Use -lsunperf, not -xlic_lib=sunperf.
	From Jim Langston <Jim.Langston@Sun.COM>.

2007-12-06  John W. Eaton  <jwe@octave.org>

	* configure.in (*-*-darwin*): Only set CPICFLAG, CXXPICFLAG, and
	FPICFLAG to "" on powerpc systems.

2007-12-04  John W. Eaton  <jwe@octave.org>

	* octave-bug.in (LIBDLFCN): Delete variable and all uses.
	* Makeconf.in (LIBDLFCN, DLFCN_INCFLAGS): Likewise.
	* configure.in (DLFCN_DIR, LIBDLFCN, DLFCN_INCFLAGS): Likewise.
	Don't generate dlfcn/Makefile.
	* octMakefile.in (DISTSUBDIRS): Delete dlfcn from the list.
	(SUBDIRS): Don't substitute DLFCN_DIR here.

2007-12-03  Moritz Borgmann  <octave@moriborg.de>

	* Makeconf.in, aclocal.m4, configure.in: Check for find program,
	preferably gfind (on non-GNU systems).  Need a sane find for
	run-octave script.
	* run-octave.in: Use FIND and AWK as determined by configure.

2007-12-03  John W. Eaton  <jwe@octave.org>

	* configure.in: If available, include <sys/types.h> in test for
	sigset_t and sig_atomic_t.

2007-11-30  Moritz Borgmann  <octave@moriborg.de>

	* configure.in: Also check for sunmath.h.

2007-11-26  David Bateman  <dbateman@free.fr>

	* PROJECTS: condest now implemented.

	* NEWS: Document the TeX interpreter mode and its limitations with
	gnuplot 4.0.

	* NEWS: Document the use of "colormap gmap40" to workaround some
	gnuplot 4.0 colormap issues.

2007-11-14  John W. Eaton  <jwe@octave.org>

	* configure.in: Don't create Makefrag.bsd.

2007-11-14  Joseph P. Skudlarek  <Jskud@Jskud.com>

	* configure.in: Rework pcre.h tests to work with autoconf 2.59,
	and avoid explicit pcre/pcre.h check by using pcre-config.

2007-11-13  Joseph P. Skudlarek  <Jskud@Jskud.com>

	* octave-bug.in: Try mailx, then Mail, then /usr/ucb/mail, then
	/bin/mail.

2007-11-13  John W. Eaton  <jwe@octave.org>

	* configure.in: Only define HAVE_PCRE_H if <pcre.h> has the
	definitions we need.  Likewise for <pcre/pcre.h>.

2007-11-10  John W. Eaton  <jwe@octave.org>

	* configure.in: Delete AC_SUBST_FILE(f77_rules_frag).

2007-11-07  John W. Eaton  <jwe@octave.org>

	* configure.in: Also check for pcre/pcre.h.

2007-11-01  John W. Eaton  <jwe@octave.org>

	* configure.in: Delete BLAS library calling convention
	compatibility check.

2007-10-31  John W. Eaton  <jwe@octave.org>

	* README.binary-dist: Delete.

	* README.MachTen: Delete.
	* octMakefile.in (DISTFILES): Remove it from the list.

2007-10-30  David Bateman  <dbateman@free.fr>

	* examples/addtwomatrices.cc, examples/celldemo.cc,
	examples/firstmexdemo.c, examples/fortdemo.cc, examples/fortsub.f,
	examples/funcdemo.cc, examples/globaldemo.cc,
	examples/helloworld.cc, examples/mycell.c, examples/myfeval.c,
	examples/myfunc.c, examples/mypow2.c, examples/mysparse.c,
	examples/mystring.c, examples/mystruct.c, examples/paramdemo.cc,
	examples/stringdemo.cc, examples/structdemo.cc,
	examples/unwinddemo.cc: Doc fixes for small book format.

2007-10-26  Michael Goffioul  <michael.goffioul@gmail.com>

	* Makeconf.in: Remove UNSETCOMSPEC trick.

2007-10-25  John W. Eaton  <jwe@octave.org>

	* configure.in (AH_BOTTOM): Define OCTAVE_EMPTY_CPP_ARG here.

2007-10-24  John W. Eaton  <jwe@octave.org>

	* octMakefile.in (maintainer-clean distclean): No need to delete
	Makefrag.f77 and Makerules.f77.
	* Makeconf.in: Include rules for making .o files from .f files
	instead of substituting @f77_rules_frag@.
	* configure.in): Delete handling of --with-f2c and --with-f77
	options.  No need to call OCTAVE_CHECK_EXCLUSIVE_WITH_OPTIONS.
	Delete all special cases for f2c.
	* aclocal.m4 (OCTAVE_CHECK_EXCLUSIVE_WITH_OPTIONS): Delete macro.

	* FLEX.patch: Delete obsolete file.
	* octMakefile.in (DISTFILES): Remove it from the list.

	* acx_blas.m4: Use "-Wl,-framework -Wl,vecLib" instead of
	just "-framework vecLib" in test for Mac OS X test.

	* configure.in, aclocal.m4: Avoid AC_TRY_EVAL.

	* aclocal.m4 (OCTAVE_STRPTIME_BROKEN): New macro.
	* configure.in: Use it.

2007-10-23  John W. Eaton  <jwe@octave.org>

	* configure.in: When checking for -lf2c, set F2CLIBS instad of
	FLIBS, then set FLIBS to $F2CLIBS just before printing the summary.
	Check for BLAS library calling convention compatibility.

2007-10-17  John W. Eaton  <jwe@octave.org>

	* configure.in: Delete checks for METIS.

2007-10-12  John W. Eaton  <jwe@octave.org>

	* mk-opts.pl (parse_input): Allow comment lines beginning with #.

	* Change copyright notices in all files that are part of Octave to
	GPLv3 or any later version.

	* COPYING: Update to GPLv3.

	* run-octave.in: List args explicitly in exec command.

2007-10-11  John W. Eaton  <jwe@octave.org>

	* config.guess, config.sub: Update from FSF sources.

2007-10-10  Kim Hansen  <kimhanse@gmail.com>

	* run-octave.in: Use $args.  Eliminate "if [ -n "$args" ]" conditional.

2007-10-09  John W. Eaton  <jwe@octave.org>

	* gdbinit.in: Delete.
	* octMakefile.in (DISTFILES): Remove it from the list.
	(.gdbinit): Delete rule.
	(maintainer-clean, distclean): No need to delete .gdbinit.

2007-10-09  Kim Hansen  <kimhanse@gmail.com>

	* run-octave.in: Use gdb with --args, not .gdbinit.

2007-10-08  John W. Eaton  <jwe@octave.org>

	* emacs/octave-hlp.el, emacs/octave-inf.el, emacs/octave-mod.el:
	Sync with GNU Emacs versions.
	* emacs/octave-mod.el: Delete last two args from calls to
	define-abbrev.

2007-10-06  John W. Eaton  <jwe@octave.org>

	* configure.in: Check for lgamma and tgamma.

2007-10-04  John W. Eaton  <jwe@octave.org>

	* configure.in (UGLY_DEFS): Delete special case for darwin.

2007-10-03  John W. Eaton  <jwe@octave.org>

	* aclocal.m4 (OCTAVE_PROG_SED): Also check for \(X\|Y\) style
	regular expression alternation.

2007-10-01  John W. Eaton  <jwe@octave.org>

	* aclocal.m4 (OCTAVE_CHECK_STRPTIME): Delete.
	* configure.in: Don't use OCTAVE_CHECK_STRPTIME, simply check for
	strptime.

2007-09-18  Thomas Treichl  <Thomas.Treichl@gmx.net>

	* aclocal.m4 (OCTAVE_CHECK_STRPTIME): New macro.
	* configure.in: Use it.

2007-09-06  John W. Eaton  <jwe@octave.org>

	* configure.in: Avoid broken strptime function on Cygwin systems.

2007-09-01  David Bateman  <dbateman@free.fr>

	* configure.in: AC_SUBST and check the variable TEXINFO_QHULL.
	* Makeconf.in: Use it.

2007-08-24  David Bateman  <dbateman@free.fr>

	* configure.in: Extra Qhull bits.

2007-08-24  Kim Hansen  <kimhanse@gmail.com>

	* run-octave.in: Use `command` instead of $(command) to accomodate
	brain-dead shells.

2007-08-24  David Bateman  <dbateman@free.fr>

	* configure.in: Probe for the use of Qhull.
	* aclocal.m4 (AC_CHECK_QHULL_VERSION): Macro to check whether
	Qhull needs a version number.
	* Makeconf.in: Add QHULL_LIBS.

2007-08-23  John W. Eaton  <jwe@octave.org>

	* aclocal.m4 (OCTAVE_PROG_SED): Don't clobber value from environment.
	From: Christian Cornelssen <ccorn@cs.tu-berlin.de>.

2007-08-23  Thomas Weber  <thomas.weber.mail@gmail.com>

	* aclocal.m4 (OCTAVE_PROG_GNUPLOT): Drop check for multiple plot
	windows.

2007-08-10  Søren Hauberg  <hauberg@gmail.com>

	* ROADMAP: Update for current sources.

2007-07-26  John W. Eaton  <jwe@octave.org>

	* configure.in: Also look for glpk/glpk.h.

2007-07-25  David Bateman  <dbateman@free.fr>

	* octMakefile.in, dlfcn/Makefile.in, emacs/Makefile.in,
	examples/Makefile.in, test/Makefile.in: Adjust DISTFILES to allow
	out of tree "make dist" to work.

2007-07-24  Michael Goffioul  <michael.goffioul@swing.be>

	* configure.in (*-*-msdosmsvc): Only add -g to DL_LDFLAGS and
	SH_LDFLAGS if either CFLAGS or CXXFLAGS contains -g.

2007-07-24  Rafael Laboissiere  <rafael@debian.org>

	* Makeconf.in (RUNTEST): Delete variable substitution.
	(do-subst-config-vals): Don't substitute %OCTAVE_CONF_RUNTEST%.

2007-07-20  Thomas Treichl  <Thomas.Treichl@gmx.net>

	* mkoctfile.in: Fix typo.

2007-06-25  John W. Eaton  <jwe@octave.org>

	* mk-opts.pl (emit_print_function): Make generated function print
	to ostream (passed as arg) instead of local buffer.  Don't call
	print_usage in generated function.
	(emit_options_function): Fix call to print_${class_name} in
	generated to pass octave_stdout as arg.

2007-06-18  John W. Eaton  <jwe@octave.org>

	* emacs/octave-inf.el (inferior-octave-prompt): Match "octave.bin"
	and "octave.exe" in addition to "octave".

2007-06-15  John W. Eaton  <jwe@octave.org>

	* run-octave.in: Use simple string concatenation instead of
	sprintf in AWK program.

2007-06-13  Michael Goffioul  <michael.goffioul@swing.be>

	* configure.in: Set NO_OCT_FILE_STRIP=true for msdosmsvc.

	* aclocal.m4 (OCTAVE_HDF5_DLL): Include return statements in
	function body used for test.

	* configure.in: Check for CXSparse with C++.

	* Makeconf.in (do-subst-config-vals): Also substitute ${libdir} as
	OCTAVE_CONF_LIBDIR.
	* mkoctfile.in: Set DEFAULT_LIBDIR and substitute OCTAVE_HOME.
	Define LIBDIR.  Use LIBDIR to set DEFAULT_LFLAGS.

2007-06-12  Benjamin Lindner  <lindnerben@gmx.net>

	* configure.in: For mingw, add -lws2_32 -lkernel32 to LIBS and set
	_USE_MATH_DEFINES same as for msvc.

2007-06-06  Michael Goffioul  <michael.goffioul@swing.be>

	* configure.in: Check for utime.h and sys/utime.h headers.
	Check for utime, _chmod, _utime, and _utime32 functions.

2007-06-03  David Bateman  <dbateman@free.fr>

	* configure.in (AC_CONFIG_FILES): Add src/mxarray.h
	* examples/mycell.c, examples/mypow2.c, examples/mysparse.c,
	examples/mystring.c, examples/mystruct.c: Use mwSize and mwIndex,
	rather than int for indexing to conform to new mex API.

2007-06-01  John W. Eaton  <jwe@octave.org>

	* configure.in (*-*-darwin*): Fix quoting and construction of
	MKOCTFILE_DL_LDFLAGS.
	* mkoctfile.in (DEFAULT_BINDIR, EXEEXT): New substitutions.
	* Makeconf.in (MKOCTFILE_DL_LDFLAGS): Delete.
	(do-subst-config-vals): Do configure substitution of
	MKOCTFILE_DL_LDFLAGS directly here instead of using intermediate
	variable.  Quote this sed substitution with ' instead of ".

2007-05-29  Steven Mestdagh  <steven.mestdagh@esat.kuleuven.be>

	* configure.in: Delete spurious "break" in fftw3 check.
	Use separate case for SH_LD and SH_LDFLAGS on openbsd.

2007-05-22  John W. Eaton  <jwe@octave.org>

	* Makeconf.in (do-script-uninstall): Also remove directory.

2007-05-22  Thomas Weber  <thomas.weber.mail@gmail.com>

	* NEWS.2, README.MSVC, WWW/NEWS-2.html: Fix typos.

2007-05-16  David Bateman  <dbateman@free.fr>

	* PROJECTS: Update.

2007-04-27  John W. Eaton  <jwe@octave.org>

	* examples/Makefile.in (SOURCES): Add all example files to the list.

	* octave-config.in: Don't set PREFIX to OCTAVE_HOME if OCTAVE_HOME
	is empty.

2007-04-27  David Bateman  <dbateman@free.fr>

	* examples/mycell.c, examples/mypow2.c, examples/mystring.c,
	examples/myprop.c: New example mex files.

2007-04-26  Alex Zvoleff  <azvoleff@sbcglobal.net>

	* configure.in: Don't report ARPACK libraries in summary.

2007-04-25  David Bateman  <dbateman@free.fr>

	* Makeconf.in (do-subst-texinfo-vals): Also substitute abs_top_srcdir.

	* examples/myfunc.c, exampples/paramdemo.cc: New files
	* examples/mystruct.c, examples/mysparse.c, fortdemo.cc: Fix a few
	formatting issues when included in texinfo files.

2007-04-25  John W. Eaton  <jwe@octave.org>

	* Makeconf.in (do-subst-texinfo-vals): Also substitute top_srcdir.

	* examples/addtwomatrices.cc, examples/celldemo.cc,
	examples/fortdemo.cc, examples/funcdemo.cc,
	examples/globaldemo.cc, examples/helloworld.cc,
	examples/stringdemo.cc, examples/structdemo.cc,
	examples/unwinddemo.cc, examples/fortsub.f,
	examples/firstmexdemo.c: New files.
	* examples/Makefile.in (SOURCES): Add them to the list.

2007-04-20  John W. Eaton  <jwe@octave.org>

	* configure.in: Don't check for ARPACK.

2007-03-29  Rafael Laboissiere  <rafael@debian.org>

 	* emacs/octave-mod.el: Drop LOADPATH, INFO_FILE, and
 	INFO_PROGRAM from octave-variables.

	* examples/info-emacs-octave-help, examples/info-emacs-info:
	Use gnuclient, not gnudoit.

2007-03-27  John W. Eaton  <jwe@octave.org>

	* octMakefile.in (dist, conf-dist): Use ln, not $(LN_S).
	* emacs/Makefile.in (dist): Likewise.
	* examples/Makefile.in (dist): Likewise.
	* dlfcn/Makefile.in (conf-dist): Likewise.

	* config.guess, config.sub: Update from FSF sources.

2007-03-23  John W. Eaton  <jwe@octave.org>

	* examples/make_int.cc (octave_integer::clone): Return type is
	pointer to octave_base_value, not octave_value.
	(Fdoit): Rep is reference to octave_base_value, not octave_value.

2007-03-21  Paul Kienzle  <pkienzle@users.sf.net>

	* octMakefile.in (all): Print message after successful build.

2007-03-05  John W. Eaton  <jwe@octave.org>

	* configure.in (GLPK_PRE_4_14): Rename from GLPK_PRE_4_15.

2007-02-27  John W. Eaton  <jwe@octave.org>

	* Makeconf.in (do-script-uninstall): Remove PKG_ADD.
	* examples/Makefile.in (uninstall): Don't remove files listed in
	$(SCRIPTS) from $(srcdir).
	Remove www.octave.org-octave.desktop, not octave.desktop.

	* run-octave.in (run-octave.in): Use --no-initial-path.
	Rename to qargs to args.  Use $args not "$args" when invoking Octave.
	Try harder to get quoting right when passing args to Octave.

2007-02-26  John W. Eaton  <jwe@octave.org>

	* octMakefile.in (DISTDIRS): Eliminate variable.

2007-02-26  Michael Goffioul  <michael.goffioul@swing.be>

	* octMakefile.in, dlfcn/Makefile.in, emacs/Makefile.in:
	Use $(LN_S) instead of ln or ln -s.

	* octMakefile.in (dist): Use -9 instead of --best with gzip/bzip2.

2007-02-21  John W. Eaton  <jwe@octave.org>

	* configure.in: Also warn about missing functionality for
	--without-glpk or --without-curl options.  Print curl library
	warning in summary.

2007-02-20  Rafael Laboissiere  <rafael@debian.org>

	* configure.in: Check for versions of GLPK prior to 4.15 and set
	the GLPK_PRE_4_15 macro accordingly.

2007-02-16  John W. Eaton  <jwe@octave.org>

	* mkoctfile.in: Use OCTAVE_PREFIX, not OCTAVE_CONF_PREFIX, in sed
	substitutions.
	* octave-conf.in: Define DATAROOTDIR, not DATADIR, from
	OCTAVE_DATAROOTDIR.
	From Michael Goffioul <michael.goffioul@swing.be>.

2007-02-15  John W. Eaton  <jwe@octave.org>

	* octave-config.in (DATAROOTDIR): Include in list of vars.
	Substitute OCTAVE_HOME.

	* Makeconf.in (MKOCTFILE_INCFLAGS, MKOCTFILE_LFLAGS): Delete vars.
	(do-subst-config-vals): Don't substitute them.
	Also substitute OCTAVE_CONF_INCLUDEDIR, OCTAVE_CONF_OCTINCLUDEDIR,
	OCTAVE_CONF_OCTLIBDIR, and OCTAVE_CONF_PREFIX here.
	* mkoctfile.in (OCTAVE_CONF_OCTINCLUDEDIR, OCTAVE_CONF_INCLUDEDIR,
	OCTAVE_CONF_OCTLIBDIR): Substitute values and perform OCTAVE_HOME
	substitution here.
	(DEFAULT_INCFLAGS, DEFAULT_LFLAGS): New variables.  Use them to
	set default values for INCFLAGS and LFLAGS.

2007-02-09  John W. Eaton  <jwe@octave.org>

	* mkoctfile.in: Handle .a files.

2007-02-08  John W. Eaton  <jwe@octave.org>

	* octMakefile.in (all): Depend on dist-info-files.
	(dist): Delete dist-info-files dependency.

	* configure.in: Rewrite if !( X ) ... fi as if X; true; else ... fi.
	Also check for _glp_lpx_simplex.

2007-02-07  John W. Eaton  <jwe@octave.org>

	* Makeconf.in (do-script-install): Use $(FCN_FILES) for list of
	files instead of $(FCN_FILES_NO_DIR).  Use basename to get
	filename with no directory part.

2007-02-07  Michael Goffioul  <michael.goffioul@swing.be>

	* aclocal.m4 (OCTAVE_HDF5_DLL): New macro.
	* configure.in: Use it.

2007-02-05  John W. Eaton  <jwe@octave.org>

	* configure.in: Check for realpath function.

	* demo.m: Delete obsolete file.

2007-01-29  Michael Goffioul  <michael.goffioul@swing.be>

	* configure.in (*-*-msdosmsvc): Set NO_OCT_FILE_STRIP to true.

2007-01-24  John W. Eaton  <jwe@octave.org>

	* octMakefile.in (install): Install NEWS file.
	(uninstall): Remove it.

2007-01-08  David Bateman  <dbateman@free.fr>

	* configure.in: Replace sparsesuite with suitesparse to match
	upstream name.

2006-12-06  Michael Goffioul  <michael.goffioul@swing.be>

	* acx_blas.m4, acx_lapack.m4: Handle f2c calling convention.

2006-12-05  John W. Eaton  <jwe@octave.org>

	* configure.in: Don't check for strptime on *-apple-darwin* systems.

2006-11-28  John W. Eaton  <jwe@octave.org>

	* mkoctfile.in: Construct default output file from basename of
	input file name.

2006-11-28  David Bateman  <dbateman@free.fr>

	* configure.in: Check for sparse header files in the sparsesuite
	sub-directory. In the cholmod tests, include the camd libraries, as
	this might be a dependency for cholmod.

2006-11-15  John W. Eaton  <jwe@octave.org>

	* run-octave.in: Don't forget LD_PRELOAD if there are args.

2006-11-14  John W. Eaton  <jwe@octave.org>

	* configure.in: If warning message is printed, print additional
	final note about missing libraries.

2006-11-13  John W. Eaton  <jwe@octave.org>

	* run-octave.in: Substitute liboctinterp, liboctave, and libcruft.
	Use them to set LD_PRELOAD.
	* Makeconf.in (do-subst-script-vals): Also substitute
	liboctinterp, liboctave, and libcruft.

2006-11-13  Rafael Laboissiere  <rafael@debian.org>

	* mkoctfile.in: Add -Wl,... options to ldflags, not pass_on_flags.

2006-11-11  John W. Eaton  <jwe@octave.org>

	* examples/Makefile.in (octave.desktop):
	Use $(simple-move-if-change-rule) here.

	* Makeconf.in (simple-move-if-change-rule,
	(builddir-move-if-change-rule): New macros.

2006-11-11  Søren Hauberg  <hauberg@gmail.com>

	* examples/Makefile.in (uninstall): Add missing semicolon.

2006-11-09  John W. Eaton  <jwe@octave.org>

	* examples/Makefile.in (uninstall): New target.

2006-11-09  Michael Goffioul  <michael.goffioul@swing.be>

	* configure.in (OCTAVE_LOCAL_BUFFER): Don't access first element
	if size is 0.

2006-11-06  Michael Goffioul  <michael.goffioul@swing.be>

	* configure.in (CRUFT_DLL_DEFS, OCTAVE_DLL_DEFS, OCTINTERP_DLL_DEFS):
	Also rename in AC_SUBST calls.
	* Makeconf.in (ALL_CFLAGS): Use DLL_CDEFS instead of XTRA_CDEFS.
	(ALL_CXXFLAGS): Use DLL_CDEFS instead of XTRA_CXXDEFS.

2006-11-03  John W. Eaton  <jwe@octave.org>

	* configure.in (CRUFT_DLL_DEFS): Rename from XTRA_CRUFT_DEFS.
	(OCTAVE_DLL_DEFS): Rename from XTRA_OCTAVE_DEFS.
	(OCTINTERP_DLL_DEFS): Rename from XTRA_OCTINTERP_DEFS.
	(XTRA_CRUFT_LINK_FLAGS): Rename from XTRA_CRUFT_LINK_DEPS.

2006-11-02  John W. Eaton  <jwe@octave.org>

	* README.Cygwin: Rename from README.Windows.
	* README.MSVC: New file.
	* README.Windows: Point to the README.Cygwin and README.MSVC files.

2006-11-01  John W. Eaton  <jwe@octave.org>

	* configure.in: Check for PCRE macros we use.  Warn if regex
	library is not found.  Print hdf5, zlib, umfpack, colamd, ccolamd,
	cholmod, and cxsparse warnings when we detect the problems.

	* run-octave.in: Handle quoted args properly in exec call?

2006-10-29  John W. Eaton  <jwe@octave.org>

	* run-octave.in: Handle spaces in directory names.

2006-10-28  Michael Goffioul  <michael.goffioul@swing.be>

	* configure.in (AH_BOTTOM): If using MSVC, define __WIN32__ before
	other #ifdefs that use it.

2006-10-27  John W. Eaton  <jwe@octave.org>

	* configure.in (AH_BOTTOM): Move DLL defs to
	libcruft/misc/oct-dlldefs.h and include it here.

	* aclocal.m4 (OCTAVE_PROG_TEXI2PDF): Require OCTAVE_PROG_TEXI2DVI.
	If texi2pdf is not found but texi2dvi is available, set TEXI2PDF
	to "$TEXI2DVI --pdf".
	(OCTAVE_PROG_GHOSTSCRIPT): Also check for gswin32 on Windows systems.

	* Makeconf.in (UNSETCOMSPEC): Define if COMSPEC is defined.
	From Michael Goffioul <michael.goffioul@swing.be>.

2006-10-26  John W. Eaton  <jwe@octave.org>

	* configure.in (OCTAVE_EXPORT, OCTAVE_IMPORT): New macros
	(CRUFT_API, OCTAVE_API, OCTINTERP_API): Define using OCTAVE_EXPORT
	and OCTAVE_IMPORT.

2006-10-26  Michael Goffioul  <michael.goffioul@swing.be>

	* configure.in (*-*-msdosmsvc): Set library_path_var.
	Check for _WIN32_WINNT >= 0x0403.  Define _USE_MATH_DEFINES if it
	is needed.
	(XTRA_CRUFT_LINK_DEPS): New variable.  Substitute it.

	* aclocal.m4 (OCTAVE_MKDIR_TAKES_ONE_ARG): Perform check with C++
	compiler.

2006-10-26  John W. Eaton  <jwe@octave.org>

	* aclocal.m4 (OCTAVE_PROG_PAGER): Also check for more.com for
	*-*-mingw* and *-*-msdosmsvc systems.

	* configure.in (F77_TOLOWER, F77_APPEND_UNDERSCORE,
	F77_APPEND_EXTRA_UNDERSCORE): New variables.  Substitute them.
	* Makeconf.in (F77_TOLOWER, F77_APPEND_UNDERSCORE,
	F77_APPEND_EXTRA_UNDERSCORE): Substitute here.
	(do-subst-f77-mangling): New macro.

	* emacs/octave-inf.el (inferior-octave-has-built-in-variables):
	New defvar.
	(inferior-octave-resync-dirs): Check to see whether Octave has
	built-in variables and set inferior-octave-has-built-in-variables.
	Check inferior-octave-has-built-in-variables to decide whether to
	send commands that set built-in variables or call functions to
	change Octave's behavior.
	Send "disp (pwd ())" to Octave instead of just "pwd".
	(inferior-octave-startup): Send "more off" to Octave instead of
	"page_screen_output = 0".

2006-10-25  John W. Eaton  <jwe@octave.org>

	* configure.in (RETSIGTYPE_IS_VOID): Define if
	"$ac_cv_type_signal" = "void".

	* configure.in (*-*-msdosmsvc): Don't check for strftime.

	* configure.in (INCLUDE_DEPS): Set and substitute.
	(DEPEND_FLAGS, DEPEND_EXTRA_SED_PATTERN): Rearrange way these are set.

	* Makeconf.in (INCLUDE_DEPS): Substitute here, and use to set default
	value for omit_deps.

2006-10-25  Michael Goffioul  <michael.goffioul@swing.be>

	* Makeconf.in (ALL_CFLAGS): Include $(XTRA_CDEFS) in the list.
	(ALL_CXXFLAGS): Include $(XTRA_CXXDEFS) in the list.

	* configure.in (XTRA_CRUFT_DEFS, XTRA_OCTAVE_DEFS,
	XTRA_OCTINTERP_DEFS): Define and substitute.
	(AH_BOTTOM) [_MSC_VER]: include definitions for CRUFT_API,
	OCTAVE_API, and OCTINTERP_API.

	* configure.in (*-*-msdosmsvc): Add "-EHs -MD" to CXXFLAGS.
	Add "-MD" to CFLAGS.  Add "-MD" to CONFLIB_ARG when checking for
	libf2c.

	* configure.in (*-*-msdosmsvc): Generate replacement unistd.h.
	* octMakefile.in (maintainer-clean, distclean): Also remove unistd.h.

	* configure.in (*-*-msdosmsvc): Default sepchar is ';'.
	Define default LIBS (link against kernel32 and ws2_32).
	Force having LoadLibrary API.

	* configure.in (AH_BOTTOM) [_MSC_VER]: Define __WIN32__.

2006-10-25  John W. Eaton  <jwe@octave.org>

	* mkoctfile.in (OCTAVE_VERSION): No need to quote replacement here.

2006-10-24  John W. Eaton  <jwe@octave.org>

	* run-octave.in: Only modify .gdbinit if -g option is given.
	Use $(/bin/pwd) instead of $(pwd).

2006-10-23  John W. Eaton  <jwe@octave.org>

	* emacs/Makefile.in (SOURCES, DISTFILES, install, install-strip,
	uninstall): Handle otags name change.
	* emacs/octave-tags, emacs/octave-tags.1: Rename from otags.

2006-10-17  John W. Eaton  <jwe@octave.org>

	* configure.in: Check for _isnan, _finite, and _copysign.

2006-10-17  Michael Goffioul  <michael.goffioul@swing.be>

	* aclocal.m4 (OCTAVE_CXX_PREPENDS_UNDERSCORE, OCTAVE_CXX_ABI): Use
	$ac_objext instead of assuming .o.
	(OCTAVE_PROG_GNUPLOT): Handle *-*-msdos the same as *-*-cygwin*
	and *-*-mingw32*.

2006-10-17  John W. Eaton  <jwe@octave.org>

	* configure.in: Check for curl_easy_escap instead of
	curl_global_init.

2006-10-13  Michael Goffioul  <michael.goffioul@swing.be>

	* configure.in [_MSC_VER]: Disable some warnings.
	(*-*-msdos): New case for shared libraries.
	(LIBPRE): New variable.
	* Makeconf.in: Substitute it.

2006-10-12  John W. Eaton  <jwe@octave.org>

	* configure.in (AH_BOTTOM): Don't unconditionally #define
	OCTAVE_HAVE_POSIX_FILESYSTEM followed by a conditional #undef
	OCTAVE_HAVE_POSIX_FILESYSTEM since autoconf is commenting out the
	#undef.

2006-10-09  John W. Eaton  <jwe@octave.org>

	* Makeconf.in (CURL_LIBS, do-subst-config-vals):
	Substitute CURL_LIBS.

	* configure.in: Check for libcurl.

2006-10-04  John W. Eaton  <jwe@octave.org>

	* Makeconf.in (library_path_var): Substitute value from configure.
	(do-subst-script-vals): Add library_path_var to the list.
	* run-octave.in: Substitute value here.

2006-10-03  John W. Eaton  <jwe@octave.org>

	* configure.in: Warn if PCRE library is not found.

	* configure.in: Include CAMD_LIBS, AMD_LIBS, and REGEX_LIBS in the
	summary.

2006-10-03  David Bateman  <dbateman@free.fr>

	* configure.in: Check for libcamd.
	* Makeconf.in (CAMD_LIBS): New variable.

2006-09-27  John W. Eaton  <jwe@octave.org>

	* mkoctfile.in [--mex]: Include -I. in incflags.
	From Søren Hauberg <hauberg@gmail.com>.

2006-09-26  John W. Eaton  <jwe@octave.org>

	* configure.in (AC_CONFIG_FILES):
	Remove doc/interpreter/images/Makefile from the list.

2006-09-16  John W. Eaton  <jwe@octave.org>

	* octave-bug.in: Delete LIBPLPLOT variables.

2006-09-15  John W. Eaton  <jwe@octave.org>

	* configure.in: Check for locale.h and setlocale.

2006-09-13  Christopher Hulbert  <cchgroupmail@gmail.com>

	* run-octave.in (LD_LIBRARY_PATH): Also append LD_LIBRARY_PATH
	from environment.

2006-08-25  Alexander Barth  <abarth@marine.usf.edu>

	* mkoctfile.in: Accept .f90 and .F90 as Fortran files.
	Pass $incflags and $defs to Fortran compiler.

2006-08-18  John W. Eaton  <jwe@octave.org>

	* Makeconf.in (do-subst-texinfo-vals): Don't substitute
	%CANONICAL_HOST_TYPE%.

2006-08-17  John W. Eaton  <jwe@octave.org>

	* aclocal.m4 (OCTAVE_PROG_GHOSTSCRIPT, OCTAVE_PROG_MAKEINFO,
	OCTAVE_PROG_TEXI2DVI, OCTAVE_PROG_TEXI2PDF): New macros.
	* configure.in: Use them.  Maybe print warnings in summary.

2006-07-27  John W. Eaton  <jwe@octave.org>

	* Makeconf.in (localapiarchlibdir): Substitute it here.
	(do-subst-default-vals): Include it in the sed command here.
	* configure.in (localapiarchlibdir): New variable.
	* octave-config.in: Don't quote %VAR% values.
	(LOCALAPIARCHLIBDIR): New variable.

2006-07-27  Thomas Weber  <thomas.weber.mail@gmail.com>

	* octave-config.in (OCTAVE_FCNFILEPATH, OCTAVE_IMAGEPATH,
	OCTAVE_LOCALFCNFILEPATH, OCTAVE_LOCALOCTFILEPATH): Delete variables.

2006-07-26  John W. Eaton  <jwe@octave.org>

	* mkoctfile.in (Options): Accept -g.

	* configure.in: Check for exp2 and log2.

2006-07-25  David Bateman  <dbateman@free.fr>

	* mysparse.c: New file.

2006-06-27  John W. Eaton  <jwe@octave.org>

	* octMakefile.in (maintainer-clean distclean): Remove
	$(SHELL_SCRIPTS) instead of naming files individually.
	Also remove .gdbinit.

2006-06-21  John W. Eaton  <jwe@octave.org>

	* examples/myfeval.c, examples/myfevalf.f, examples/myhello.c,
	examples/myset.c, examples/mystruct.c: New files.

	* mkoctfile.in: New option, --mex.

2006-06-13  John W. Eaton  <jwe@octave.org>

	* configure.in (--enable-64): Include "(EXPERIMENTAL)" in help text.
	Also set warn_64_bit if no suitable type for octave_idx_type is found.
	If --enable-64 is specified, print warning in summary message.

2006-06-12  John W. Eaton  <jwe@octave.org>

	* aclocal.m4 (OCTAVE_CXX_BROKEN_REINTERPRET_CAST): New macro.
	* configure.in: Use it.
	* AH_BOTTOM: Conditionally define FCN_PTR_CAST here.

2006-06-08  John W. Eaton  <jwe@octave.org>

	* Makeconf.in (do-subst-default-vals): Also substitute
	OCTAVE_DATAROOTDIR.

2006-06-06  John W. Eaton  <jwe@octave.org>

	* Makeconf.in (datarootdir): New variable.

	* acx_lapack.m4 (acx_lapack_ok):
	Use AC_LINK_IFELSE+AC_LANG_PROGRAM instead of AC_TRY_LINK

	* aclocal.m4: Use AC_RUN_IFELSE+AC_LANG_SOURCE instead of AC_TRY_RUN.

	* acx_blas.m4, acx_lapack.m4, configure.in, aclocal.m4:
	Use AS_HELP_STRING instead of AC_HELP_STRING.

	* configure.in: Outside of other macros, use AC_MSG_NOTICE instad
	of AC_MSG_RESULT.  Check for sys_siglist using method from
	autoconf manual.

	* configure.in, Makeconf.in: octMakefile.in: Delete plplot cruft.

	* configure.in, aclocal.m4:
	Use AC_LINK_IFELSE+AC_LANG_PROGRAM instead of AC_TRY_LINK
	Use AC_COMPILE_IFELSE+AC_LANG_PROGRAM instead of AC_TRY_COMPILE.
	Use AS_HELP_STRING consistently with AC_ARG_WITH and AC_ARG_ENABLE.

2006-05-23  John W. Eaton  <jwe@octave.org>

	* configure.in: Check for inttypes.h and stdint.h.

2006-05-19  John W. Eaton  <jwe@octave.org>

	* mk-opts.pl (emit_print_function, emit_options_function):
	Generate print_usage calls with no args.

2006-05-11  John W. Eaton  <jwe@octave.org>

	* configure.in (localfcnfilepath, localoctfilepath, fcnfilepath,
	imagepath): Delete variables.
	* Makeconf.in (localfcnfilepath, localoctfilepath, fcnfilepath,
	imagepath): Likewise.
	(do-subst-default-vals): Don't substitute them.

	* run-octave.in: Pass --image-path to octave.
	Use find to recursively add directories to loadpath.
	Fixup set args command in .gdbinit here.

2006-05-09  John W. Eaton  <jwe@octave.org>

	* octMakefile.in (abs_top_srcdir): Substitute value here.

2006-05-05  David Bateman  <dbateman@free.fr>

	    * Makeconf.in (do-subst-scripts-vals): Also replace
	    abs_top_srcdir.
	    * run-octave.in: Define top_srcdir as an absolute path.

2006-05-04  John W. Eaton  <jwe@octave.org>

	* octMakefile.in (SHELL_SCRIPTS): Include run-octave in the list.

2006-05-02  John W. Eaton  <jwe@octave.org>

	* NEWS: New contents for 3.0.
	* NEWS.2: Move contents of NEWS here.

2006-04-29  John W. Eaton  <jwe@octave.org>

	* run-octave.in: Execute $builddir/src/octave, not src/octave.

2006-04-26  Thomas Weber  <thomas.weber.mail@gmail.com>

	* configure.in: Fix apiversion vs. api_version typo.

2006-04-25  John W. Eaton  <jwe@octave.org>

	* Makefile.in (TARGETS): Include run-octave and .gdbinit in the list.
	* Makeconf.in (subst-script-vals): New macro.
	* octMakefile.in (run-octave, .gdbinit): New rules.
	(DISTFILES): Include run-octave.in and gdbinit.in in the list.

2006-04-17  John W. Eaton  <jwe@octave.org>

	* mk-opts.pl (emit_print_function): Emit code that uses
	std::ostringstream directly.

2006-04-13  John W. Eaton  <jwe@octave.org>

	* configure.in (CONST_CAST, DYNAMIC_CAST, REINTERPRET_CAST,
	STATIC_CAST): Delete.

2006-04-12  John W. Eaton  <jwe@octave.org>

	* configure.in: If using g++, also add -Wold-style-cast to CXXFLAGS.

2006-03-28  John W. Eaton  <jwe@octave.org>

	* configure.in: Don't check for MPI libraries.

2006-03-27  John W. Eaton  <jwe@octave.org>

	* configure.in: Downcase ac_cv_header_mach_o_dyld_h.
	From Martin Costabel <costabel@wanadoo.fr>.

2006-03-22  John W. Eaton  <jwe@octave.org>

	* Makeconf.in: (TEXINFO_COLAMD, TEXINFO_CHOLMOD, TEXINFO_UMFPACK):
	Substitute here.
	(do-subst-texinfo-vals): New macro definition.

	* configure.in: Don't substitute OCTAVE_VERSION, OCTAVE_HOSTTYPE,
	or OCTAVE_HOME.
	(AC_CONFIG_FILES): Remove doc/conf.texi from the list.

2006-03-21  John W. Eaton  <jwe@octave.org>

	* configure.in: Only print warnings for missing functionality in
	summary message.

2006-03-14  John W. Eaton  <jwe@octave.org>

	* mk-opts.pl (emit_print_function): Buffer extra message here and
	pass to print_usage.

2006-03-09  John W. Eaton  <jwe@octave.org>

	* Makeconf.in (do-subst-default-vals): Also substitute OCTAVE_RELEASE.

2006-03-08  David Bateman  <dbateman@free.fr>

	* configure.in: Update the test for CXSPARSE for new upstream release.
	(OCTAVE_VERSION, OCTAVE_HOSTTYPE, OCTAVE_HOME,TEXINFO_UMFPACK,
	TEXINFO_COLAMD, TEXINFO_CHOLMOD): New variables for texinfo
	documentation.
	(AC_CONFIG_FILES): Add doc/interpreter/images/Makefile and
	doc/conf.texi.

2006-03-02  Kurt Hornik  <Kurt.Hornik@wu-wien.ac.at>

	* emacs/octave-mod.el (octave-indent-for-comment): Make the code
	match the comments.

2006-03-02  John W. Eaton  <jwe@octave.org>

	* octMakefile.in (ALL_SUBDIRS): Delete.
	(SUBDIRS): Include src here.
	(SHELL_SCRIPTS): New variable.
	(all): Depend on $(SHELL_SCRIPTS) and $(SUBDIRS) with libcruft and
	liboctave filtered out.
	(src): Depend on liboctave.
	(liboctave): Depend on libcruft.

2006-02-09  David Bateman  <dbateman@free.fr>

	* configure.in: Fix for probe of colamd, cccolamd and metis. New test
	for the presence of cxsparse.
	Makeconf.in: Include CXSPARSE_LIBS.

2006-01-19  John W. Eaton  <jwe@octave.org>

	* configure.in: Use $WITH_PCRE instead of $HAVE_PCRE in shell test.

2006-01-14  John W. Eaton  <jwe@octave.org>

	* configure.in: Check for mach-o/dyld.h, not Mach-O/dyld.h.
	From Martin Costabel <costabel@wanadoo.fr>.

2006-01-13  John W. Eaton  <jwe@octave.org>

	* Makeconf.in (do-mkpkgadd): New macro.

2005-12-14  David Bateman  <dbateman@free.fr>

	* Makeconf.in: Remove OCTAVE_PROG_RUNTEST.
	* alocal.m4: Remove OCTAVE_PROG_RUNTEST.

	* Makeconf.in: New tests of regex and pcre.

2005-12-13  John W. Eaton  <jwe@octave.org>

	* examples/Makefile.in (install install-strip): Fix typo.
	From William Poetra Yoga Hadisoeseno <williampoetra@gmail.com>.

2005-12-05  Kurt Hornik  <Kurt.Hornik@wu-wien.ac.at>

	* emacs/octave-inf.el (inferior-octave-startup):
	Force a non-empty string for secondary prompt PS2.

2005-12-02  John W. Eaton  <jwe@octave.org>

	* emacs/octave-mod.el (octave-electric-space): Don't indent
	comments or strings if octave-auto-indent is nil.

2005-11-30  John W. Eaton  <jwe@octave.org>

	* examples/Makefile.in (install install-strip): Install images and
	desktop file.

2005-11-29  Rafael Laboissiere  <rafael@debian.org>

	* emacs/octave-mod.el: Ensure that key bindings for
	octave-mark-defun and backward-kill-word work in both XEmacs and
	GNU Emacs.

2005-11-28  John W. Eaton  <jwe@octave.org>

	* configure.in: Check for uname.

2005-11-21  John W. Eaton  <jwe@octave.org>

	* examples/Makefile.in (DISTFILES): Don't include octave.desktop here.
	(distclean): Remove octave.desktop here.
	(maintainer-clean): Not here.

2005-11-01  John W. Eaton  <jwe@octave.org>

	* examples/Makefile.in (distclean, maintainer-clean):
	Also remove octave.desktop.
	From Quentin Spencer <qspencer@ieee.org>.

2005-11-01  Quentin Spencer  <qspencer@ieee.org>

	* octMakefile.in (CONF_DISTFILES): Delete acx_include_dirs.m4 from
	the list.

2005-10-28  John W. Eaton  <jwe@octave.org>

	* configure.in (AC_ARG_WITH(cholmod, ...)): Fix typo.
	From Quentin Spencer <qspencer@ieee.org> and
	Andy Adler <adler@site.uOttawa.ca>.

2005-10-26  John W. Eaton  <jwe@octave.org>

	* configure.in, aclocal.m4: Don't quote "yes".

	* configure.in: Print warning messages for umfpack, colamd,
	ccolamd, and cholmod as we are searching.  Avoid multiple
	definitions of message strings.

	* aclocal.m4 (OCTAVE_UMFPACK_SEPERATE_SPLIT):
	Use new method of finding umfpack.h.
	* configure.in: Use AC_CHECK_HEADERS instead of
	ACX_CHECK_HEADER_IN_DIRS.
	(AC_CONFIG_FILES): Delete liboctave/oct-sparse.h from the list.

	* acx_include_dirs.m4: Delete.

2005-10-26  Arno J. Klaassen  <arno@heho.snv.jussieu.fr>

	* configure.in [*-*-freebsd*] (SH_LDFLAGS): Properly quote.
	(RLD_FLAG): Set.

2005-10-23  David Bateman  <dbateman@free.fr>

	* configure.in (OCTAVE_UMFPACK_SEPERATE_SPLIT): Check for metis
	separately.
	* PROJECTS: Remove completed sparse matrix tasks.

2005-10-17  Paul Kienzle  <pkienzle@users.sf.net>

	* octave.test/system/system.exp: rmdir no longer prints a
	message if the directory does not exist.

	* octave.test/system/mk-rm-dir-1.m: mkdir/rmdir return 1
	on success and 0 on failure.

2005-10-17  John W. Eaton  <jwe@octave.org>

	* configure.in (F77_FFLOAT_STORE_FLAG):
	Check for -ffloat-store option for Fortran compiler and set
	F77_FLOAT_STORE_FLAG if it works.
	* Makeconf.in: Substitute it here.
	(do-subst-config-vals): Substitute OCTAVE_CONF_F77_FLOAT_STORE_FLAG.

2005-10-14  John W. Eaton  <jwe@octave.org>

	* aclocal.m4 (OCTAVE_PROG_PYTHON): New macro.
	* configure.in: Use it.
	* Makeconf.in (PYTHON): Substitute it.

2005-10-05  David Bateman  <dbateman@free.fr>

	 mkoctfile.in: allow -idirafter argument.

2005-09-23  John W. Eaton  <jwe@octave.org>

	* examples/Makefile.in (install install-strip):
	Conditionally install octave.desktop.
	(IMAGE_FILES, IMAGE_FILES_NO_DIR): New macros.
	(DISTFILES): Include IMAGE_FILES in list.
	(install install-strip): Install image file.

	* aclocal.m4 (OCTAVE_PROG_DESKTOP_FILE_INSTALL): New macro
	* configure.in: Use it.
	* Makeconf.in: Substitute DESKTOP_FILE_INSTALL.

	* octave.desktop.in: New file.  From Søren Hauberg <hauberg@gmail.com>.
	* examples/Makefile.in (SOURCES): Add it to the list.
	(octave.desktop): New target.
	(all): Depend on octave.desktop.

2005-09-22  John W. Eaton  <jwe@octave.org>

	* aclocal.m4 (OCTAVE_PROG_PERL): New macro.
	* configure.in: Use it.
	* Makeconf.in (PERL): Substitute it.

	* config.guess, config.sub: Update from FSF sources.

2005-09-19  David Bateman  <dbateman@free.fr>

	* octMakefile.in (LN_S): Change to DESTDIR before LN_S to avoid
	lack of symlinks under mingw.

2005-09-15  John W. Eaton  <jwe@octave.org>

	* oct-sparse.h.in: Move to liboctave.
	* octMakefile.in (CONF_DISTFILES): Delete it from the list.
	(maintainer-clean, distclean, install, install-strip, uninstall):
	Omit rules for oct-sparse.h.
	* configure.in: Substitute liboctave/oct-sparse.h, not oct-sparse.h.

2005-09-15  David Bateman  <dbateman@free.fr>

	* acx_include_dirs.m4 (AC_CHECK_HEADER_IN_DIRS): Define new macro.
	* oct-sparse.h.in: New AC_CONFIG_FILE.
	* configure.in: (AC_CHECK_HEADER_IN_DIRS): Use macro.
	(AMD_LIBS, COLAMD_LIBS, CCOLAMD_LIBS, CHOLMOD_LIBS): Probe for
	these sparse library in addition to UMFPACK.
	(UMFPACK_INCLUDE, AMD_INCLUDE, COLAMD_INCLUDE, CCOLAMD_INCLUDE):
	AC_SUBST into oct-sparse.h.
	(LIBGLOB): Probe for external glob/fnmatch, define LIBGLOB.
	(sepchar): Define path seperation character in system dependent
	manner. Use it with OCTAVE_SET_DEFAULT.
	(SEPCHAR, SEPCHAR_STR): Dpend on sepchar.
	(DL_LDFLAGS): Define for cygwin and mingw.
	(-lwsock32): Add to LIBS.
	(loadlibrary_api): Set for mingw/cygwin and autoconf test appears
	broken.
	* Makeconf.in: Don't use ";" as sed seperation to avoid confusion
	with sepchar.
	(LIBGLOB, AMD_LIBS, COLAMD_LIBS, CCOLAMD_LIBS, CHOLMOD_LIBS,
	sepchar): Substitute.
	* octMakefile.in: (CONF_DISTFILES): Add acx_include_dirs.m4 and
	oct-sparse.h.in
	(oct-sparse.h): Include in install and clean directives

2005-08-31  Pascal A. Dupuis  <Pascal.Dupuis@esat.kuleuven.be>

	* emacs/octave-inf.el (inferior-octave-startup): Call
	inferior-octave-resync-dirs here.

2005-07-14  John W. Eaton  <jwe@octave.org>

	* configure.in (SH_LDFLAGS): Add -Wl,--enable-auto-image-base for
	Cygwin and MinGW.

2005-06-14  John W. Eaton  <jwe@octave.org>

	* configure.in (AH_BOTTOM): Also define GCC_ATTR_DEPRECATED.

2005-06-02  John W. Eaton  <jwe@octave.org>

	* Makeconf.in (do-subst-default-vals): Substitute
	${localstartupfiledir}, not ${localstartupfile} (which is undefined).

2005-05-16  David Bateman  <dbateman@free.fr>

	* configure.in: Change UMFPACK_LONG_IDX to IDX_TYPE_LONG.

2005-05-04  John W. Eaton  <jwe@octave.org>

	* configure.in (AC_CHECK_LIB($zlib_lib, ...)): Check for
	gzclearerr instead of deflate.

2005-05-02  John W. Eaton  <jwe@octave.org>

	* configure.in (AC_ARG_WITH(umfpack)): List -lumfpack ahead of -lamd.
	From Dmitri A. Sergatskov <dasergatskov@gmail.com>.

2005-04-29  David Bateman  <dbateman@free.fr>

	* configure.in: Add UMFPACK_LONG_IDX

2005-04-21  John W. Eaton  <jwe@octave.org>

	* configure.in (AC_CONFIG_FILES): Remove install-octave from the list.
	(AH_BOTTOM): Define SIZEOF_OCTAVE_IDX_TYPE.

2005-04-14  John W. Eaton  <jwe@octave.org>

	* mkoctfile.in: Only perform link step if we have some object files.
	If only -v or --version is supplied, print version info and exit.

2005-04-08  John W. Eaton  <jwe@octave.org>

	* octMakefile.in (maintainer-clean distclean):
	Remove install-octave from the list of files to remove.
	(install-octave.in): Delete file.
	(DISTFILES): Remove it from the list.

	* Initial merge of 64-bit changes from Clinton Chee:

	2005-04-07  John W. Eaton  <jwe@octave.org>

	* configure.in (--enable-64): Make default disabled.

	2005-04-06  John W. Eaton  <jwe@octave.org>

	* mk-opts.pl (emit_show_function, emit_set_functions,
	emit_print_function): Also accept "octave_idx_type" and
	"Array<octave_idx_type>".

	2005-04-01  John W. Eaton  <jwe@octave.org>

	* Makeconf.in (USE_64_BIT_IDX_T): Substitute value.
	(do-subst-config-vals): Add to list of substitutions.

	* configure.in (AC_CONFIG_FILES): Perform substitutions on
	liboctave/oct-types.h too.
	Handle --enable-64.

2005-04-06  David Bateman  <dbateman@free.fr>

	* configure.in: Split the HDF5 and zlib detection code, so that zlib
	can be used for compressed load/save in the absence of HDF5.

	* Makeconf.in: Define UMFPACK_LIBS.

	* Configure.in: Slightly alter the UMFPACK detection code so that it
	correctly detects cblas bindings or not.

2005-03-22  John W. Eaton  <jwe@octave.org>

	* Makeconf.in (GLPK_LIBS): Substitute value.
	(do-subst-config-vals): Add to list of substitutions.

	* configure.in: Check for glpk.

	* emacs/octave-mod.el (octave-abbrev-table): Omit fifth and sixth
	arguments from define-abbrev for compatibility with some older
	versions of Emacs.

2005-03-21  John W. Eaton  <jwe@octave.org>

	* octave-bug.in: Try harder to find default pager (use code
	similar to that used for finding default editor).

2005-03-17  Shan G. Smith  <shan@cybertrails.com>

	* configure.in: Move check for -lumfpack to after check for blas.

2005-03-17  John W. Eaton  <jwe@octave.org>

	* configure.in: If first check for -lumfpack fails try again with
	-lcblas as an additional library.

	* configure.in: Change defaults to enable shared libraries and
	dynamic linking and disable static libraries.

2005-03-15  John W. Eaton  <jwe@octave.org>

	* octMakefile.in (DISTFILES): Remove texi2dvi from the list.

	* emacs/octave-inf.el, emacs/octave-mod.el, emacs/octave-hlp.el:
	Import changes from Emacs.

2005-03-14  Rafael Laboissiere  <rafael@debian.org>

	* emacs/octave-mod.el (octave-end-keywords): Omit "end" from the list.
	(octave-reserved-words): Include "end" here.
	(octve-block-match-alist): Don't include "end" here.

2005-03-14  John W. Eaton  <jwe@octave.org>

	* configure.in: Check for umfpack/umfpack.h instead of just umfpack.h.

2004-06-22  David Bateman  <dbateman@free.org>

	* configure.in: Check for UMFPACK library and header files.

2005-03-14  John W. Eaton  <jwe@octave.org>

	* configure.in: Also print a warning if HDF5 library is not found.

2005-03-10  John W. Eaton  <jwe@octave.org>

	* mkoctfile.in: Accept -R DIR.

2005-03-09  John W. Eaton  <jwe@octave.org>

	* examples/Makefile.in (bin-dist): Delete target.
	(BINDISTFILES): Delete variable.
	* emacs/Makefile.in: Likewise.

	* octMakefile.in (VERSION, ARCH, binary-dist): Delete targets.
	(XBINDISTFILES, BINDISTFILES, BINDISTSUBDIRS): Delete variables.

2005-03-04  John W. Eaton  <jwe@octave.org>

	* configure.in (GXX_PICKY_FLAGS): Don't include
	-Wmissing-prototypes or -Wstrict-prototypes.

2005-03-02  John W. Eaton  <jwe@octave.org>

	* aclocal.m4 (OCTAVE_CC_FLAG, OCTAVE_CXX_FLAG, OCTAVE_F77_FLAG):
	Use AC_LINK_IFELSE instead of AC_TRY_LINK.

	* configure.in (OCTAVE_LOCAL_BUFFER): Use < T > instead of <T>.
	From Clinton Chee <chee@parallel.hpc.unsw.edu.au>.

2005-03-01  John W. Eaton  <jwe@octave.org>

	* configure.in (AC_CONFIG_FILES): Remove libcruft/odessa/Makefile
	from the list.

2005-03-01  Todd Neal  <tolchz@gmail.com>

	* examples/make_int.cc: DEFINE_OV_TYPEID_FUNCTIONS_AND_DATA now
	takes three arguments.

	* octMakefile.in (SUBDIRS, CLEANSUBDIRS):
	Remove @GLOB_DIR@ from the list.

2005-02-28  John W. Eaton  <jwe@octave.org>

	* octMakefile.in (DISTDIRS): Remove glob from the list.
	(dist): No need to clean up in glob subdirectory.
	* glob: Delete directory.
	* Makeconf.in (GLOB_INCFLAGS, LIBGLOB): Delete.
	(do-subst-config-vals): Don't substitute them.
	(INCFLAGS): Remove $(GLOB_INCFLAGS) from the list.
	* configure.in: Don't test for glob or fnmatch.

2005-02-22  Shan G. Smith  <shan@cybertrails.com>

	* mkoctfile.in: If not linking, then use output file name
	specified with -o.

2005-02-21  John W. Eaton  <jwe@octave.org>

	* texi2dvi: Delete our private version.

	* Makeconf.in (MAKEINFO): Define.
	(TEXI2DVI): Define as texi2dvi, not $(top_srcdir)/texi2dvi.

2005-02-09  John W. Eaton  <jwe@octave.org>

	* configure.in: Check for canonicalize_file_name and resolvepath.

2005-02-02  John W. Eaton  <jwe@octave.org>

	* config.guess, config.sub: Update from FSF sources.

2005-01-18  John W. Eaton  <jwe@octave.org>

	* octave-bug.in: Try harder to find default editor (stolen from
	bashbug).

2004-12-17  John W. Eaton  <jwe@octave.org>

	* configure.in: Use AC_GNU_SOURCE.

2004-12-17  Orion Poplawski  <orion@cora.nwra.com>

	* configure.in: Also check for signbit decl.

2004-12-03  John W. Eaton  <jwe@octave.org>

	* aclocal.m4 (OCTAVE_PROG_GPERF): Check with -L C++, not -L ANSI_C.
	* Makefile.in (header-msg): Change recommended gperf version to
	3.0.1 or more recent.

2004-11-12  John W. Eaton  <jwe@octave.org>

	* Back off on -ffloat-store until we decide whether it is really
	necessary.

2004-11-11  John W. Eaton  <jwe@octave.org>

	* (OCTAVE_PROG_GNUPLOT): Don't set GNUPLOT_BINARY before calling
	AC_CHECK_PROGS(GNUPLOT_BINARY, ...).

	* configure.in: Use it to see if the C, C++, and Fortran compilers
	accept -ffloat-store.
	* aclocal.m4 (OCTAVE_F77_FLAG): New macro.

2004-09-08  John W. Eaton  <jwe@octave.org>

	* configure.in (GXX_PICKY_FLAGS): Remove -fno-nonnull-objects.
	(GCC_PICKY_FLAGS): Remove -Wnested-externs -Wid-clash-31.
	From Quentin Spencer <qspencer@ieee.org>.

	* configure.in (GCC_PICKY_FLAGS): Remove -Winline.

2004-09-07  John W. Eaton  <jwe@octave.org>

	* configure.in: Check for round.

2004-06-22  David Bateman  <dbateman@free.fr>

	* configure.in: Use -Wl,-Bsymbolic for MKOCTFILE_DL_LDFLAGS on
	GNU/Linux systems but not for SH_LDFLAGS.

2004-04-22  John W. Eaton  <jwe@octave.org>

	* configure.in: Add -Wl,-Bsymbolic to SH_LDFLAGS for GNU/Linux
	systems.  From Fredrik Lingvall <Fredrik.Lingvall@signal.uu.se>.

	* mkoctfile.in: Allow -Wx,option style options to be passed to the
	compiler.  From Al Niessner <Al.Niessner@jpl.nasa.gov>.

2004-04-06  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Delete code for --with-ieee754.
	Use OCTAVE_IEEE754_DATA_FORMAT.

	* aclocal.m4 (OCTAVE_IEEE754_DATA_FORMAT): New macro, based on
	configure.in code for HAVE_IEEE754_COMPLIANCE.

2004-04-06  David Bateman  <dbateman@free.fr>

  	* configure.in : add the option --with-ieee754 and use it to define
	HAVE_IEEE754_COMPLIANCE

2004-04-02  David Bateman  <dbateman@free.fr>

	* configure.in: Warn about g++ 2.9x versions.

2004-04-01  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (dist): Also make bz2 file and compute md5
	checksums of both gz and bz2 files.

2004-03-04  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: No longer accept --with-g77 (it is still possible
	to use --with-f77=g77).

2004-03-03  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Check for -mieee instead of -mieee-with-inexact.

2004-02-20  Per Persson  <persquare@mac.com>

	* mkoctfile.in (LINK_DEPS): Include $LDFLAGS in the list.

2004-02-18  Per Persson  <persquare@mac.com>

	* configure.in (*-*-darwin*): Define SONAME_FLAGS.

2004-02-16  David Bateman  <dbateman@free.fr>

	* configure.in: Test for the presence of FFTW 3.x and use it in
	preference to FFTW 2.x.  Define HAVE_FFTW3

2004-02-16  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* mkoctfile.in (LINK_DEPS): Include $LIBS and $RLD_FLAG.
	Use $OCTAVE_LIBS instead of listing libs individually.

2004-02-14  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* mkoctfile.in: Delete INCLUDE_LINK_DEPS.  Fix help text.
	Always define LINK_DEPS.
	(LINK_DEPS): Also include FLIBS in the list.

	* Makeconf.in (INCLUDE_LINK_DEPS): Don't substitute.
	(do-subst-config-vals): Delete INCLUDE_LINK_DEPS.
	* configure.in (INCLUDE_LINK_DEPS): Delete.

	* mkoctfile (SH_LD, SH_LDFLAGS): Delete.
	(DL_LD, DL_LDFLAGS): New variables.  Use them instead of SH_LD and
	SH_LDFLAGS for creating .oct files.
	Fix help text.

	* configure.in (MKOCTFILE_SH_LDFLAGS): Delete.
	(MKOCTFILE_DL_LDFLAGS): New variable, default to DL_LDFLAGS.

	* Makeconf.in (do-subst-config-vals): Add DL_LD, DL_LDFLAGS, and
	MKOCTFILE_DL_LDFLAGS to the list of substitutions.
	Delete MKOCTFILE_SH_LDFLAGS.

2004-02-14  Per Persson  <persquare@mac.com>

	* configure.in (DL_LD, DL_LDFLAGS): New variables, default to
	SH_LD and SH_LDFLAGS, respectively.
	Define independently for SH_LD and SH_LDFLAGS for *-*-darwin* targets.
	* Makeconf.in (DL_LD, DL_LDFLAGS): Substitute them here.

2004-02-13  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makefile.in (header-msg): Required bison version now 1.31 or later.

2004-01-29  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* emacs/octave-mod.el: If line-end-position is not defined,
	provide it as an alias for point-at-eol.

2004-01-24  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* emacs/octave-mod.el: If line-beginning-position is not defined,
	provide it as an alias for point-at-bol.

2004-01-23  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (AH_BOTTOM):
	Define OCTAVE_LOCAL_BUFFER using vector<T> instead of auto_ptr.
	Suggested by Paul Thomas <Paul.Thomas@jet.efda.org>

2004-01-22  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (maintainer-clean, distclean):
	Remove Makefile and autom4te.cache.

2004-01-14  David Bateman  <dbateman@free.fr>

	* configure.in: Test for the presence of the function
	H5Gget_num_objs	in HDF5 library, and define HAVE_H5GGET_NUM_OBJS.

2004-01-06  Per Persson  <persquare@mac.com>

	* aclocal.m4 (OCTAVE_CXX_PREPENDS_UNDERSCORE): Recognize
	*-*-darwin*, not *-*-darwin6*.

2003-12-20  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* INSTALL: Update to newer version from autoconf.

2003-11-26  Cyril Humbert  <Cyril.Humbert@univ-mlv.fr>

	* octave-config.in (--m-site-dir): Echo $LOCALVERFCNFILEDIR, not
	$OCTAVE_LOCALVERFCNFILEDIR.
	(--oct-site-dir): Echo $LOCALVEROCTFILEDIR, not
	$OCTAVE_LOCALVEROCTFILEDIR.

2003-11-20  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Also maybe add -W to WARN_CFLAGS and WARN_CXXFLAGS.

2003-11-15  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (SHLLIB_VER): Fix typo.

	* Makeconf.in (WARN_CFLAGS, WARN_CXXFLAGS): Substitute them.
	(ALL_CFLAGS, BUG_CFLAGS): Add $(WARN_CFLAGS).
	(ALL_CXXFLAGS, BUG_CXXFLAGS): Add $(WARN_CXXFLAGS).
	(UGLY_ALL_CXXFLAGS): Delete.

	* configure.in: Add -Wall and -Wshadow to WARN_CFLAGS and
	WARN_CXXFLAGS instead of CFLAGS and CXXFLAGS.

2003-11-12  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: If we need alloca, then also include it in LIBGLOB.

2003-11-10  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Preserve CFLAGS and CXXFLAGS before doing anything.
	Maybe add -Wshadow to CFLAGS and CXXFLAGS.

2003-10-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs/octave-mod.el (octave-comment-start): Simplify.
	(octave-point): Remove.
	(octave-in-comment-p, octave-in-string-p)
	(octave-not-in-string-or-comment-p, calculate-octave-indent)
	(octave-blink-matching-block-open, octave-auto-fill):
	Use line-(beginning|end)-position instead.

2003-10-29  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* emacs/octave-inf.el (inferior-octave-prompt): Don't bother
	matching "octave.bin".

2003-10-29  Lute Kamstra  <lute@gnu.org>

	* emacs/octave-inf.el (inferior-octave-prompt): Recognize
	version number in prompt.

2003-10-24  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* emacs/octave-mod.el (octave-mode-syntax-table): Allow % to be a
	comment character.

2003-10-23  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (AWK): Substitute and export it.
	* configure.in: Also check for AWK.

2003-10-07  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (AC_PREREQ): Require 2.57.

2003-09-19  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (AH_BOTTOM): Don't define HEAVYWEIGHT_INDEXING here.

2003-07-30  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* emacs/octave-mod.el (octave-variables): Delete
	propagate_empty_matrices from the list.

	* ck-oct-fcns.m: Delete.

2003-07-25  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Warn if --enable-dl but not --enable-shared.

2003-07-15  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* emacs/octave-mod.el (octave-variables): Delete
	default_return_value and define_all_return_values from the list.
	Add warn_undefined_return_values to the list.

2003-07-11  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* emacs/octave-mod.el (octave-variables):
	Add warn_empty_list_elements and warn_resize_on_range_error to the
	list.
	Delete empty_list_elements_ok and resize_on_range_error from the
	list.

2003-07-10  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* emacs/octave-mod.el (octave-variables): Add warn_neg_dim_as_zero
	to the list.
	Delete treat_neg_dim_as_zero from the list.

2003-07-09  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* emacs/octave-mod.el (octave-variables): Include
	DEFAULT_EXEC_PATH, DEFAULT_LOAD_PATH, crash_dumps_octave_core,
	sighup_dumps_octave_core, sigterm_dumps_octave_core,
	warn_imag_to_real, warn_num_to_str, warn_str_to_num, and
	warn_fortran_indexing in the list.
	Delete ok_to_lose_imaginary_part, implicit_num_to_str_ok,
	implicit_str_to_num_ok, prefer_column_vectors,
	prefer_zero_one_indexing, and do_fortran_indexing from the list.

2003-07-08  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (do-subst-default-vals): Substitute OCTAVE_API_VERSION.
	* octave-config.in: Handle new variable OCTAVE_API_VERSION.

	* octMakefile.in (DIRS_TO_MAKE): Delete undefined vars
	$(localfcnfilepathdirs) and $(localoctfilepathdirs) from the list.

	* octave-config.in: Handle new variables OCTAVE_LOCALAPIFCNFILEDIR
	and OCTAVE_LOCALAPIOCTFILEDIR

	* configure.in (localapifcnfiledir): New variable.
	(localfcnfilepath): Add it to the list.
	(localapioctfiledir): New variable.
	(localoctfilepath): Add it to the list.
	* Makeconf.in (do-subst-default-vals): Substitute new varibles.

	* Makeconf.in (getapiversion, apiversion): New macros.

	* octMakefile.in (DIRS_TO_MAKE): Include $(localverarchlibdir) in
	the list.

2003-07-07  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in: Set and substitute values for startupfiledir and
	localstartupfiledir.

	* octave-config.in: Allow other configuration defaults to be
	accessed using --variable VAR option.

2003-07-02  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (distclean): remove install-octave here.

2003-06-27  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: If user doesn't specify --enable-rpath, then
	default is to enable it.

2003-06-04  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (GNUPLOT_HAS_FRAMES): Eliminate variable.

	* emacs/octave-mod.el (octave-variables): Eliminate
	gnuplot_has_multiplot.

2003-05-21  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: In check for f_open in libf2c, only use
	-L. -lconflib if we have created libconflib.a.

2003-05-16  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_PROG_GPERF): Provide struct decl so -t option
	succeeds with gperf 3.0.

	* Makeconf.in (NO_OCT_FILE_STRIP): Use -C arg for make.

	* octMakefile.in (DIRS_TO_MAKE): Use $(shell ...) instead of `...`.

2003-05-14  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in, octMakefile.in, emacs/Makefile.in,
	examples/Makefile.in: Handle DESTDIR.

2003-05-13  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (sbindir): New variable substitution.

2003-04-30  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Don't define WITH_KPATHSEARCH.

2003-04-24  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Look for wsock32 library on MinGW systems.

2003-04-22  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (OCTAVE_LOCAL_BUFFER): Always allocate temporary
	buffer using new.

2003-04-18  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makefile.in octMakefile.in: Delete kpathsea targets.

	* kpathsea: Delete all files and directory.

	* configure.in: Don't run configure in kpathsea subdirectory.

	* README.kpathsea: New file.
	* octMakefile.in (DISTFILES): Include it in the list.

	* Makeconf.in (do-subst-config-vals): Don't substitute it.

	* configure.in: Also check for basename.
	Don't substitute LIBKPATHSEA.

2003-04-17  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (AH_BOTTOM): Don't assume that __WIN32__ will be
	defined when __CYGWIN__ is defined.

2003-03-17  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Only complain for g++ earlier than 2.95.
	Try harder to get version number only.

2003-03-05  Paul Kienzle  <pkienzle@users.sf.net>

	* aclocal.m4 (OCTAVE_DYNAMIC_AUTO_ARRAYS): New macro.
	* configure.in: Use it.
	(AH_BOTTOM): Check HAVE_DYNAMIC_AUTO_ARRAYS instead of __GNUG__.

2003-03-03  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Undo previous change.
	* Makeconf.in: Likewise.

2003-03-01  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (KPATHSEA_INCFLAGS): New variable.
	* Makeconf.in (KPATHSEA_INCFLAGS): Substitute it.
	(do-subst-config-vals): Add it to the list.
	(INCFLAGS): Add $(KPATHSEA_INCFLAGS).

2003-02-23  Paul Kienzle  <pkienzle@users.sf.net>

	* aclocal.m4 (OCTAVE_PLACEMENT_DELETE): New macro.
	* configure.in: Use it.
	(AH_BOTTOM): Don't define HAVE_PLACEMENT_DELETE here.

2003-02-21  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Allow RLD_FLAG to be set using --enable-rpath arg.

	* configure.in: Fix default RLD_FLAG value for *-sgi-*.  From
	Paul Kienzle <pkienzle@users.sf.net>.

	* configure.in: Check for long long int and unsigned long long int.

	* configure.in (AH_BOTTOM): Define HAVE_PLACEMENT_DELETE for gcc
	3.2 and later.

	* configure.in: Check for copysign and signbit.

2003-02-18  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* emacs/Makefile.in (DISTFILES): Add otags.1 to the list.

2003-02-18  Dirk Eddelbuettel  <edd@debian.org>

	* emacs/otags.1: New file.

2003-02-18  David Bateman  <dbateman@free.fr>

	* configure.in: Eliminate linpack

2003-02-15  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Check for mkstemp too.

2003-02-13  Arno Klaassen  <arno@scito.com>

	* configure.in: Fix SH_LD and SH_LDFLAGS for -*-*-freebsd*.

2003-02-13  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Use '$(CXX)', '$(AR)', not "$CXX" and "$AR" when
	setting variables for building shared libraries.

2003-02-13  Paul Kienzle  <pkienzle@users.sf.net>

	* examples/make_int.cc: Support for ISO standard compilers.

2003-01-22  Richard Stallman  <rms@gnu.org>

	* emacs/octave-mod.el (octave-mode-map): Avoid binding keys that
	are reserved for users.

2003-01-22  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in: Fix typo in previous change.

2003-01-21  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (MKOCTFILE_INCFLAGS): Skip -I$(includedir) if
	$(includedir) is /usr/include.

2003-01-16  Mumit Khan  <khan@nanotech.wisc.edu>

	* Makeconf.in (SED): Export to subshells.

2003-01-11  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Don't bother with compiler flags for
	explicit/no-implicit template instantiation.

2003-01-11  Paul Kienzle  <pkienzle@users.sf.net>

	* configure.in, Makeconf.in: Allow setting of BUILD_LDFLAGS.

2003-01-11  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* autogen.sh: Use --force for autoconf and autoheader.

2003-01-04  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (CONF_DISTFILES): Include acx_blas.m4 and
	acx_lapack.m4.

	* configure.in (BUILD_CC, BUILD_CFLAGS, BUILD_CXX,
	BUILD_CXXFLAGS): Kluge for Sun C/C++.

2003-01-03  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Default value of BUILD_CXX is $CXX, not g++.
	(AH_BOTTOM): Define __USE_STD_IOSTREAM if using Compaq C++ compiler.
	For compiler/linker options, use -Wl,OPT instead of -Xlinker OPT.
	Check for -ieee option for the C and C++ compilers on alpha systems.

2003-01-02  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Fail on all gcc 1.x and 2.x versions.

2002-12-30  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (OCTAVE_LOCAL_BUFFER): New macro.

2002-12-18  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* mkoctfile.in: Include $LIBOCTINTERP in the stand alone link command.
	Define LIBOCTAVE, LIBOCTINTERP, LIBCRUFT, LIBREADLINE using -lLIB.

2002-12-17  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (do-script-install, do-script-uninstall):
	New macros, used in Makefiles in scripts subdirectory.
	(do-script-install): Use new scripts/mkpkgadd script to construct
	PKG_ADD files.

2002-12-03  Nix  <nix@esperi.demon.co.uk>

	* configure.in: Use AC_CHECK_DECL in conjunction with
	AC_DECL_SYS_SIGLIST to ensure signal.h is searched.

2002-12-03  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Dont't set SONAME_FLAGS for alpha alpha*-dec-osf*
	systems.

2002-11-29  Paul Kienzle  <pkienzle@users.sf.net>

	* mkoctfile.in: Include "$incflags $def" in commands to generate
	dependecies.

2002-11-21  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (do-subst-config-vals): Substitute OCTAVE_BINDIR.

	* configure.in (MKOCTFILE_SH_LDFLAGS): New variable.
	* Makeconf.in (do-subst-config-vals): Substitute
	OCTAVE_CONF version of this variable.

	* mkoctfile.in: Set SH_LDFLAGS from MKOCTFILE_SH_LDFLAGS, not
	SH_LDFLAGS.
	(VERSION): Substitute value of OCTAVE_CONF_VERSION.

	* configure.in (NO_OCT_FILE_STRIP): New variable.
	* Makeconf.in (do-subst-config-vals): Substitute it.
	* mkoctfile.in (no_oct_file_strip_on_this_platform): New variable.

2002-11-20  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (OCTAVE_CXX_PRAGMA_INTERFACE_IMPLEMENTATION):
	Delete use.

	* aclocal.m4 (OCTAVE_LANG_PROG_NO_CONFDEFS): Delete.
	(OCTAVE_CXX_PRAGMA_INTERFACE_IMPLEMENTATION): Delete.

2002-11-19  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Check for dlopen last, to avoid broken
	compatibility libraries.
	Default value for SHLLIB is '$(SHLEXT)', not $SHLEXT.

2002-11-15  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (USE_EXCEPTIONS_FOR_INTERRUPTS): No need to define.

2002-11-14  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Check for sigsetjmp and siglongjmp.
	(AH_BOTTOM): If both are found, define OCTAVE_HAVE_SIG_JUMP.
	Also check for sig_atomic_t, typedef it if not available.

2002-11-10  Per Persson  <persquare@mac.com>

	* configure.in: Detect dyld API for dynamic linking on OS X.

2002-11-09  Per Persson  <persquare@mac.com>

	* configure.in: Use $(TOPDIR)/src/octave, not $(bindir)/octave for
	-bundle-loader argument.

	* aclocal.m4 (OCTAVE_CXX_PREPENDS_UNDERSCORE): Force result for OS X.

2002-11-07  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Set FPICFLAG, Also set CXXPICFLAG, CPICFLAG,
	FPICFLAG, and INCLUDE_LINK_DEPS for OS X.

	* acx_blas.m4 (LIBS): Also check for Apple vecLib framework.

2002-11-06  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (AH_BOTTOM): Define USE_EXCEPTIONS_FOR_INTERRUPTS.

2002-11-04  Joseph P. Skudlarek  <jskud@jskud.com>

	* emacs/otags: handle declarations without arguments and/or return
	values.

2002-10-31  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (SHLEXT_VER, SHLLIB_VER, SHLBIN_VER): Use
	$(version), not $(VERSION).

2002-10-28  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (HAVE_DLOPEN_API, HAVE_SHL_LOAD_API,
	HAVE_LOADLIBRARY_API): Delete.
	(do-subst-config-vals): Don't substitute them here.

2002-10-25  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (ENABLE_DYNAMIC_LINKING): Rename from
	WITH_DYNAMIC_LINKING.
	* Makeconf.in: Likewise.
	* examples/hello.cc: Likewise.  Improve comments.

	* configure.in: Revive --enable-dl to set default value for
	WITH_DYNAMIC_LINKING.

	* configure.in: Also set SHLEXT_VER, SHLLIB_VER, SHLBIN_VER.
	* Makeconf.in: Substitute them here.
	Also substitute SHLLINKEXT.

2002-10-25  Per Persson  <persquare@mac.com>

	* aclocal.m4 (OCTAVE_CXX_PRAGMA_INTERFACE_IMPLEMENTATION): Fix
	first test to properly fail on OS X.  Fix typo in final test to
	set result.

2002-10-23  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* mk-opts.pl (emit_opt_class_header): Make set_options another
	name for copy.

2002-10-17  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (do-subst-config-vals): Don't substitute
	OCTAVE_CONF_OCTAVE_LITE.
	(OCTAVE_LITE): Delete.

	* Makeconf.in: Use HAVE_DLOPEN_API, HAVE_LOADLIBRARY_API, and
	HAVE_SHL_LOAD_API instead of WITH_DL and WITH_SHL.

	* configure.in: Rewrite the way we handle dynamic linking.
	If dynamic linking is used always do what was previously only
	enabled by --enable-lite-kernel.

2002-10-17  Paul Kienzle  <pkienzle@users.sf.net>

	* configure.in: Define WITH_DYNAMIC_LINKING based on --enable-shared.
	Add -lwsock32 to LIBS for MinGW.

2002-10-16  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_LANG_PROG_NO_CONFDEFS): New macro.
	(OCTAVE_CXX_PRAGMA_INTERFACE_IMPLEMENTATION): Use it along with
	AC_LINK_IFELSE instead of AC_TRY_LINK.
	Require both programs to compile for success.

2002-10-16  Paul Kienzle  <pkienzle@users.sf.net>

	* aclocal.m4: Both Cygwin and MinGW don't prepend underscores.
	* configure.in: MinGW builds shared libraries the same as Cygwin.
	MinGW must link to winsock explicitly.
	* install-octave.in: MinGW and Cygwin both need OCTAVE_HOME.

2002-10-15  Paul Kienzle  <pkienzle@users.sf.net>

	* configure.in (library_path_var): New variable.

2002-10-14  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (SH_LDFLAGS): Additional options for Cygwin:
	-Wl,--export-all-symbols -Wl,--enable-auto-import.

	* Makeconf.in (TERMLIBS): Substitute here.

	* configure.in: Define OCTAVE_USE_WINDOWS_API if
	defined (__WIN32__) && ! defined (__CYGWIN__), not if
	defined (__WIN32__) || ! defined (__CYGWIN__).
	Also call AC_SUBST for TERMLIBS.

2002-10-14  Paul Kienzle  <pkienzle@users.sf.net>

	* configure.in: Use correct SHLEXT and PICFLAG for Cygwin.
	* configure.in: Cygwin must link against -loctave.dll, etc.

	* configure.in: Define INCLUDE_LINK_DEPS because Cygwin needs DLLs
	to be linked against their dependencies.
	* Makeconf.in: Ditto.

	* configure.in: Define SHLLIB and SHLBIN because Cygwin doesn't
	link against shared libs but instead against -lxxx.dll.  LIB and
	BIN are the link and load forms respectively of the library.
	* Makeconf.in: Ditto, and define the corresponding XXX_VER.

	* configure.in: Remove LIBOCT_READLINE and LIBOCT_PATHSEARCH
	because they are merged into LIBOCTAVE to avoid circular
	dependencies.
	* Makeconf.in: Ditto.
	* mkoctfile.in: Ditto.

	* aclocal.m4 (OCTAVE_ENABLE_READLINE): Define LIBREADLINE because
	Cygwin requires liboctave to be linked against -lreadline so
	including it in LIBS isn't sufficient.
	* mkoctfile.in: Substitute and use LIBREADLINE here.

	* aclocal.m4 (OCTAVE_CXX_PREPENDS_UNDERSCORE): Force no for cygwin.

2002-10-11  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (AH_BOTTOM): Maybe define OCTAVE_USE_WINDOWS_API
	and OCTAVE_HAVE_WINDOWS_FILESYSTEM.

2002-10-09  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_PROG_GNUPLOT): AC_DEFINE GNUPLOT_BINARY
	Default value on Windows systems is pgnuplot.
	If not cross compiling and no gnuplot program is found, set
	default to gnuplot.  Set defaults for multiplot and frames.  Check
	for pgnpuplot, pipe-gnuplot, and gnuplot on Windows systems.

	* configure.in (BUILD_EXEEXT): New variable.
	* Makeconf.in (BUILD_EXEEXT): Substitute it here.

	* aclocal.m4 (OCTAVE_CXX_PRAGMA_INTERFACE_IMPLEMENTATION):
	Add second test for OS X.

2002-10-08  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_CXX_PRAGMA_INTERFACE_IMPLEMENTATION): New macro.
	* configure.in: Use it.

	* configure.in (BUILD_CC, BUILD_CFLAGS, BUILD_CXX, BUILD_CXXFLAGS):
	Set default values if cross compiling.

	* aclocal.m4 (OCTAVE_PROG_NM): Do the right thing for cross compiling.
	(OCTAVE_CXX_PREPENDS_UNDERSCORE): Require OCTAVE_PROG_NM.
	(OCTAVE_CXX_ABI): Likewise.

	* Makeconf.in (BUILD_CC, BUILD_CFLAGS, BUILD_CXX, BUILD_CXXFLAGS):
	New variables for cross compiling.

2002-10-07  Paul Kienzle  <pkienzle@users.sf.net>

	* configure.in: Check for raise.

2002-10-02  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_PROG_SED): New macro, adapted from autoconf
	patches mailing list archive, written by Robert Boehne
	<rboehne@ricardo-us.com>.
	* configure.in: Use it.
	* Makeconf.in: Substitute SED, use $(SED), not sed.
	(do-subst-conffig-vals): Substitute it here too.
	* mkoctfile.in: And here.  Use $SED, not sed.
	* octave-bug.in: Likewise.
	* install-octave.in: Likewise.

2002-09-30  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Don't define mkdir here.

2002-09-25  Mumit Khan  <khan@nanotech.wisc.edu>

 	* aclocal.m4 (OCTAVE_MKDIR_TAKES_ONE_ARG): New macro to determine if
 	host mkdir accepts only one arg instead of the usual two.
 	* configure.in: Use. Check for direct.h.
 	(mkdir): Define.

2002-09-26  Paul Kienzle  <pkienzle@users.sf.net>

	* configure.in: Check for conio.h.
	Check for _kbhit.

2002-09-26  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (AH_BOTTOM): Don't define
	USE_PRAGMA_INTERFACE_IMPLEMENTATION.

2002-09-26  Paul Kienzle  <pkienzle@users.sf.net>

	* configure.in: Fix syntax errors in !HAVE_XXX_T.
	Don't require terminal control for build.

2002-09-23  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Fix typedefs used in AH_BOTTOM.

2002-09-19  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (AH_BOTTOM): If using g++, define
	USE_PRAGMA_INTERFACE_IMPLEMENTATION.

2002-08-17  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Check for sstream.

2002-08-16  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (%.d : %.cc): Add $*.df to LHS of dependency list.

2002-08-15  Paul Kienzle  <pkienzle@users.sf.net>

	* mk-opts.pl: Add support for INCLUDE = "...".

2002-08-15  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* mk-opts.pl: Handle Array<int> too.

2002-08-10  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* mk-opts.pl (emit_options_function): Emit newline at EOF.

2002-08-01  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in: Use $@-t instead of $@.tmp or $@.t.

2002-07-19  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* mk-opts.pl: New file.
	* Makefile.in (DISTFILES): Add it to the list.

2002-07-12  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (AC_CONFIG_FILES): Add libcruft/dasrt/Makefile to
	the list.

2002-07-10  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (AC_CONFIG_FILES): Add libcruft/odessa/Makefile to
	the list.

2002-05-24  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Maybe add -fno-coalesce-templates to XTRA_CXXFLAGS
	on darwin systems.
	(SH_LDFLAGS): Set this on darwin systems.
	(UGLY_DEFS): Cope with broken sed or shell quoting on darwin systems.

2002-05-16  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_CXX_ISO_COMPLIANT_LIBRARY): Omit cwctype.

2002-05-01  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (AC_AIX): Move before AC_MINIX and AC_ISC_POSIX.
	(AH_BOTTOM): Move contents of acconfig.h here.
	* acconfig.h: Delete.
	* octMakefile.in (CONF_DISTFILES): Delete acconfig.h from the list.

2002-04-27  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (AC_CONFIG_FILES): Add libcruft/daspk/Makefile to
	the list.

2002-04-24  Kurt Hornik  <hornik@ci.tuwien.ac.at>

	* aclocal.m4 (OCTAVE_CC_FLAG, OCTAVE_CXX_FLAG): Also handle flags
	that contain : and =.

2002-04-12  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* config.guess, config.sub: Update from FSF sources.

2002-04-11  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Declare F2C and F2CFLAGS with AC_ARG_VAR.
	Delete AC_SUBST calls for F77, FFLAGS, FLIBS, F2C, F2CFLAGS (no
	need to do this explicitly now).

2002-04-04  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in: Set and substitute EXEEXT, not EXE.

	* configure.in (EXE): Delete check and substitution.
	* install-octave.in: Use EXEEXT instead of EXE.

	* configure.in: Use AC_CHECK_MEMBERS, not OCTAVE_STRUCT_GR_PASSWD.
	Use AC_CHECK_TYPES, not AC_CHECK_TYPE or OCTAVE_CHECK_TYPE.
	* aclocal.m4 (OCTAVE_STRUCT_GR_PASSWD, OCTAVE_CHECK_TYPE): Delete.
	* acconfig.h (dev_t, ino_t, nlink_t, sigset_t): Typedef if not found.

2002-04-03  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4: Replace AC_LANG_SAVE, AC_LANG_C, AC_LANG_CPLUSPLUS,
	and AC_LANG_RESTORE with AC_LANG_PUSH and AC_LANG_POP.
	Use AS_MESSAGE_LOG_FD instead of AC_FD_CC.
	* configure.in: Delete second arg in AC_CHECK_SIZEOF calls.

2002-04-03  Steven G. Johnson  <stevenj@alum.mit.edu>

	* configure.in: Correct usage of AC_ARG_WITH for --with-fftw.

	* configure.in: Update for autoconf 2.5x.
	Minor syntax changes to new recommended syntaxes and macros.
	Apply changes from autoupdate plus eliminate some warning
	messages, deprecated uses of changequote, etc.
	Use autoheader templates to generate config.h.in.
	Replace most of Octave's Fortran support macros with those in the
	new autoconf.
	Eliminate most uses of internal (undocumented) autoconf cache vars.
	Replace BLAS/LAPACK detection new macros ACX_BLAS/ACX_LAPACK from
	the autoconf macro repository.
	* acx_blas.m4, acx_lapack.m4: New files.
	* acconfig.h: Delete lines that can be automatically generated
	from new info in configure.in and aclocal.m4.
	If it is not already defined, define F77_FUNC for use with f2c.
	* aclocal.m4 (OCTAVE_PROG_G77, OCTAVE_FLIBS, OCTAVE_F77_MAIN_FLAG,
	OCTAVE_F77_UPPERCASE_NAMES, OCTAVE_F77_APPEND_UNDERSCORE,
	OCTAVE_F2C_F77_COMPAT): Delete definitions.
	Use autoheader templates to generate config.h.in.
	* Makeconf.in, mkoctfile.in (FORTRAN_MAIN_FLAG): Delete all uses.

2001-11-09  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octave-bug.in (BLAS_LIBS, FFTW_LIBS, LD_CXX): Substitute and
	print values.
	* mkoctfile.in: Accept --compile as an alias for -c.
	New option, --link-stand-alone.
	New option, --no-pathsearch.
	New option, --no-readline.
	Substitute RLD_FLAG, FLIBS, LIBKPATHSEA, LIBOCTINTERP,
	LIBOCTAVE, LIBOCT_READLINE, LIBOCT_PATHSEARCH, LIBCRUFT,
	BLAS_LIBS, FFTW_LIBS, and LIBS.
	* Makeconf.in (MKOCTFILE_LFLAGS): New variable.
	(do-subst-config-vals): Substitute FFTW_LIBS, LD_CXX,
	LIBOCT_PATHSEARCH, LIBOCT_READLINE, MKOCTFILE_LFLAGS.

2001-11-06  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makefile.in (LIBOCT_READLINE, LIBOCT_PATHSEARCH): New variables.
	* Makeconf.in: Substitute them here.

2001-11-02  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (dist): Omit long-gone info subdir.
	Fix find command for removing Makefile in kpathsea and glob subdirs.

2001-08-10  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* mkoctfile.in: Substitute F2C and F2CFLAGS. Make it possible to
	use f2c and a C compile to compiling Fortran source files.  Print
	warnings and error message on stderr, not stdout.  Issue warnings
	if it is not possible to comiple Fortran, C, or C++ files.

	* configure.in (%.c : %.f): Don't use cat in F2C rule.

2001-07-27  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (do-subst-config-vals): Substitute DEPEND_FLAGS and
	DEPEND_EXTRA_SED_PATTERN.
	* mkoctfile.in: Handle --depend.

2001-07-25  Rafael Laboissiere  <rafael@laboissiere.net>

       * octave-config.in: New file.
       * Makeconf.in (do-subst-default-vals): Substitute OCTAVE_VERSION.
       * Makefile.in (TARGETS): Add octave-config to list.
       * octMakefile.in (DISTFILES): Add octave-config.in to list.
       (BINDISTFILES): Add octave-config to list.
       (all): Add octave-config dependency.
       (octave-config): New rule.
       (install): Install octave-config.
       (uninstall): Delete octave-config from bindir.
       (maintainer-clean): Delete octave-config.
       (binary-dist): Add octave-config dependency.

2001-06-29  Mumit Khan  <khan@nanotech.wisc.edu>

	* aclocal.m4 (OCTAVE_CXX_ABI): Use "sun_v5" instead of "sun".

	* aclocal.m4 (OCTAVE_CXX_ABI): New macro.
	(OCTAVE_CXX_PREPENDS_UNDERSCORE): Add missing return value.
	* configure.in: Use.
	* acconfig.h (CXX_ABI): New macro.

2001-05-23  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Quote the call to AC_CHECK_FUNC inside the
	AC_CHECK_LIB macro when checking for lapack.  For autoconf 2.50

	* aclocal.m4: Changes for autoconf 2.50:
	Convert dnl comments inside AC_DEFUN to ###.
	(OCTAVE_FLIBS): Use [] quoting instead of changequote.

2001-05-02  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in: Remove remaining references to readline.
	(CONF_DISTFILES): Add autogen.sh to the list.

2001-05-02  Mumit Khan  <khan@nanotech.wisc.edu>

	* configure.in: Support for --with-fftw.
	(FFT_DIR, FFTW_LIBS): New substitutions.
	* Makeconf.in (FFTW_LIBS): New variable.
	* acconfig.h (HAVE_FFTW): New macro.

2001-04-26  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_ENABLE_READLINE): Require readline unless
	--disable-readline is specified.

	* configure.in: Don't define TERMLIBS.  Do add terminal lib(s) to LIBS.
	* octave-bug.in: Delete references to TERMLIBS.
	* Makeconf.in: Likewise.

	* Makeconf.in (LIBREADLINE): Delete substitution.
	(do-subst-config-vals): Likewise.
	* octMakefile.in (SUBDIRS): Delete @READLINE_DIR@ from the list.
	* configure.in (AC_CONFIG_SUBDIRS): Delete $READLINE_DIR from the list.

	* configure.in (VOID_SIGHANDLER): Don't check or substitute here.

2001-04-25  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (install, install-strip): Don't use mk-includedir-link

	* Makeconf.in (mk-includedir-link, mk-libdir-link): Delete definitions.

2001-04-24  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (mk-libdir-link): Undo previous change

2001-04-23  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Only check for libz if checking for HDF5 libraries.
	Allow user to specify HDF5 library name on command line, same as
	for BLAS libraries.  Include BLAS and HDF5 libs in summary output.

2001-04-19  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (CONF_DISTFILES): Remove config.h.bot from the list.

2001-04-19  David Livings  <david.livings@asa.co.uk>

	* Makeconf.in (mk-libdir-link): Omit check for $(octlibdir)/octave
	existing as a directory.

2001-02-28  Albert Chin-A-Young  <china@thewrittenword.com>

	* configure.in: Check for getpwnam in libsun only after checking
	default libraries first.  Check for gethostname in libsocket only
	after checking default libraries first.

2001-02-22  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Allow for using f2c when setting functions to look
	for in the BLAS and Lapack libraries.
	From Kurt Hornik <Kurt.Hornik@ci.tuwien.ac.at>.

2001-02-10  Mumit Khan  <khan@nanotech.wisc.edu>

	* test/octave.test/string/dec2hex-1.m: Don't assume hex format
	produces lower case letters.

2001-02-07  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* acconfig.h: Merge contents of config.h.bot.
	* config.h.bot: Delete.

	* autogen.sh: Allow running of autoconf or autoheader to be skipped.

2001-02-06  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* readline: Update to new version (4.2-beta1).

2001-02-05  Mumit Khan  <khan@nanotech.wisc.edu>

	* configure.in (TEMPLATE_AR, TEMPLATE_ARFLAGS): New variables.
	* Makeconf.in (TEMPLATE_AR, TEMPLATE_ARFLAGS): Likewise.

	* configure.in (XTRA_CXXFLAGS): Use -fno-implicit templates for
	pre-gcc3 compilers. Remove -fno-rtti and -fno-exceptions.
	(DEPEND_FLAGS, DEPEND_EXTRA_SED_PATTERN): New macros.
	(BLAS_LIBS): Fix test for sunperf library on Sun Solaris.
	(CPICFLAG, CXXPICFLAG, FPICFLAG, SH_LDFLAGS, RLD_FLAG): Add Sun
	compiler support.
	* Makefile.in (DEPEND_FLAGS, DEPEND_EXTRA_SED_PATTERN): New
	variables.
	(%.d : %.cc): Use.
	(%.d : %.c): Likewise.
	* acconfig.h (CXX_ISO_COMPLIANT_LIBRARY): Add #undef.

2001-01-31  Mumit Khan  <khan@nanotech.wisc.edu>

	* Makeconf.in (%.d : %.cc): Strip the directory portion of the
	target.
	(%.d : %.c): Likewise.

	* aclocal.m4 (OCTAVE_CXX_ISO_COMPLIANT_LIBRARY): New macro.
	* configure.in: Use it.

2001-01-29  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (do-subst-config-vals): Substitute
	OCTAVE_CONF_CANONICAL_HOST_TYPE here too.
	* octave-bug.in: Substitute OCTAVE_CONF_CANONICAL_HOST_TYPE, not
	OCTAVE_CANONICAL_HOST_TYPE.

2000-12-09  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4: Give gperf a keyword, to avoid complaints from newer
	versions.

2000-11-27  Marcus.Brinkmann  <Marcus.Brinkmann@ruhr-uni-bochum.de>

	* configure.in: Handle *-*-gnu* the same as *-*-linux* for shared
	library creation.

2000-11-03  Andy Adler  <en254@freenet.carleton.ca>

	* mkoctfile.in: Handle -c to mean compile only.

2000-11-01  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* mkoctfile.in: Handle --print.

2000-10-31  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_PROG_GPERF): Check that gperf supports flags
	we use.

	* missing: New file, modified from the missing script provided by
	automake (never create files, just exit with failure status).
	* aclocal.m4 (OCTAVE_PROG_BISON, OCTAVE_PROG_FLEX, OCTAVE_PROG_GPERF):
	Use $(top_srcdir)/missing as replacement script.

	* aclocal.m4 (OCTAVE_PROG_FLEX, OCTAVE_PROG_BISON): New macros.
	* configure.in: Use them.

2000-10-27  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* autogen.sh: Don't run configure.

	* configure.in (SPECIAL_MATH_LIB): Delete code related to this var.
	* Makeconf.in: Ditto.
	(BLAS_LIBS, LIBS): Substitute here.
	(do-subst-config-vals): Put BLAS_LIBS in oct-conf.h.

2000-07-20  Joao Cardoso  <jcardoso@inescn.pt>

	* configure.in: (LD_CXX): Define and substitute.
	For sco3.2v5 systems, set SONAME_FLAGS and RLD_FLAG.
	* Makeconf.in (LD_CXX): Allow substitution.

2000-07-18  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (DISTSUBDIRS): Define in terms of $(ALL_SUBDIRS).

2000-07-17  Joao Cardoso  <jcardoso@inescn.pt>

	* configure.in (LIBGLOB): Set to be the two object files in the
	glob directory instead of libglob.a.

2000-07-05  Steven G. Johnson  <stevenj@gil-galad.mit.edu>

	* Use BLAS_LIBS to save the names of BLAS libraries instead of
	adding them to LIBS, then substitute BLAS_LIBS.

2000-06-30  Steven G. Johnson  <stevenj@gil-galad.mit.edu>

	* configure.in: Support for --with-fastblas (ATLAS).

2000-06-29  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Check for long long data type.

2000-06-29  Steven G. Johnson  <stevenj@gil-galad.mit.edu>

	* acconfig.h (HAVE_HDF5): Add undef.
	* configure.in: Handle --with-hdf5.

2000-06-26  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octave-bug.in: Substitute correct values for config_opts,
	MACHINE, and CXXFLAGS.

2000-06-07  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (GPERF): Allow substitution.

2000-06-05  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_PROG_GPERF): New macro.
	* configure.in: Use it.  Print warning at end if gperf is missing.

2000-04-20  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* mkoctfile.in: Try moving output file first.  But comment these
	lines and let people who have trouble enable them.

2000-04-19  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* mkoctfile.in: Remove output file before linking.

	* octMakefile.in (DIRS_TO_MAKE): Create $(octincludedir)/octave.
	(install install-strip): Install config.h in $(octincludedir)/octave,
	not $(octincludedir).

2000-03-31  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (DIRS_TO_MAKE): Double up on $ in awk command to
	get them past Make.

2000-03-25  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (SUBDIRS): Omit src.
	(ALL_SUBDIRS): New variable.  Include src here.
	(all): Depend on src instead of $(SUBDIRS).
	(src): New target.  Depend on $(SUBDIRS).

	* Makefile.in (.NOTPARALLEL): New target, for GNU Make 3.79.
	* octMakefile.in (.NOTPARALLEL): Likewise.

2000-03-22  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Check for vsnprintf.

2000-03-21  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makefile.in (liboctave.$(SHLEXT)): Delete target before rebuilding.

2000-03-21  Ben Sapp  <bsapp@nua.lampf.lanl.gov>:

	* Makeconf.in (%.o : %.c): Pass -o to compile command.
	(%.o : %.cc): Ditto.
	* configure.in (%.o : %.f): Ditto.

2000-03-08  Stephen Eglen  <stephen@gnu.org>

	* emacs/octave-mod.el (octave-font-lock-keywords): To font-lock
	the builtin operators, use `font-lock-builtin-face' for Emacs
	and `font-lock-preprocessor-face' for XEmacs.

2000-03-08  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: For building shared libaries, handle
	i386-pc-solaris2* the same as sparc-sun-solaris2*.

2000-02-29  Ben Sapp  <bsapp@nua.lampf.lanl.gov>

	* examples/make_int.cc (make_int): Handle new operator names.

2000-02-23  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (maintainer-clean distclean): Don't delete Makefile.
	(dist): Delete stamp-auto.

2000-02-11  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (octincludedir): Delete trailing /octave here.
	* Makeconf.in (mk-includedir-link): Append it here.
	(MKOCTFILE_INCFLAGS): Use both -I$(octincludedir) and
	-I$(octincludedir)/octave.

	* configure.in (localveroctfiledir, localverarchlibdir,
	localverfcnfiledir): New variables.
	(localfcnfilepath): Prepend localverfcnfiledir.
	(localoctfilepath): Prepend localveroctfiledir.
	* Makeconf.in: Substitute them here.

	* Makeconf.in (do-subst-default-vals): Substitute
	OCTAVE_LOCALVERARCHLIBDIR, OCTAVE_LOCALVERFCNFILEDIR,
	OCTAVE_LOCALVEROCTFILEDIR.

2000-02-08  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* config.guess: Update to latest from subversions.gnu.org.
	* config.sub: Likewise.  Recognize sv1-cray as a basic_machine.

	* Makeconf.in (MKOCTFILE_INCFLAGS): New macro.
	(do-subst-conf-vals): Substitute it.
	* mkoctfile.in: Set INCFLAGS from OCTAVE_CONF_MKOCTFILE_INCFLAGS.

	* mkoctfile.in: Fix names in substititions.
	* octave-bug.in: Likewise.

2000-02-07  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (do-subst-default-vals, do-subst-config-vals):
	Substitute more complete set of values.

2000-02-01  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (octave_cv_string_npos): Add std:: qualifier.

2000-01-27  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* emacs/octave-mod.el (octave-begin-keywords): Add "do".
	(octave-end-keywords): Add "until".
	(octave-abbrev-table): Add "u" as abbrev for "until ()"
	(octave-block-match-alist): Add do-until.

2000-01-25  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Don't look for the sunmath library.
	Don't check for infinity or quiet_nan.

	* emacs/octave-mod.el (octave-mode-syntax-table):
	Undo previous change, but add a comment explaining why.

	* install-octave.in: Exit on any error instead of continuing.
	Install Octave binary last.

2000-01-24  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* emacs/octave-mod.el (octave-mode-syntax-table):
	Make `%' a comment start character too.

2000-01-20  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Check for strptime and localtime_r.

1999-11-15  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (XTRA_CXXFLAGS, XTRA_CFLAGS): Use -mminimal-toc on
	AIX systems.

1999-10-26  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* emacs/README: New file.
	* emacs/Makefile.in (DISTFILES, BINDISTFILES): Add it to the lists.

	* emacs/Makefile.in: Don't distribute .elc files.

1999-10-21  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Check for select and poll.  Also check for poll.h
	and sys/poll.h.

1999-10-19  Geoff Jacobsen  <geoffj@casquet.inet.net.nz>

	* autogen.sh: New file.

1999-10-19  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in: Use `$(MAKE) -C dir' instead of `cd dir; $(MAKE)'.

Mon Sep 20 11:02:29 1999  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* emacs/octave-inf.el, emacs/octave-mod.el: Update to match FSF
	sources plus code that will make it work if Emacs doesn't have the
	customize code.

Tue Sep 14 07:57:06 1999  Kurt Hornik  <hornik@ci.tuwien.ac.at>

	* emacs/octave-inf.el (inferior-octave-startup): Always pass "-i"
	and "--no-line-editing" to Octave subprocess.
 	(inferior-octave-startup-args): Default to nil.

Mon Sep  6 10:50:10 1999  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* emacs/octave-inf.el (inferior-octave-startup-args):
	Add --no-line-editing to the list.

Fri Jul  9 09:15:24 1999  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Try to handle IEEE FP flags for g77 on Alphas.

Thu Jul  8 19:56:37 1999  Stephen Eglen  <stephen@gnu.org>

	* emacs/octave-inf.el (inferior-octave-directory-tracker):
	Change regexp so that it doesn't match commands beginning with `cd'.

Wed Jun 23 13:20:11 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	* configure.in (HAVE_TERMIOS_H): Avoid autoheader lossage.

Sun Jun 20 23:05:18 1999  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Check for sys/ioctl.h.

Mon May 10 09:06:47 1999  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_PROG_G77): Also match "FSF-g77", for egcs.

Thu Apr  8 19:20:09 1999  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* examples/hello.cc (Fhello): octave_value::print now requires a
	stream arg.

Wed Feb  3 01:02:37 1999  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Use AC_OUTPUT_COMMANDS to chmod install-octave so
	that the command will also executed in config.status.

Thu Jan 28 21:05:32 1999  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (do-subst-config-vals): Do substitution on
	CANONICAL_HOST_TYPE, not TARGET_HOST_TYPE.
	(do-subst-default-vals): Likewise.

Wed Jan 20 12:56:02 1999  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Don't put -O in FFLAGS for powerpc-apple-machten*.

Wed Dec  9 14:02:45 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (RDYNAMIC_FLAG): Substitute RDYNAMIC_FLAG here.
	* configure.in: Check for G++ compiler flag -rdynamic if setting
	up to support dynamic linking, and substitute RDYNAMIC_FLAG if
	-rdynamic is accepted.
	* aclocal.m4 (OCTAVE_CC_FLAG, OCTAVE_CXX_FLAG): Clarify usage comment.

Mon Dec  7 19:49:26 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Check for -lm just after compiler tests.
	Remove -lm from other macro calls.  Don't check for -lm on NeXT
	systems.  Eric Norum <eric@skatter.usask.ca> says /lib/libsys_s.a
	has all the routines that are traditionally in libc.a and libm.a
	on *NIX systems.  NeXT also supplies a libm.a, but it seems to be
	horribly buggy.

Sat Dec  5 10:48:40 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* mkoctfile.in: Correctly handle -?.

Fri Dec  4 18:05:51 1998  Kurt Hornik  <Kurt.Hornik@ci.tuwien.ac.at>

	* emacs/octave-mod.el (octave-abbrev-start): Use the correct name
	of the abbrev table, and provide support for XEmacs.
	(octave-xemacs-p): New variable.

Tue Nov 24 23:31:50 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Check for strftime too.
	Avoid checking for termios.h on NeXT systems.

Thu Nov 19 16:07:57 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_CXX_PREPENDS_UNDERSCORE): New macro.
	* configure.in: Use it.
	* acconfig.h: Add #undef for it.

Thu Nov 12 10:42:25 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* emacs/otags: New script from Mario Storti
	<mstorti@minerva.unl.edu.ar>.
	* emacs/Makefile.in: Add it to the list of files to distribute and
	install.

Wed Nov 11 17:26:26 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (AC_OUTPUT): Add libcruft/amos/Makefile.
	Delete libcruft/specfun/Makefile.

Mon Nov  9 08:53:03 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (LIBGLOB): Add a place for substitution to occur.
	(GLOB_INCFLAGS): Define as @GLOB_INCFLAGS@, not @DLFCN_INCFLAGS@.
	(do-subst-config-vals): Don't forget LIBGLOB.
	* octave-bug.in (LIBGLOB): Substitute here too, and add it to the
	list of configuration items to print.

Mon Nov  2 20:33:16 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Define __NO_MATH_INLINES.
	* acconfig.h: Add #undef for it.

	* configure.in (AC_OUTPUT): Escape newlinew in macro call with \.

	* install-octave.in (SHLEXT): Substitute.
	(SHLEXT_VER): Define.
	Use them for installing shared libraries.
	Use subshells to avoid having to cd back to $distdir.
	(distdir): Delete variable.

Fri Oct  2 14:23:59 1998  Kurt Hornik  <Kurt.Hornik@ci.tuwien.ac.at>

	* octave-inf.el (inferior-octave-prompt):  Also match prompts of
	the form `octave.bin:1>' which come from using precopiled binary
	versions.

Thu Sep 24 13:51:03 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (AC_OUTPUT): Add libcruft/ordered-qz to the list.
	Delete libcruft/balgen and libcruft/eispack from the list.

Mon Aug 31 12:07:02 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* config.sub: Accept armv4 everywhere arm is allowed.

Tue Aug 18 17:02:25 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* mkoctfile.in: Allow -DDEF on command line.

Thu Jun 18 20:24:40 1998  Roman Hodek  <Roman.Hodek@informatik.uni-erlangen.de>

	* configure.in (RLD_FLAG): Set correctly for Linux on all
	architectures.  From

Thu May 28 10:17:45 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: When checking for glob stuff, make sure that the
	systsem header file has all the definitions that we need.  If not,
	set up to use our replacement library.

Mon May 18 11:33:45 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* mkoctfile.in: Fix typos in case statement.

Fri May 15 00:34:54 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Make sure install-octave is executable.

	* install-octave.in (oct_files): Don't cd to src.
	(have_find): Delete variable (assume all systems have find).

Thu May 14 10:29:30 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_SET_DEFAULT): Allow values to come from the
	environment.

	* Makefile.in (binary-dist): Don't set LDFLAGS to -static.
	Run configure with --enable-shared and --enable-lite-kernel.

	* octMakefile.in (DISTFILES): Include README.MachTen in the list.
	(XBINDISTFILES): Include README.MachTen in the list.
	Delete README.NLP from the list
	* README.MachTen: New file.

	* configure.in: Add -mno-fp-in-toc on ibm-aix4 systems.
	From Philippe.Defert@cern.ch <Philippe.Defert@cern.ch>.

Tue May  5 14:43:36 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_PROG_G77): Compile trivial program instead of
	just running ${f77-f77} -v on nothing.
	Convert all uses of $F77 to ${F77-f77}.

Mon May  4 12:08:36 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* emacs/octave-mod.el (octave-mode): Make comment-multi-line local
	and set to nil.

Tue Apr 28 14:28:14 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_FLIBS): Really do skip -lkernel32.

Thu Apr 23 23:26:19 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* kpathsea: Update to version 3.2.

Mon Apr 20 21:58:39 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (dlfcn.h): Add check.

Sat Apr 18 20:15:37 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (USE_GNU_INFO): Delete everything related to this.
	* acconfig.h (USE_GNU_INFO): Delete undef.

Tue Apr 14 15:33:20 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* install-octave.in: Improve error messages if version number or
	host architecture can't be found.

	* install-octave.in: Don't install info reader.

Fri Mar 27 02:54:59 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_F2C_F77_COMPAT): Use a Fortran subroutine
	instead of a function.

Tue Mar 10 17:28:20 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (RLD_FLAG): Use $(octlibdir), not $(libdir).

Mon Mar  2 00:02:26 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* install-octave.in: Explicitly set permissions on ls-R files.

	* configure.in: Don't disable GNU Info on cygwin32 systems.

	* install-octave.in: New file.
	* configure.in: Create install-octave.
	* octMakefile.in (distclean, maintainer-clean): Delete install-octave.
	(DISTFILES): Distribute install-octave.in, not install-octave.

Sun Mar  1 23:15:04 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Fix typo in test for glob and fnmatch headers.

Fri Feb 27 15:43:14 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Fix support for dlopen on SCO systems.

Mon Feb 23 13:06:11 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (ieee_fp_flag): Use -mieee-with-inexact on Alphas.
	Use octave_cv_f77_is_g77, not just f77_is_g77.

Fri Feb 20 00:38:31 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in, Makeconf.in: Try to set things up to use the
	system glob and fnmatch headers and functions if they exist.
	Better handling of include and lib flags.

Thu Feb 19 01:21:19 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Don't check for gamma or lgamma
	* acconfig.h: Delete undef for HAVE_GAMMA and HAVE_LGAMMA.

Wed Feb 18 15:05:54 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Don't check for vfork.

Wed Feb 11 19:41:22 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (mk-libdir-link): Don't create link if a directory
	named $(libdir)/octave already exists.

Mon Feb  9 14:47:42 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (INSTALL_SUBDIRS): Delete @INFO_DIR@.

Thu Feb  5 03:04:09 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Check for vfork.

	* config.h.bot (X_CAST): New macro.

Wed Feb  4 01:42:50 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_FLIBS): If ld_run_path is not absolute, kill it.

Tue Feb  3 00:24:01 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (do-subst-vals): Substitute $(libexecdir) too.

Mon Feb  2 22:42:27 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Define octlibdir.
	* Makeconf.in: Substitute value.
	(do-subst-config-vals): Set LIBDIR to $(octlibdir).
	(do-subst-default-vals): Substitute OCTLIBDIR too.

Sat Jan 31 19:29:56 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* acconfig.h: Add #undefs for HAVE_GAMMA and HAVE_LGAMMA to avoid
	bug in autoconf, but #if 0 them out to avoid warning messages
	about redefining them.

Mon Jan 26 13:26:09 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (do-subst-config-vals): Substitute XTRA_CFLAGS and
	XTRA_CXXFLAGS.
	* mkoctfile.in: Substitute XTRA_CFLAGS and XTRA_CXXFLAGS, not
	GCC_IEEE_FP_FLAG, HOST_CXXFLAGS, and NO_IMPLICIT_TEMPLATES.
	(ALL_CFLAGS): Use XTRA_CFLAGS, not GCC_IEEE_FP_FLAG here.
	(ALL_CXXFLAGS): Use XTRA_CXXFLAGS, not GCC_IEEE_FP_FLAG,
	HOST_CXXFLAGS, and NO_IMPLICIT_TEMPLATES here.

Sun Jan 25 01:59:47 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: (GXX_PICKY_FLAGS): Add -Weffc++.
	Use OCTAVE_CC_FLAG and OCTAVE_CXX_FLAG to add -Wall and for adding
	picky flags in AC_ARG_ENABLE(picky-flags ...) macro.

	* aclocal.m4 (OCTAVE_F2C_F77_COMPAT): Require OCTAVE_PROG_G77.
	Handle cross compiling with g77.
	(OCTAVE_REINSTALL_SIGHANDLERS): Provide defaults for cross compiling.

	* aclocal.m4 (OCTAVE_PROG_AR, OCTAVE_PROG_G77, OCTAVE_PROG_PAGER,
	OCTAVE_PROG_GNUPLOT, OCTAVE_PROG_RUNTEST, OCTAVE_F77_MAIN_FLAG):
	New macros.
	* configure.in: Use them in place of in-line code.

Sat Jan 24 00:33:14 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_HOST_TYPE): Don't set target_host_type.
	* configure.in: Use canonical_host_type in place of target_host_type.

Fri Jan 23 02:47:57 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Also check for -fno-rtti.

Thu Jan 15 23:12:27 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* config.guess, config.sub: Update to new version from the FSF.
	* configure.in: Match alpha*-... instead of just alpha-... to cope
	with new strings like alphaev56-dec-osf4.0b returned from
	config.guess.

	* aclocal.m4 (OCTAVE_CC_FLAG, OCTAVE_CXX_FLAG): New macros.
	* configure.in: Use them to find out if the C and C++ compilers
	support -mieee-fp, -mieee, -fno-implicit-templates, and
	-fno-exceptions instead of relying on version information.  Add
	found flags to XTRA_CFLAGS and XTRA_CXXFLAGS instead of using
	GCC_IEEE_FP_FLAG and NO_IMPLICIT_TEMPLATES.
	Delete unused variable HOST_CXXFLAGS.
	* Makeconf.in: Use XTRA_CFLAGS and XTRA_CXXFLAGS instead of
	GCC_IEEE_FP_FLAG and NO_IMPLICIT_TEMPLATES.
	Delete unused variable HOST_CXXFLAGS.

Thu Dec 11 09:43:56 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* config.h.bot: Define CONST_CAST and STATIC_CAST too.

	* configure.in (SH_LD): Set default to $CXX, not $CC.

Mon Dec  1 00:49:56 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (AC_OUTPUT): Add libcruft/slatec-err/Makefile.

Sun Nov 30 18:19:45 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Check for gamma and lgamma too.

Fri Nov 28 23:21:17 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (AC_OUTPUT): Include libcruft/specfun/Makefile.

Fri Nov 28 13:32:26 1997  Kurt Hornik  <Kurt.Hornik@ci.tuwien.ac.at>

	* octave-inf.el (inferior-octave-directory-tracker):  Anchor
	regexp match to beginning of command string.

Wed Nov 26 00:38:31 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (SPECIAL_MATH_LIB): If libdxml exists on DU
	systems, define SPECIAL_MATH_LIB.
	* Makeconf.in (SPECIAL_MATH_LIB): Substitute it.

Wed Nov 19 01:54:11 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_CXX_NEW_FRIEND_TEMPLATE_DECL): Don't forget
	to call AC_LANG_RESTORE.

	* configure.in (CXX_VERSION): Require 2.7.2 or later.

Wed Nov 19 01:38:58 1997  Mumit Khan  <khan@dhaka.xraylith.wisc.edu>

	* aclocal.m4 (OCTAVE_CXX_NEW_FRIEND_TEMPLATE_DECL): New macro
	check for new friend template declaration syntax (guiding
	declarations in DWP).
	* configure.in: Use it.
	* config.h.in: Add undef for CXX_NEW_FRIEND_TEMPLATE_DECL.

	* configure.in (CC_VERSION, CXX_VERISON): Check for egcs snapshots.

Mon Oct 20 01:31:45 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Reprint important warning messages at the end of
	the run.

Fri Oct 17 04:43:27 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Include the following change from RMS for octave-mode.el:

	1997-04-22  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* octave-mod.el (inferior-octave-output-list): Declare here
	to avoid compiler warnings.
	(inferior-octave-output-string): Likewise.
	(inferior-octave-receive-in-progress): Likewise.

Tue Oct 14 10:48:28 1997  Kurt Hornik  <Kurt.Hornik@ci.tuwien.ac.at>

	* emacs/octave-mod.el (octave-block-match-alist):  Move
	`otherwise' to right after `case' to have octave-close-block()
	correctly close a `switch' block by `endswitch'.

Thu Oct  2 01:37:15 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_FLIBS): Ignore -lc and -lgcc.
	From "Ram'on Garc'ia Fern'andez" <ramon@juguete.quim.ucm.es>

	* mkoctfile.in: Handle -IDIR option.

Thu Sep 25 11:47:45 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* mkoctfile.in: Really add link options to link command.
	Also handle -LDIR options.

Fri Sep 19 09:35:59 1997  Kurt Hornik  <Kurt.Hornik@ci.tuwien.ac.at>

	* octave-inf.el (inferior-octave-startup-args):  Set to '("-i") to
	force interactive behavior.

Wed Sep 10 15:31:03 1997  Kurt Hornik  <Kurt.Hornik@ci.tuwien.ac.at>

	* emacs/octave-mod.el (octave-auto-indent):  New variable.
	(octave-electric-semi, octave-electric-space):  Use it.

	* emacs/octave-mod.el (octave-maybe-insert-continuation-string):  New
	function.
	(octave-auto-fill):  No longer calls do-auto-fill.  Should now
	avoid breaking lines after comment starts or before code line
	continuation expressions.
	(octave-fill-paragraph):  Move forward a line if octave-auto-fill
	gave up.

	* emacs/octave-mod.el (octave-before-magic-comment-p):  New function.
	(octave-comment-indent):  Handle magic comments correctly.
	(calculate-octave-indent):  Handle magic comments correctly.

	* emacs/octave-inf.el (inferior-octave-prompt):  Include the `debug'
	prompt issued by the Octave `keyboard' command.

	* emacs/octave-mod.el (octave-abbrev-table):  Added abbrevs for switch,
	case, otherwise, and endswitch.
	(octave-begin-keywords):  Added switch.
	(octave-else-keywords):  Added case and otherwise.
	(octave-end-keywords):  Added endswitch.
	(octave-block-match-alist):  Added an entry for switch syntax.
	(calculate-octave-indent):  Added support for switch syntax.
	(octave-block-end-offset):  New function.
	(octave-comment-indent):  Fix a typo.

	* emacs/octave-hlp.el:  Provide octave-hlp.

	* emacs/octave-inf.el:  Provide octave-inf.

Sun Sep  7 23:16:33 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in Don't use OCTAVE_SET_DEFAULT to set values for
	bindir, datadir, exec_prefix, includedir, infodir, libdir,
	libexecdir, mandir.
	Don't use AC_PREFIX_DEFAULT, since we don't want to override the
	default setting anyway.

Tue Aug 26 13:30:36 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octave-bug.in: CC bug report to user if $USER or $LOGNAME is set.

Mon Aug 25 11:06:54 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octave-bug.in: Avoid clobbering existing dead bug report files
	by numbering them.

Wed Aug 13 20:34:14 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* emacs/octave-mod.el (octave-before-magic-comment-p): New function.
	(calculate-octave-indent, octave-comment-indent): Use it.

Sun Aug  3 15:33:18 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* info: Delete subdirectory.
	* Makefile.in (TARGETS, help): Delete info.
	* octMakefile.in (DISTSUBDIRS, BINDISTSUBDIRS): Delete info
	(binary-dist): Don't strip info/info.
	* install-octave: Don't install info.
	* configure.in: Don't run configure in info subdirectory.

Fri Jul 25 14:05:15 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_FLIBS): Avoid adding -lcrt0.o to FLIBS.

Thu Jul 17 13:31:08 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_FLIBS): Only accept an ld_run_path that is
	absolute.

Wed Jul  9 19:27:38 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Also check for getwd.

Tue Jul  8 17:47:11 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_FLIBS): Avoid grabbing an argument starting
	with a - as an option for another argument.

Wed Jul  2 21:34:15 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* emacs/octave-mod.el (octave-auto-indent): New variable.
	(octave-electric-semi, octave-electric-space): Use it.

Thu Jun 26 22:16:59 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Only set GCC_IEEE_FP_FLAG to -mieee-fp on Intel
	systems if it seems to work.

Mon Jun 23 09:16:56 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (BOUNDS_CHECKING): Fix comment, allow bounds
	checking to be enabled.

Fri Jun 20 14:26:17 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Define SH_LD, SH_LDFLAGS, and RLD_FLAG for
	sparc-sun-sunos4*.

	* mkoctfile.in: Handle --strip.

Sun Jun 15 16:24:03 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (DISTSUBDIRS): Delete readline.
	(BINDISTSUBDIRS): Delete readline and kpathsea.
	(DISTDIRS): Add readline.

Wed Jun 11 16:28:36 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* mkoctfile.in: Allow more options, support for C and Fortran
	source, existing object files, etc.  Based on patch from Guido
	Dietz <guido@aia009.aia.RWTH-Aachen.De>.

Fri Jun  6 15:20:42 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* mkoctfile.in: Use eval to invoke compilation and linking
	commands.

	* octMakefile.in (dist, binary-dist): Don't worry about npsol or qpsol.
	* configure.in: Don't create libcruft/fsqp/Makefile,
	libcruft/npsol/Makefile, or libcruft/qpsol/Makefile.

	* octMakefile.in (DISTFILES): Don't distribute MAKEINFO.PATCH.

	* octMakefile.in (DISTFILES): Don't distribute README.NLP.
	* configure.in: Delete checks for FSQP, NPSOL, and QPSOL.
	* acconfig.h: Delete undefs for FSQP, NPSOL, and QPSOL.

	* readline: Update to new version (2.1).

Thu Jun  5 01:38:04 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (SONAME_FLAGS): Define for some systems.
	* Makeconf.in: Substitute value here.

	* Makeconf.in (STATIC_LIBS): New variable.
	* configure.in: Handle --enable-static.

	* Makeconf.in (LIBEXT, SHLEXT_VER): New macros.
	(octlibdir, mk-libdir-link): Delete.

Wed Jun  4 00:07:29 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (mk-includedir-link, mk-libdir-link): Make them work.

	* configure.in (OCTAVE_PROGRAM_INVOCATION_NAME): Delete check.
	* aclocal.m4 (OCTAVE_PROGRAM_INVOCATION_NAME): Delete macro.

Mon Jun  2 13:56:26 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Move checks for RANLIB, AR, and ARFLAGS before
	checks for libf2c.

Fri May 30 14:59:59 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Fix typo in check for $with_f77.

Thu May 22 16:48:34 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (AC_OUTPUT): Remove duplicate entry for emacs/Makefile.

	* octMakefile.in (INSTALL_SUBDIRS): New macro.
	(install): Use it.

	* kpathsea: Update to new version (3.0).

	* readline: Update to new version (2.1-beta2).

Wed May 21 16:33:33 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (install, install-strip): Append version
	information to octave-bug and mkoctfile.
	(install, install-strip): Remove octave-bug and mkoctfile first.
	Ensure link is made in include directory.

	* configure.in (octlibdir): New variable.
	* Makeconf.in: Substitute it here.
	(do-subst-config-vals): Add -I${octincludedir} to INCFLAGS.
	Add -L${octlibdir} to LIBFLAGS.

	* Makeconf.in (mk-includedir-link, mk-libdir-link): New macros.

Mon May  5 00:58:00 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Make --enable-readline work again.
	* Makeconf.in: Ditto.

Tue Apr  8 12:38:18 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* mkoctfile.in: Do substitute SH_LD and SH_LDFLAGS.  Don't
	substitute or use LIBFLAGS, RLD_FLAG, OCTAVE_LIBS, FLIBS, LEXLIB,
	TERMLIBS, LIBS, LDFLAGS, LIBPLPLOT, or LIBDLFCN.  Use $SH_LD and
	$SH_LDFLAGS, not $CXX -shared.

	* Makeconf.in (do-subst-config-vals): Also substitute SH_LD and
	SH_LDFLAGS.

Fri Mar 28 16:53:08 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Don't add -fpe1 to FFLAGS on Alpha OSF/1 systems
	unless we are also using a version of gcc that appears to support
	IEEE floating point.

	* aclocal.m4 (OCTAVE_FLIBS): Require OCTAVE_HOST_TYPE.
	Skip -lkernel32 on cygwin32 systems.

Wed Mar 26 17:04:11 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* COPYING: Update to latest version that includes correct address
	for the FSF.

Tue Mar 25 21:46:49 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_CXXLIBS): Delete macro definition.
	* configure.in, mkoctfile.in, Makeconf.in, octave-bug.in:
	Delete use of OCTAVE_CXXIBS.

Thu Mar 13 11:44:46 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Move extra checks for Fortran compiler above
	checks for dynamic linking and shared library stuff.
	Handle --with-f77.  Check for Fortran compiler compatibility, even
	if using g77.  Handle --enable-picky-flags.

	* configure.in: Don't set special PIC options on SGI systems,
	since PIC is apparently the default.

	* aclocal.m4 (OCTAVE_CHECK_EXCLUSIVE_WITH_OPTIONS,
	OCTAVE_HOST_TYPE, OCTAVE_SET_DEFAULT): New macros.
	* configure.in: Use them.

	* octMakefile.in (distclean): Don't remove configure, config.h.in,
	BUGS, or INSTALL.OCTAVE.

Wed Mar 12 16:56:56 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makefile.in (install-strip): Don't try to set INSTALL_PROGRAM here.

	* emacs/Makefile.in (install-strip): New target.
	* dlfcn/Makefile.in: Ditto.
	* examples/Makefile.in: Ditto.

Sun Mar  9 03:44:33 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* config.h.bot (STATIC_CAST): Delete definition.

Thu Mar  6 03:26:41 1997  Kurt Hornik  <Kurt.Hornik@ci.tuwien.ac.at>

	* emacs/octave-hlp.el: Provide octave-hlp.
	* emacs/octave-inf.el: Provide octave-inf.

	* examples/info-emacs-octave-help: Require octave-hlp instead of
	loading it.

Tue Mar  4 12:19:24 1997  Kurt Hornik  <Kurt.Hornik@ci.tuwien.ac.at>

	* emacs/octave-mod.el: Properly indent switch statement.

Mon Mar  3 15:44:42 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* dlfcn/Makefile.in (DISTFILES): Add ftp-site.

Sat Mar  1 15:23:14 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Improve checks for gettimeofday.

	* Version 2.0.5 released.

Sat Mar  1 01:34:08 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (dist): Also delete CVS junk

	* config.h.bot: Unconditionally define WITH_KPATHSEARCH.

Fri Feb 28 01:56:52 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* emacs/octave-mod.el (octave-end-keywords): Add endswitch.
	(octave-end-keywords): Add otherwise and case.
	(octave-else-keywords): Add switch.
	(octave-abbrev-table): Add abbrevs for all of them.

	* configure.in (f77_rules_frag): Set default value to /dev/null
	and redfine as needed.
	(bsd_gcc_kluge_targets_frag): Likewise.

Wed Feb 26 12:17:05 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (maintainer-clean): Delete some more stuff.

Fri Feb 21 20:38:25 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (do-subst-config-vals): Remove extra -L from
	RLD_FLAG substitution.

Thu Feb 20 02:58:05 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Version 2.0.4 released.

	* configure.in (SH_LDFLAGS): Add -fPIC for HP-UX.

Tue Feb 18 09:22:04 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (SH_LDFLAGS): Fix typo in last change.
	(RLD_FLAG): Don't forget to put -shared in SH_LDFLAGS for alpha
	systems.

	* Version 2.0.3 released.

Tue Feb 18 00:33:36 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (binary-dist): Strip src/octave and info/info.

	* examples/oregonator.m, examples/oregonator.cc: New files.
	* examples/Makefile.in (SOURCES): Add them to the list.

Fri Feb 14 14:07:08 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* install-octave: Don't fail if LIBRARIES file is missing.
	Don't try to install .oct files if there aren't any.

	* octMakefile.in (bin-dist-type): Delete target.
	(binary-dist): Don't depend on bin-dist-type.
	Don't delete config.status or config.h here.
	(BINDISTFILES): Include config.status and config.h here.
	(dist): Don't delete Makefile here.
	(binary-dist): Avoid empty chmod command.

	* Makefile.in (config-check): New target.
	(all): Depend on config-check.
	(static-binary-distribution, dynamic-binary-distribution): Delete.
	(binary-distribution): If in source directory, run configure and
	make with appropriate args.

	* octMakefile.in (maintainer-clean, distclean): Don't delete Makefile.
	(CONF_DISTFILES): Distribute Makefile too.

Thu Feb 13 16:25:09 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (SH_LD, SH_LDFLAGS): New variables.
	* Makeconf.in: Substitute them.

	* configure.in (SH_LIBS, SH_FLIBS, SH_TERMLIBS): Delete.

	* Makeconf.in (SH_LIBS, SH_FLIBS, SH_TERMLIBS): Delete.

	* octave-bug.in: Reinstate RLD_FLAG.
	* mkoctfile.in: Likewise.
	* Makeconf.in: Likewise.

	* configure.in: Reinstate RLD_FLAG, but make it optional.

Tue Feb  4 14:10:35 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (binary-dist): Use find and xargs instead of
	requiring chmod to support X.

Mon Feb  3 23:51:08 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* examples/info-emacs-octave-help: Update from Kurt Hornik.

Fri Jan 31 20:41:15 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* dlfcn/Makefile.in (all): Make libdlfcn.a, not dlfcn.a.

Wed Jan 29 00:18:55 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in: Use -M instead of -MM to generate dependencies.
	Don't strip $(srcdir) from output.

	* examples/Makefile.in (install): Install info-emacs-info and
	info-emacs-octave-help in $(archlibdir).

	* configure.in (INSTALL_SCRIPT): Substitute this in Makefiles.
	* octMakefile.in (INSTALL_SCRIPT): New macro.
	(install): Use it.
	* Makefile.in (install-strip): New target.

Tue Jan 28 09:48:32 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_FLIBS): Don't look for values-X*.o.  This is
	apparently added automatically now by gcc.  Don't put space
	between -L and directory name.

	* Makefile.in (help): New target.
	(header-msg): extract from all.
	(all, help): Depend on header-msg.

	* aclocal.m4 (ld_run_path): Fix typo in last fix.

Mon Jan 27 00:10:10 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Version 2.0.2 released.

	* configure.in: Add check for usleep().
	(bsd_gcc_kluge_targets_frag): New fragment.

	* Makefile.in: Delete `internal' targets.
	(static-binary-dist, dynamic-binary-dist): Special cases.

	* octMakefile.in (static-binary-dist, dynamic-binary-dist):
	New targets.
	(binary-dist, bin-dist): Delete.

Sun Jan 26 19:39:51 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* emacs/Makefile.in: New file.
	* configure.in: create emacs/Makefile.
	* octMakefile.in: Move/add emacs dir to the appropriate lists.

Sat Jan 25 22:27:14 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_CHECK_TYPE): New macro, stolen from bash.
	* configure.in: Use it.
	* acconfig.h: Add #undef for sigset_t.

	* configure.in (RLD_FLAG): Delete.
	* mkoctfile.in (RLD_FLAG): Delete.
	* octave-bug.in (RLD_FLAG): Delete.
	* Makeconf.in (RLD_FLAG): Delete.

	* Makefile.in (bin-dist): New target.

	* install-octave: Rename from doinstall.sh.  Update for 2.x.

Wed Jan 22 11:14:07 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (ld_run_path): Anchor search at beginning of line to
	avoid GNU sed bug on HP-UX systems.  Use just one sed command.

	* emacs/octave-hlp.el, emacs/octave-inf.el, emacs/octave-mod.el:
	New files from Kurt Hornik.
	* emacs/octave.el: Delete.

Mon Jan 20 11:16:21 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* mkoctfile.in (ALL_CXXFLAGS): Delete reference to -lg++.

	* configure.in (RLD_FLAG): For sparc-sun-sunos4*, remove space
	between -L and $(libdir).
	(FPICFLAG): If using g77, set it to -fPIC.

Sun Jan 19 15:57:20 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in, configure.in: Delete FUGLY.

Wed Jan  8 23:12:02 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (DEFAULT_PAGER): On cygwin32 systems, also look for
	more.com.

Tue Jan  7 00:16:35 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Version 2.0.1 released.

Thu Dec 19 16:18:59 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_FLIBS): Only add -Xlinker args if compiler is
	gcc.

Sat Dec 14 09:46:50 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* README.Linux: New file.
	* octMakefile.in: Distribute it.

Fri Dec 13 22:37:49 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (TERMLIBS): Look for termcap and terminfo after
	ncurses and curses.

Thu Dec 12 02:27:08 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (ALL_LDFLAGS): Add CPICFLAG here since gcc needs it
	on some systems.

	* configure.in (FPICFLAGS): Set to -fPIC if using g77 on HP/UX.

	* Makefile.in, octMakefile.in: Delete all doc-dist, local-dist,
	and split-dist targets.  Likewise for all other Makefiles in the
	subdirectories.

	* README.Windows: Renamed from README.WINDOWS.

Tue Dec 10 01:33:52 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Version 2.0 released.

	* octMakefile.in (binary-dist): Print message instead of making a
	binary distribution.

Mon Dec  9 11:28:27 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* README.WINDOWS: New file.
	* octMakefile.in: Distribute it.

	* configure.in: Substitute EXE.  On cygwin32 systems, set it to .exe.
	* Makeconf.in (EXE): Add definition.

	* configure.in: On cygwin32 systems, set default to disable GNU info.

	* aclocal.m4 (OCTAVE_STRING_NPOS): New macro.
	* configure.in: Call it.

	* acconfig.h: Add undef for NPOS.
	* config.h.bot: Remove kluge for deciding whether to define NPOS.

Thu Dec  5 11:05:02 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* config.sub: Update to current version from FSF.

	* Makeconf.in (ALL_LDFLAGS): Add $(FORTRAN_MAIN_FLAG).
	* configure.in (FORTRAN_MAIN_FLAG): Substitute it.

	* octave-bug.in: Prompt for abort, edit, list, or send.
	Get subject from message in case it has been edited.

	* configure.in: When looking for libf2c, provide definitions for
	MAIN_ and MAIN__.

Tue Dec  3 11:35:35 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* config.guess: Delete second copy of script in file.

Sun Nov 24 21:40:25 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Set GCC_IEEE_FP_FLAG to -mieee-fp on all x86
	systems, not just those running Linux.

Fri Nov 22 15:10:34 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* emacs/octave.el: Update from Kurt Hornik to with fixes for
	fill-paragraph.

Wed Nov 20 00:33:03 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Version 1.93.

	* aclocal.m4 (OCTAVE_STRUCT_GR_PASSWD): New macro.
	* configure.in: Use it.
	* acconfig.h (HAVE_GR_PASSWD): Add undef.

Tue Nov 19 23:10:01 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (INCFLAGS): Add libcruft/misc directory.

Thu Nov 14 00:07:31 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* emacs/octave.el (octave-text-functions): Change set and show to
	gset and gshow.

	* Makeconf.in (TEXI2DVI): Define to be our own private version.

	* texi2dvi: New file.
	* octMakefile.in (DISTFILES): Add it to the list.

	* configure.in: Don't substitute values in src/mk-oct-links.in.

	* emacs/octave.el: Update to version 0.8.6, from Kurt Hornik.

	* configure.in (RLD_FLAG): Surround case pattern in changequote.

	* Version 1.92.

Wed Nov 13 11:04:26 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Don't set or substitute LIBINFO.
	(infofile): Set and substitute a default value.

	* Makeconf.in (do-subst-default-values): Substitute it here.

	* configure.in: If running on an SCO system, define SCO, and force
	HAVE_ISINF and HAVE_ISNAN to be defined.
	Also check for ieeefp.h and nan.h.
	* acconfig.h (HAVE_ISINF, HAVE_ISNAN, SCO): Add undefs.

Tue Nov 12 21:50:49 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* MAKEINFO.PATCH: Update to use patch relative to texinfo-3.9.

	* INFO.PATCH: New file.
	* octMakefile.in (DISTFILES): Add it.

	* info: Update to current release from texinfo-3.9.

Mon Nov 11 23:56:58 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* config.h.bot: Only check value of __GNUC__ and __GNUC_MINOR__ if
	__GNUC__ is defined.

Fri Nov  8 11:15:07 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (version): Look in $(TOPDIR)/src then
	$(srcdir)/$(TOPDIR)/src for version.h.

	* configure.in (TERMLIBS): Print warning message if no term
	library is found.
	(CXXLIB_LIST, CXXLIB_PATH, FLIB_LIST, FLIB_PATH): Delete.
	* Makeconf.in (CXXLIB_LIST, CXXLIB_PATH, FLIB_LIST, FLIB_PATH):
	Delete.
	(do-subst-default-vals): Delete CXXLIB_LIST, CXXLIB_PATH,
	FLIB_LIST, and FLIB_PATH from the list.

Thu Nov  7 12:43:36 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (bin-dist-tar): Delete references to octtopnm.

	* configure.in (RLD_FLAG): Define if x86-linux.

	* Version 1.91.

Wed Nov  6 16:26:39 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Add checks for group stuff.

Tue Nov  5 12:32:30 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Add checks for geteuid, getuid.

	* configure.in: Comment out code to handle --enable-readline since
	it doesn't work yet.

	* aclocal.m4 (OCTAVE_SIGNAL_CHECK, OCTAVE_REINSTALL_SIGHANDLERS):
	New checks stolen from bash 2.0 config.
	* configure.in: Use them.

	* acconfig.h: Add #undefs for HAVE_BSD_SIGNALS, HAVE_POSIX_SIGNALS,
	HAVE_USG_SIGHOLD, and MUST_REINSTALL_SIGHANDLERS.

Mon Nov  4 11:31:22 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Check for gethostname in libsocket.  Apparently
	needed for some SCO systems.

	* emacs/octave.el: Update to version 0.8.5 from Kurt Hornik.

Fri Nov  1 01:33:40 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (octave-bug, mkoctfile): After substituting
	values, chmod a+rx.

Thu Oct 31 13:50:06 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (DISTFILES): Add NEWS.[0-9].
	* NEWS.1: Old news.
	* NEWS: Just keep news since last major release.

Wed Oct 30 01:04:13 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Version 1.90.

	* configure.in: Default is now no internal bounds checking.

	* Makefile.in (all): Fix message to say 2.7.2, not 2.7.0.

	* config.h.bot (GCC_ATTR_NORETURN): Rename from NORETURN.
	(GCC_ATTR_UNUSED): Rename from GCC_ATTRIBUTE_UNUSED.
	(NPOS): Define if using gcc 2.8.x or later.

	* octMakefile.in (DIRS_TO_MAKE): Add localarchlibdir to list.

	* configure.in (localarchlibdir): New variable.
	* Makeconf.in (localarchlibdir): Substitute it.
	(do-subst-default-vals): Likewise.

Sun Oct 27 14:03:36 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (do-subst-config-vals): Split into two sed commands
	to try to avoid fixed limits in some seds and/or systems.

Fri Oct 25 01:13:45 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* config.h.bot: Add definition for GCC_ATTRIBUTE_UNUSED.

	* configure.in: Define RUSAGE_TIMES_ONLY if cygwin32.
	* acconfig.h: Add undef.

Thu Oct 24 21:17:53 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* config.guess: Update to version that understands what to do for
	cygwin32 systems.

Fri Oct 18 12:23:57 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Don't comment out substitutions for plplot stuff.

Wed Oct 16 12:01:37 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* examples/Makefile.in (install): New target.

Tue Oct 15 14:40:51 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Comment out plplot stuff.
	In commands to get gxx_version and gcc_version, use simpler sed
	command to avoid confusing brain-dead vendor-supplied seds.

Mon Oct 14 11:09:12 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (maintainer-clean distclean): Remove mkoctfile too.
	(kpathsea.info): New target.
	(dist-info-files): New target.
	(links-for-dist, links-for-bin-dist, local-dist-tar):
	Depend on dist-info-files instead of individual files.

Sat Oct 12 00:17:06 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* examples/Makefile.in (clean, mostlyclean): New targets.

	* octMakefile.in (CLEANSUBDIRS): New macro.
	Use it for clean targets.

	* config.h.bot (STATIC_CAST, DYNAMIC_CAST, REINTERPRET_CAST):
	New macros.

Wed Sep 25 12:24:20 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Don't look in /usr/ucb/include to find getrusage
	on Solaris systems since that just seems to cause trouble.
	* Makeconf.in (UCB_INCFLAGS): Delete.

Fri Aug 30 09:07:23 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (TERMLIBS): Add check for ncurses.

Tue Aug 20 21:40:26 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Always set FPICFLAG, CPICFLAG, CXXPICFLAG, SHLEXT,
	RLD_FLAG, DLFCN_DIR, even if SHARED_LIBS is false.

Thu Aug 15 14:39:07 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (gxx_version, gcc_version): Strip out cygnus- from
	the version number.

Tue Jul 30 12:55:43 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_FLIBS): Also check for -bI:FILE arg to ld,
	for AIX systems.

Thu Jul 25 03:09:29 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: On AIX systems, add "-ll -lld" to LIBDLFCN.

Fri Jul 19 13:02:05 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: If using g77 on alpha, don't add -fpe1 to FFLAGS.

Mon Jul 15 14:26:48 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* config.sub: Update to new version from FSF (gcc sources).

Thu Jun 13 16:38:51 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Look for g77 before other fortran compilers.

Thu Jun  6 00:05:47 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Add check for multiple plot windows in gnuplot.
	* acconfig.h: Add #undef for GNUPLOT_HAS_FRAMES.

Wed May 22 15:05:40 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (UCB_INCFLAGS): Another kluge to try to find
	getrusage on Solaris systems.
	* Makeconf.in Substitute it.

	* configure.in (SH_LIBS, SH_FLIBS, SH_TERMLIBS): Define.
	* Makeconf.in: Substitute.

Wed May 22 02:42:32 1996  Kurt Hornik  <Kurt.Hornik@tuwien.ac.at>

	* emacs/octave.el (octave-indent-new-line): Protect
	octave-indent-line with save-excursion.
	(octave-calc-indent-this-line): Attempt to handle end tokens that
	are not on separate lines.
	(octave-electric-semi): Make `;' self-insert if inside comment.
	(octave-previous-line): Don't try to go back past the beginning of
	the buffer.

Tue May 21 23:11:46 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (F77): Also check for f90.

Mon May 20 12:22:54 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* emacs/octave.el (octave-indent-new-line): Make it do what the
	docstring says it does.

	* octave-bug.in: Fix previous change so it also matches things
	like 1.90, not just 1.1.90.

Fri May 17 09:58:49 1996  Kurt Hornik  <Kurt.Hornik@tuwien.ac.at>

	* emacs/octave.el (octave-electric-semi): Also call octave-indent-line
	to indent the current line after inserting a semicolon.

Fri May 17 02:53:49 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (DIRS_TO_MAKE): Add octincludedir.
	(all): Add mkoctfile.

	* configure.in: Don't set values for exec_prefix, bindir, datadir,
	libdir, libexecdir, includedir, mandir, or infodir, so that they
	can be set from the configure command line.

	* configure.in, Makeconf.in: Handle mandir, man1dir and man1ext.
	Change topincludedir to includedir.  Use octincludedir as the
	subdirectory of includedir where we really install include files.

	* octave-bug.in (BUGADDR): Also set to octave-maintainers if this
	looks like a pretest version number.

	* Makeconf.in (do-subst-config-vals): Use $< instead of
	referencing $(srcdir) directly.
	(do-subst-default-vals): Likewise.

	* octMakefile.in (octave-bug): Depend on octave-bug.in
	(mkoctfile): Likewise, depend on mkoctfile.in.

Thu May 16 11:49:46 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (DISTFILES): Add mkoctfile.in.
	(install): Install mkoctfile too.

	* aclocal.m4 (OCTAVE_F2C_F77_COMPAT): Fix typo in last change

Mon May 13 04:02:29 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (UGLY_DEFS): Quote " with more \'s.

	* Makeconf.in (do-subst-config-vals): Quote substitutions here.
	* octave-bug.in, mkoctfile: Not here.

	* octMakefile.in (octave-bug, mkoctfile): Depend on Makeconf,
	octMakefile.

	* Makeconf.in (do-subst-default-vals): New definition, from
	src/Makefile.in.

	* Makeconf.in (do-subst-config-vals): Define here.
	* octMakefile.in: Not here.

	* octave-bug.in: Handle more configuration stuff.

	* configure.in (config_opts): Set from ac_configure_args and subst.
	* Makeconf.in: Handle config_opts.
	* octMakefile.in (do-subst-config-vals): Substitute them.

Sun May 12 03:37:55 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (TERMLIBS): Substitute here.

	* configure.in (topincludedir): New variable.
	* Makeconf.in (libexecdir): Substitute it.

	* octMakefile.in (do-subst-config-vals): Define new command.
	(octave-bug): Use it.
	(mkoctfile): New target.

	* Makefile.in (TARGETS): Add mkoctfile.

	* examples: New subdirectory.
	* octMakefile.in: Add it to the appropriate lists.
	* configure.in: Create examples/Makefile.

	* octMakefile.in (DIRS_TO_MAKE): Add $(libdir) here.
	(install): Use INSTALL_PROGRAM to install octave-bug script.
	Also install config.h.

	* aclocal.m4 (OCTAVE_F2C_F77_COMPAT): Provide a definition for
	MAIN__ on Linux systems.

Tue Apr 30 05:44:29 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Handle --enable-bounds-check.
	* acconfig.h: Add undef for BOUNDS_CHECKING

Mon Apr 29 01:42:38 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (AC_FUNC_SETVBUF_REVERSED): Delete.  Octave doesn't
	need this check (it was for info, which has its own configure now).

Sun Apr 28 05:41:26 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (DEFAULT_PAGER): Don't append -e to less here.

Sat Apr 27 22:23:51 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Check for pid_t and sys/types.h.

Tue Apr 23 17:44:18 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Check for fcntl.h, not sys/fcntl.h.
	Add checks for various system calls.

Sun Apr  7 16:42:54 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Check for strdup.

	* Makefile.in (TARGETS): Add dlfcn.
	* octMakefile.in (DISTSUBDIRS): Add dlfcn.
	(SUBDIRS): Add @DLFCN_DIR@.
	* configure.in: On AIX systems: set DLFCN_DIR=dlfcn when doing
	shared libraries, bypass checks for dlopen, etc., set and
	substitute LIBDLFCN and DLFCN_INCFLAGS.  Create dlfcn/Makefile.

Sat Apr  6 21:45:40 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (%.d : %.cc, %.d : %.c): Add dependency for pic/%.o.

Fri Mar 29 13:38:40 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (maintainer-clean distclean): Delete mk-oct-links.

Wed Mar 27 09:05:01 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_FLIBS): Fix typo in message.

Tue Mar 26 02:41:16 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (UGLY_DEFS): Undo previous change.
	When checking for various libraries, don't check for main(), but
	instead look for functions that are actually supposed to be in
	those libraries.
	Require autoconf 2.9.
	If using solaris2, don't add /usr/ucblib/libucb.a to LIBS until
	near the very end, then check for for getrusage and times just
	after that.

	* Makeconf.in (UGLY_DEFS): Ditto.

	* octave-bug.in: Don't send empty bug reports.

Sat Mar 23 04:55:46 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (DISTDIRS): Omit plplot for now.
	* Makefile.in (TARGETS): Likewise.

Fri Mar 22 06:15:44 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Add checks for sys/times.h and times().
	(GCC_IEEE_FP_FLAG): Define this if using gcc 2.8.x or later on
	Alpha/OSF systems.

Wed Mar 20 02:04:08 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (octave.info): cd to doc/interpreter, not doc.

Sun Mar  3 10:01:13 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* config.h.bot: Define HEAVYWEIGHT_INDEXING here.

	* Makefile.in (TARGETS): Remove dld.
	* octMakefile.in (DISTSUBDIRS): Ditto.
	* configure.in: Don't create dld/Makefile.
	Do create doc/fac/Makefile, doc/interpreter/Makefile,
	doc/liboctave/Makefile, and doc/refcard/Makefile.

Thu Feb 29 08:55:25 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (%.o : %.c): Use pattern rule instead of suffix rule.
	(%.o : %.cc): Likewise.
	(pic/%.o : %.c, pic/%.o : %.cc): Use separate rules instead of
	expecting one rule to generate two output files.
	* configure.in (f77_rules_frag): Use separate rules here too.

Mon Feb 26 03:34:12 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: If --disable-dl or --disable-shl, don't check for
	dynamic linking functions.
	(includedir): Append version.

Wed Feb 14 12:20:57 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (snapshot-version): Don't quote version number.

	* aclocal.m4 (OCTAVE_FLIBS): Avoid setting FLIBS=" ".

Sat Feb 10 12:59:22 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* glob/Makefile.in (install): New target.

Fri Feb  9 14:00:53 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Fix help text for --enable-shared option.

Thu Feb  8 10:17:55 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (CONF_DISTFILES): New variable.
	(DISTFILES): Use it instead of listing things twice.
	(CONF_DISTSUBDIRS): New variable.
	(conf-dist): New target.

	* Makefile.in (TARGETS): Add conf-dist.

	* configure.in (CXX_VERSION, CC_VERSION): Substitute them.
	* octMakefile.in (octave-bug): Substitute them here too.
	* octave-bug.in: Put them in the configuration message.

Sat Feb  3 08:53:56 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: RLD_FLAG should be empty by default, but give it a
	value for alpha-dec-osf* systems.

Fri Feb  2 23:03:40 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in: Actually do add substitutions for FPICFLAG,
	CPICFLAG, and CXXPICFLAG.

Thu Feb  1 14:58:16 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (%.c : %.f): Fix typo.

Wed Jan 24 14:47:58 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Also configure in glob subdirectory.
	Make pattern rule say how to make .o from .f, not .f from .o.  Duh.

	* octMakefile.in: Add glob stuff to the appropriate lists.
	* Makeconf.in: Likewise.

	* aclocal.m4: Add test for program_invocation_name.
	* configure.in: Use it here.

	* acconfig.h: Add #undef here.

Mon Jan 22 17:32:00 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Add checks for mode_t, off_t, size_t, uid_t,
	dev_t, ino_t, and nlink_t typedefs.
	* acconfig.h: Add undefs for dev_t, ino_t, and nlink_t.

Sat Jan 20 21:05:49 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: For Fortran rules, use pattern rules instead of
	suffix rules.

Fri Jan 19 12:38:23 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: When checking for libf2c.a, add -lm and an extra lib.

Wed Jan 10 16:36:43 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.i: Add missing colon in .o.f pattern for f2c rules.

Mon Jan  8 23:18:39 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (AC_PROG_LN_S): New check.
	* Makeconf.in (LN_S): Substitute it.

	* configure.in (libexecdir): New variable.
	(archlibdir, octfiledir, localoctfiledir): Use it instead of libdir.
	(datadir): Default to $(prefix)/share instead of $(prefix)/lib.

	* Makeconf.in (libexecdir): Substitute it.

	* configure.in (localoctfiledir): Use $(libdir), not $(datadir).

Sun Jan  7 18:40:00 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* aclocal.m4 (OCTAVE_SMART_PUTENV): New macro, extracted from
	the kpathsearch library.
	* configure.in: Call it.

Fri Dec 29 22:07:52 1995  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makeconf.in (subdir-for-command): New definition for
	SUBDIR_FOR_COMMAND using GNU Make `foreach' instead of shell `for'
	command.
	* libcruft/Makefile.in, scripts/Makefile.in, octMakefile.in:
	Invoke new definition with `@'.

Wed Dec 27 14:27:48 1995  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (SUBDIRS): Delete DLD_DIR.
	(distclean): Delete Makerules.f77.

	* Makeconf.in (WITH_DLD): Delete variable.

	* configure.in: Delete support for dynamic linking with dld.

	* configure.in, Makeconf.in: Use consistent names for WITH_DL,
	WITH_SHL, OCTAVE_LITE, and SHARED_LIBS

	* config.h.bot: Undo previous change.
	* acconfig.h: Add #undef for WITH_DYNAMIC_LINKING.
	* Makeconf.in: Substitute it here too.
	* configure.in: Set it here.

Tue Dec 26 00:12:14 1995  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (AC_CONFIG_SUBDIRS): Delete libcruft.
	(AC_OUTPUT): List libcruft files here.

	* configure.in, Makeconf.in: Handle Fortran compilation rules
	using an included fragment in Makeconf.

Mon Dec 25 22:14:21 1995  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (CPICFLAG, CXXPICFLAG, FPICFLAG): New variables.
	* Makeconf.in: Substitute them.

	* configure.in: Handle --enable-shared option.
	Handle Fortran source files differently.
	* Makeconf.in (SHARED_LIBS): Substitute shared_libs.
	(SHLEXT, RLD_FLAG, fortran_rules_flag): Substitute these too.
	(.c.o, .cc.o): Handle creating position independent code for
	shared libraries.

Sun Dec 24 00:29:12 1995  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* config.h.bot: Maybe define WITH_DYNAMIC_LINKING.

	* Makeconf.in (WITH_DL, WITH_SHL): Substitute values.
	* acconfig.h: Add undefs for WITH_DL and WITH_SHL.
	* configure.in: Handle --enable-dl and --enable-shl.
	Check for -ldl and dlopen, dlsym, dlclose, and dlerror.
	Check for -ldld and shl_load, shl_findsym.
	(have_fortran_compiler): Quit if no suitable Fortran compiler is
	found.

Fri Nov  3 03:33:42 1995  John Eaton  <jwe@bevo.che.wisc.edu>

	* emacs/octave-mode.el: Rename from octave.el.

Wed Oct 11 19:22:12 1995  John Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (GNUPLOT_BINARY): When checking for multiplot,
	issue a `set term unknown' command first.

Wed Oct  4 01:42:35 1995  John Eaton  <jwe@bevo.che.wisc.edu>

	* config.guess: Add entry for PowerPC Macs running Machten.

	* octMakefile.in (dist-z): Remove old .gz file before creating new one.

Mon Oct  2 19:17:22 1995  John Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Check to see if it looks like gnuplot supports
	multiplot.
	* acconfig.h: Add undef for GNUPLOT_HAS_MULTIPLOT.

	* acconfig.h: #undefs for HAVE_FINITE, HAVE_ISNAN, HAVE_ISINF,
	HAVE_TERMIOS_H, HAVE_TERMIO_H, and HAVE_SGTTY_H removed.  This
	file should only have things that autoheader can't figure out.

Sun Oct  1 17:08:37 1995  John Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (clean-tar): Also omit directories called OLD and
	files beginning with =.

Fri Sep 29 01:04:31 1995  John Eaton  <jwe@bevo.che.wisc.edu>

	* ROADMAP: New file.
	* (DISTFILES): Include it.

	* emacs: New subdirectory for Emacs-related stuff.
	* octMakefile.in (DISTDIRS, BINDISTSUBDIRS): Include emacs.
	(DISTFILES, BINDISTFILES): Don't include octave-mode.el.

Tue Sep 26 03:56:39 1995  John Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Don't add -Wno-unused to CFLAGS or CXXFLAGS.
	* config.h.bot: Remove definition of UNUSED.

	* config.sub: Replace with current version from FSF.
	* config.guess: Likewise.

Thu Sep 21 20:29:00 1995  John Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (AR, ARFLAGS): Set defaults for these, but also
	allow them to come from the environment.
	* Makeconf.in (AR, ARFLAGS): New variables to substitute.

Wed Sep 20 00:51:24 1995  John Eaton  <jwe@bevo.che.wisc.edu>

	* octMakefile.in (maintainer-clean): Also remove Makeconf,
	config.cache, config.h, and config.log.

Tue Sep 19 17:20:32 1995  John Eaton  <jwe@bevo.che.wisc.edu>

	* sighandlers.h [HAVE_SIGACTION && HAVE_SIGPROCMASK &&
	HAVE_SIGPENDING && HAVE_SIGSUSPEND]: #define HAVE_POSIX_SIGNALS.

	* configure.in: Check for sigaction(), sigprocmask(),
	sigpending(), and sigsuspend() functions.
	Don't do anything special about checking for termios.h, termio.h,
	and sgtty.h.

Mon Sep 18 22:39:33 1995  John Eaton  <jwe@bevo.che.wisc.edu>

	* config.h.bot [__GNUC__]: Define NORETURN.

Fri Sep 15 05:12:29 1995  John Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (AC_C_BIGENDIAN): Remove test.

Thu Sep 14 02:07:51 1995  John Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in (LIBPLPLOT): Disable plplot by default for now.
	Check for mkdir, rmdir, rename, and umask.

	* All Makefile.in files: Convert from realclean to
	maintainer-clean, for GNU coding standards.

	* configure.in: Call AC_FUNC_CLOSEDIR_VOID.

Wed Sep 13 03:25:37 1995  John Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Do check for IEEE functions on the Alpha.

Mon Sep 11 19:08:47 1995  John Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Call AC_STRUCT_ST_BLKSIZE, AC_STRUCT_ST_BLOCKS,
	and AC_STRUCT_ST_RDEV.

Tue Sep  5 02:02:35 1995  John Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Check for sys/param.h and sys/stat.h
	Use AC_HEADER_TIME, not AC_TIME_WITH_SYS_TIME.
	Use AC_HEADER_SYS_WAIT.

Thu Aug 24 15:35:44 1995  John Eaton  <jwe@bevo.che.wisc.edu>

	* configure.in: Don't set or call AC_SUBST for CXXFLAGS or CFLAGS,
	and don't call AC_SUBST for LDFLAGS -- autoconf takes care of this.
	If adding -Wall, add -Wno-unused too.

Tue Aug 22 01:37:02 1995  John Eaton  <jwe@bevo.che.wisc.edu>

	* Makefile.in (all): Update message.

	* config.h.bot: New file.
	* octMakefile.in (DISTFILES): Add it to the list.

	* acconfig.h (USE_PLPLOT): Add #undef.

Mon Aug 21 19:33:33 1995  John Eaton  <jwe@bevo.che.wisc.edu>

	* Makefile.in (NO_DEP_TARGETS): New variable, for targets that can
	be made without updating dependency files.

Sun Jun 25 18:27:49 1995  John Eaton  <jwe@schoch.che.utexas.edu>

	* configure.in (FFLAGS): Add -fpe1 on alpha-dec-osf1 systems.

Thu May  4 22:26:34 1995  John Eaton  <jwe@schoch.che.utexas.edu>

	* configure.in: export CC, CXX, and F77 before calling
	AC_CONFIG_SUBDIRS.

Mon May  1 14:17:07 1995  John Eaton  <jwe@schoch.che.utexas.edu>

	* configure.in: Handle --with-plplot.
	(AC_CONFIG_SUBDIRS): Add plplot directory if --with-plplot.
	* plplot: New subdirectory.
	* Makefile.in (plplot): New target.
	* octMakefile.in (SUBDIRS): Add @PLPLOT_DIR@.
	(DISTDIRS): Add plplot.

	* acconfig.h: Add #undef for GETTIMEOFDAY_NO_TZ.

	* configure.in: Improve check for gettimeofday.

Mon May  1 12:50:03 1995  John Eaton  (jwe@bullwinkle.che.utexas.edu)

	* acconfig.h (OCTAVE_LITE): Fix comment.

Tue Apr 11 20:31:52 1995  John Eaton  <jwe@schoch.che.utexas.edu>

	* configure.in (INFO_DIR, READLINE_DIR): New variables.
	If $USE_GNU_INFO, AC_DEFINE it, don't AC_SUBST it.
	Likewise, for USE_READLINE.

	* octMakefile.in (SUBDIRS): Substitute INFO_DIR and READLINE_DIR.

	* aclocal.m4 (OCTAVE_F77_UPPERCASE_NAMES): New macro.
	(OCTAVE_F77_APPEND_UNDERSCORES): Require it.
	* configure.in: Use it.
	(info_subdir): If $USE_GNU_INFO, then run configure in info
	subdirectory too.
	Don't check for sys/ttold.h or sys/ptem.h.

Mon Apr 10 00:17:57 1995  John Eaton  <jwe@schoch.che.utexas.edu>

	* configure.in (UGLY_DEFS): Delete commands to create this.
	* Makeconf.in (UGLY_DEFS): Delete substitution.
	* Makeconf.in (UGLY_ALL_CFLAGS): Delete definition.

	* configure.in: Add scripts and libcruft to CONFIG_SUBDIRS.
	Don't edit scripts or libcruft Makefiles here.
	Reorganize checking for the Fortran compiler.

	* octMakefile.in (DISTFILES): Delete f2c-compat.sh flibs.sh
	cxxlibs.sh from list.  Add aclocal.m4.
	* configure.in: Use new macros defined in aclocal.m4.  Don't use
	external shell scripts.  Cache values.

	* aclocal.m4: New file.

Sun Apr  9 12:47:27 1995  John Eaton  <jwe@schoch.che.utexas.edu>

	* configure.in: Print status message before exiting.
	Cache CXXLIBS and FLIBS.

	* acconfig.h: Delete #undefs for floating point format.
	* octMakefile.in (DISTFILES): Delete float-type.c from list.
	* configure.in: Don't try to determine floating point format at
	configuration time.

Mon Apr  3 21:46:10 1995  John Eaton  <jwe@schoch.che.utexas.edu>

	* configure.in: Create scripts/time/Makefile too.

	* configure.in (gxx_version): Handle new gcc version message.
	(gcc_version): Likewise.

Wed Mar 29 22:59:42 1995  John Eaton  <jwe@schoch.che.utexas.edu>

	* configure.in (AC_STRFTIME): Delete check.
	(AC_STRUCT_TIMEZONE): New check.

Wed Mar 22 08:31:21 1995  John Eaton  <jwe@schoch.che.utexas.edu>

	* Makeconf.in (ALL_FFLAGS, FUGLY): New variables.

	* configure.in: Use AC_ARG_ENABLE and AC_ARG_WITH consistently.
	Handle --with-g77.  Substitute new variable FUGLY.  If F77 is g77,
	set it to -fugly.  Substitute command for making .o from .f.

Tue Mar 21 14:24:32 1995  John Eaton  <jwe@schoch.che.utexas.edu>

	* cxxlibs.sh: Extract -R options like -L options.
	* configure.in (FLIB_PATH, FLIB_LIST): Extract -R options along
	with -L options.

Tue Mar 21 14:20:55 1995  Paul Eggert  <eggert@twinsun.com>

	* configure.in (CXX): Export; cxxlibs.sh needs this.
	(FLIB_LIST, CXXLIB_LIST): Extract -R options along with -L options.

	* flibs.sh: Treat `-L foo' like `-Lfoo'.  Extract -R options
	like -L options.

Tue Mar 21 08:08:06 1995  John Eaton  <jwe@schoch.che.utexas.edu>

	* flibs.sh: Search for values-X*.o, not values-*.o.

Fri Mar 10 10:32:27 1995  John Eaton  <jwe@schoch.che.utexas.edu>

	* Makeconf.in (SUBDIR_FOR_COMMAND): New command definition.
	* octMakefile.in: Use it.

	* octMakefile.in (install, uninstall, tags, TAGS, clean,
	mostlyclean, distclean, realclean): Combine actions.

Tue Feb 28 21:24:35 1995  John Eaton  <jwe@schoch.che.utexas.edu>

	* configure.in (FC): Set to $F77 and substitute it.
	* Makeconf.in (FC): Add substitution line.

Sun Feb 26 00:20:19 1995  John Eaton  <jwe@schoch.che.utexas.edu>

	* dointsall.sh: Create ls-R database.

	* configure.in: Configure kpathsea using AC_CONFIG_SUBDIRS().
	Remove check for SMART_PUTENV.
	Remove kpathsea/c-auto.h from AC_CONFIG_HEADER().

	* make: New directory, for kpathsea configuration.
	* octMakefile.in (DISTDIRS): Add it

	* kpathsea: Update with 2.6 distribution.

	* Makefile.in (TARGETS): New variable.  Combine all identical targets.

	* configure.in (LIBINFO, LIBREADLINE): New variables to substitute.

Sat Feb 25 18:47:11 1995  John Eaton  <jwe@schoch.che.utexas.edu>

	* acconfig.h (USE_READLINE): Add #undef.
	* configure.in: Add support for --enable-readline.

	* acconfig.h (USE_GNU_INFO): Add #undef.
	* configure.in: Add support for --enable-info.

	* acconfig.h (RUN_IN_PLACE): Delete #undef.

See ChangeLog.1 for earlier changes.
